using System;
using System.IO;
using System.Text;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Runtime.Serialization.Formatters.Soap;
using StringResources;

namespace GUI
{
	/// <summary>
	/// Summary description for ErrorDialog.
	/// </summary>
	public class ErrorDialog : GUIBaseForm
	{
		private System.Windows.Forms.Button butClose;
		private System.Windows.Forms.Button butSend;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.TextBox tbError;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		private Exception occuredException;

		public ErrorDialog(Exception exp)
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			occuredException=exp;
#if BETA
			label1.Text     = "StackTrace:";
			tbError.Top    -= 60;
			tbError.Height += 60;
			butSend.Visible = false;
#endif
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(ErrorDialog));
			this.butClose = new System.Windows.Forms.Button();
			this.butSend = new System.Windows.Forms.Button();
			this.label1 = new System.Windows.Forms.Label();
			this.tbError = new System.Windows.Forms.TextBox();
			this.SuspendLayout();
			// 
			// butClose
			// 
			this.butClose.AccessibleDescription = resources.GetString("butClose.AccessibleDescription");
			this.butClose.AccessibleName = resources.GetString("butClose.AccessibleName");
			this.butClose.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("butClose.Anchor")));
			this.butClose.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("butClose.BackgroundImage")));
			this.butClose.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.butClose.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("butClose.Dock")));
			this.butClose.Enabled = ((bool)(resources.GetObject("butClose.Enabled")));
			this.butClose.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("butClose.FlatStyle")));
			this.butClose.Font = ((System.Drawing.Font)(resources.GetObject("butClose.Font")));
			this.butClose.Image = ((System.Drawing.Image)(resources.GetObject("butClose.Image")));
			this.butClose.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("butClose.ImageAlign")));
			this.butClose.ImageIndex = ((int)(resources.GetObject("butClose.ImageIndex")));
			this.butClose.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("butClose.ImeMode")));
			this.butClose.Location = ((System.Drawing.Point)(resources.GetObject("butClose.Location")));
			this.butClose.Name = "butClose";
			this.butClose.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("butClose.RightToLeft")));
			this.butClose.Size = ((System.Drawing.Size)(resources.GetObject("butClose.Size")));
			this.butClose.TabIndex = ((int)(resources.GetObject("butClose.TabIndex")));
			this.butClose.Text = resources.GetString("butClose.Text");
			this.butClose.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("butClose.TextAlign")));
			this.butClose.Visible = ((bool)(resources.GetObject("butClose.Visible")));
			// 
			// butSend
			// 
			this.butSend.AccessibleDescription = resources.GetString("butSend.AccessibleDescription");
			this.butSend.AccessibleName = resources.GetString("butSend.AccessibleName");
			this.butSend.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("butSend.Anchor")));
			this.butSend.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("butSend.BackgroundImage")));
			this.butSend.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("butSend.Dock")));
			this.butSend.Enabled = ((bool)(resources.GetObject("butSend.Enabled")));
			this.butSend.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("butSend.FlatStyle")));
			this.butSend.Font = ((System.Drawing.Font)(resources.GetObject("butSend.Font")));
			this.butSend.Image = ((System.Drawing.Image)(resources.GetObject("butSend.Image")));
			this.butSend.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("butSend.ImageAlign")));
			this.butSend.ImageIndex = ((int)(resources.GetObject("butSend.ImageIndex")));
			this.butSend.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("butSend.ImeMode")));
			this.butSend.Location = ((System.Drawing.Point)(resources.GetObject("butSend.Location")));
			this.butSend.Name = "butSend";
			this.butSend.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("butSend.RightToLeft")));
			this.butSend.Size = ((System.Drawing.Size)(resources.GetObject("butSend.Size")));
			this.butSend.TabIndex = ((int)(resources.GetObject("butSend.TabIndex")));
			this.butSend.Text = resources.GetString("butSend.Text");
			this.butSend.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("butSend.TextAlign")));
			this.butSend.Visible = ((bool)(resources.GetObject("butSend.Visible")));
			this.butSend.Click += new System.EventHandler(this.butSend_Click);
			// 
			// label1
			// 
			this.label1.AccessibleDescription = resources.GetString("label1.AccessibleDescription");
			this.label1.AccessibleName = resources.GetString("label1.AccessibleName");
			this.label1.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label1.Anchor")));
			this.label1.AutoSize = ((bool)(resources.GetObject("label1.AutoSize")));
			this.label1.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label1.Dock")));
			this.label1.Enabled = ((bool)(resources.GetObject("label1.Enabled")));
			this.label1.Font = ((System.Drawing.Font)(resources.GetObject("label1.Font")));
			this.label1.Image = ((System.Drawing.Image)(resources.GetObject("label1.Image")));
			this.label1.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label1.ImageAlign")));
			this.label1.ImageIndex = ((int)(resources.GetObject("label1.ImageIndex")));
			this.label1.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label1.ImeMode")));
			this.label1.Location = ((System.Drawing.Point)(resources.GetObject("label1.Location")));
			this.label1.Name = "label1";
			this.label1.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label1.RightToLeft")));
			this.label1.Size = ((System.Drawing.Size)(resources.GetObject("label1.Size")));
			this.label1.TabIndex = ((int)(resources.GetObject("label1.TabIndex")));
			this.label1.Text = resources.GetString("label1.Text");
			this.label1.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label1.TextAlign")));
			this.label1.Visible = ((bool)(resources.GetObject("label1.Visible")));
			// 
			// tbError
			// 
			this.tbError.AccessibleDescription = resources.GetString("tbError.AccessibleDescription");
			this.tbError.AccessibleName = resources.GetString("tbError.AccessibleName");
			this.tbError.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("tbError.Anchor")));
			this.tbError.AutoSize = ((bool)(resources.GetObject("tbError.AutoSize")));
			this.tbError.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("tbError.BackgroundImage")));
			this.tbError.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("tbError.Dock")));
			this.tbError.Enabled = ((bool)(resources.GetObject("tbError.Enabled")));
			this.tbError.Font = ((System.Drawing.Font)(resources.GetObject("tbError.Font")));
			this.tbError.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("tbError.ImeMode")));
			this.tbError.Location = ((System.Drawing.Point)(resources.GetObject("tbError.Location")));
			this.tbError.MaxLength = ((int)(resources.GetObject("tbError.MaxLength")));
			this.tbError.Multiline = ((bool)(resources.GetObject("tbError.Multiline")));
			this.tbError.Name = "tbError";
			this.tbError.PasswordChar = ((char)(resources.GetObject("tbError.PasswordChar")));
			this.tbError.ReadOnly = true;
			this.tbError.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("tbError.RightToLeft")));
			this.tbError.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("tbError.ScrollBars")));
			this.tbError.Size = ((System.Drawing.Size)(resources.GetObject("tbError.Size")));
			this.tbError.TabIndex = ((int)(resources.GetObject("tbError.TabIndex")));
			this.tbError.Text = resources.GetString("tbError.Text");
			this.tbError.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("tbError.TextAlign")));
			this.tbError.Visible = ((bool)(resources.GetObject("tbError.Visible")));
			this.tbError.WordWrap = ((bool)(resources.GetObject("tbError.WordWrap")));
			// 
			// ErrorDialog
			// 
			this.AcceptButton = this.butClose;
			this.AccessibleDescription = resources.GetString("$this.AccessibleDescription");
			this.AccessibleName = resources.GetString("$this.AccessibleName");
			this.AutoScaleBaseSize = ((System.Drawing.Size)(resources.GetObject("$this.AutoScaleBaseSize")));
			this.AutoScroll = ((bool)(resources.GetObject("$this.AutoScroll")));
			this.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMargin")));
			this.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMinSize")));
			this.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("$this.BackgroundImage")));
			this.CancelButton = this.butClose;
			this.ClientSize = ((System.Drawing.Size)(resources.GetObject("$this.ClientSize")));
			this.Controls.Add(this.tbError);
			this.Controls.Add(this.label1);
			this.Controls.Add(this.butSend);
			this.Controls.Add(this.butClose);
			this.Enabled = ((bool)(resources.GetObject("$this.Enabled")));
			this.Font = ((System.Drawing.Font)(resources.GetObject("$this.Font")));
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("$this.ImeMode")));
			this.Location = ((System.Drawing.Point)(resources.GetObject("$this.Location")));
			this.MaximizeBox = false;
			this.MaximumSize = ((System.Drawing.Size)(resources.GetObject("$this.MaximumSize")));
			this.MinimizeBox = false;
			this.MinimumSize = ((System.Drawing.Size)(resources.GetObject("$this.MinimumSize")));
			this.Name = "ErrorDialog";
			this.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("$this.RightToLeft")));
			this.StartPosition = ((System.Windows.Forms.FormStartPosition)(resources.GetObject("$this.StartPosition")));
			this.Text = resources.GetString("$this.Text");
			this.TopMost = true;
			this.Load += new System.EventHandler(this.ErrorDialog_Load);
			this.ResumeLayout(false);

		}
		#endregion

		private void ErrorDialog_Load(object sender, System.EventArgs e)
		{
			tbError.Text=occuredException.Message;
			tbError.Text+=occuredException.StackTrace;
		}

		private void butSend_Click(object sender, System.EventArgs e)
		{
			string soapText;
			butSend.Enabled=false;
			using (MemoryStream ms=new MemoryStream())
			{
				SoapFormatter sf=new SoapFormatter();
				sf.Serialize(ms,occuredException);
				ms.Position=0;
				using (StreamReader sr=new StreamReader(ms))
				{
					soapText=sr.ReadToEnd();
				}
			}

			try
			{
				RemoteExceptionLog.ErrorLogService rel=new RemoteExceptionLog.ErrorLogService();
				string result=rel.SubmitException(System.Configuration.ConfigurationSettings.AppSettings["Version.Text"],soapText);
				MessageBox.Show(this,Resource.CurrentResource.FormatMessage(Resource.ERROR_SUCC_SUBMITTED,result),Resource.CurrentResource[Resource.INFO]);
			}
			catch (Exception exp)
			{
				MessageBox.Show(this,Resource.CurrentResource.FormatMessage(Resource.ERROR_SUBMITTED_ERROR,exp.Message),Resource.CurrentResource[Resource.ERROR]);
				butSend.Enabled=true;
			}
		}
	}
}
