/*
 * Cuttermaran - The Mpeg Cutter
 * 
 * Copyright (C) 2003-2006  Tobias Arnold (cuttermaran@gmx.net)
 * 
 * This file is part of cuttermaran, a free MPEG cut program.
 * See http://www.cuttermaran.de for updates.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by the 
 * Free Software Foundation; either version 2 of the License, or 
 * (at your option) any later version. 
 * 
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
 * GNU General Public License for more details. 
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software 
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 */

using System;
using System.Drawing;
using System.Windows.Forms;
using Configuration;

namespace GUI
{
	/// <summary>
	/// Skalierung aller abgeleiteten Forms auf die vom User eingestellte
	/// DPI Zahl des Screens
	/// </summary>
	public class GUIBaseForm : Form
	{
		public static bool designMode=true;

		public GUIBaseForm()
		{
		}

		protected override void OnLoad(EventArgs e)
		{
			decimal scaleX=1m;
			decimal scaleY=1m;

			if (!designMode && Settings.CurrentSettings.DPIRescaling)
				using (Graphics gr=this.CreateGraphics())
				{
					scaleX=96.0m/(decimal)gr.DpiX;
					scaleY=96.0m/(decimal)gr.DpiY;
				}

			base.OnLoad (e);

			if (scaleX!=1m || scaleY!=1m)
			{
				this.SuspendLayout();
				GUIHelper.ScaleControl(this,this,scaleX,scaleY);
				// Neu zentrieren:
				GUIHelper.CenterDialog(this);
				this.ResumeLayout(false);
			}
		}
	}
}
