using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

using Configuration;
using StringResources;

namespace GUI.MainForm
{
	/// <summary>
	/// Summary description for ConfigureCutList.
	/// </summary>
	public class ConfigureCutList : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.CheckedListBox videoColumns;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.CheckedListBox audioColumns;
		private System.Windows.Forms.Button butOK;
		private System.Windows.Forms.Button butCancel;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		private SortedList colCollection;

		public ConfigureCutList(SortedList colCol)
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();
			
			colCollection=(SortedList)colCol.Clone();
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(ConfigureCutList));
			this.videoColumns = new System.Windows.Forms.CheckedListBox();
			this.label1 = new System.Windows.Forms.Label();
			this.label2 = new System.Windows.Forms.Label();
			this.audioColumns = new System.Windows.Forms.CheckedListBox();
			this.butOK = new System.Windows.Forms.Button();
			this.butCancel = new System.Windows.Forms.Button();
			this.SuspendLayout();
			// 
			// videoColumns
			// 
			this.videoColumns.AccessibleDescription = resources.GetString("videoColumns.AccessibleDescription");
			this.videoColumns.AccessibleName = resources.GetString("videoColumns.AccessibleName");
			this.videoColumns.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("videoColumns.Anchor")));
			this.videoColumns.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("videoColumns.BackgroundImage")));
			this.videoColumns.CheckOnClick = true;
			this.videoColumns.ColumnWidth = ((int)(resources.GetObject("videoColumns.ColumnWidth")));
			this.videoColumns.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("videoColumns.Dock")));
			this.videoColumns.Enabled = ((bool)(resources.GetObject("videoColumns.Enabled")));
			this.videoColumns.Font = ((System.Drawing.Font)(resources.GetObject("videoColumns.Font")));
			this.videoColumns.HorizontalExtent = ((int)(resources.GetObject("videoColumns.HorizontalExtent")));
			this.videoColumns.HorizontalScrollbar = ((bool)(resources.GetObject("videoColumns.HorizontalScrollbar")));
			this.videoColumns.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("videoColumns.ImeMode")));
			this.videoColumns.IntegralHeight = ((bool)(resources.GetObject("videoColumns.IntegralHeight")));
			this.videoColumns.Location = ((System.Drawing.Point)(resources.GetObject("videoColumns.Location")));
			this.videoColumns.Name = "videoColumns";
			this.videoColumns.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("videoColumns.RightToLeft")));
			this.videoColumns.ScrollAlwaysVisible = ((bool)(resources.GetObject("videoColumns.ScrollAlwaysVisible")));
			this.videoColumns.Size = ((System.Drawing.Size)(resources.GetObject("videoColumns.Size")));
			this.videoColumns.TabIndex = ((int)(resources.GetObject("videoColumns.TabIndex")));
			this.videoColumns.Visible = ((bool)(resources.GetObject("videoColumns.Visible")));
			// 
			// label1
			// 
			this.label1.AccessibleDescription = resources.GetString("label1.AccessibleDescription");
			this.label1.AccessibleName = resources.GetString("label1.AccessibleName");
			this.label1.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label1.Anchor")));
			this.label1.AutoSize = ((bool)(resources.GetObject("label1.AutoSize")));
			this.label1.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label1.Dock")));
			this.label1.Enabled = ((bool)(resources.GetObject("label1.Enabled")));
			this.label1.Font = ((System.Drawing.Font)(resources.GetObject("label1.Font")));
			this.label1.Image = ((System.Drawing.Image)(resources.GetObject("label1.Image")));
			this.label1.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label1.ImageAlign")));
			this.label1.ImageIndex = ((int)(resources.GetObject("label1.ImageIndex")));
			this.label1.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label1.ImeMode")));
			this.label1.Location = ((System.Drawing.Point)(resources.GetObject("label1.Location")));
			this.label1.Name = "label1";
			this.label1.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label1.RightToLeft")));
			this.label1.Size = ((System.Drawing.Size)(resources.GetObject("label1.Size")));
			this.label1.TabIndex = ((int)(resources.GetObject("label1.TabIndex")));
			this.label1.Text = resources.GetString("label1.Text");
			this.label1.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label1.TextAlign")));
			this.label1.Visible = ((bool)(resources.GetObject("label1.Visible")));
			// 
			// label2
			// 
			this.label2.AccessibleDescription = resources.GetString("label2.AccessibleDescription");
			this.label2.AccessibleName = resources.GetString("label2.AccessibleName");
			this.label2.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label2.Anchor")));
			this.label2.AutoSize = ((bool)(resources.GetObject("label2.AutoSize")));
			this.label2.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label2.Dock")));
			this.label2.Enabled = ((bool)(resources.GetObject("label2.Enabled")));
			this.label2.Font = ((System.Drawing.Font)(resources.GetObject("label2.Font")));
			this.label2.Image = ((System.Drawing.Image)(resources.GetObject("label2.Image")));
			this.label2.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label2.ImageAlign")));
			this.label2.ImageIndex = ((int)(resources.GetObject("label2.ImageIndex")));
			this.label2.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label2.ImeMode")));
			this.label2.Location = ((System.Drawing.Point)(resources.GetObject("label2.Location")));
			this.label2.Name = "label2";
			this.label2.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label2.RightToLeft")));
			this.label2.Size = ((System.Drawing.Size)(resources.GetObject("label2.Size")));
			this.label2.TabIndex = ((int)(resources.GetObject("label2.TabIndex")));
			this.label2.Text = resources.GetString("label2.Text");
			this.label2.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label2.TextAlign")));
			this.label2.Visible = ((bool)(resources.GetObject("label2.Visible")));
			// 
			// audioColumns
			// 
			this.audioColumns.AccessibleDescription = resources.GetString("audioColumns.AccessibleDescription");
			this.audioColumns.AccessibleName = resources.GetString("audioColumns.AccessibleName");
			this.audioColumns.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("audioColumns.Anchor")));
			this.audioColumns.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("audioColumns.BackgroundImage")));
			this.audioColumns.CheckOnClick = true;
			this.audioColumns.ColumnWidth = ((int)(resources.GetObject("audioColumns.ColumnWidth")));
			this.audioColumns.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("audioColumns.Dock")));
			this.audioColumns.Enabled = ((bool)(resources.GetObject("audioColumns.Enabled")));
			this.audioColumns.Font = ((System.Drawing.Font)(resources.GetObject("audioColumns.Font")));
			this.audioColumns.HorizontalExtent = ((int)(resources.GetObject("audioColumns.HorizontalExtent")));
			this.audioColumns.HorizontalScrollbar = ((bool)(resources.GetObject("audioColumns.HorizontalScrollbar")));
			this.audioColumns.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("audioColumns.ImeMode")));
			this.audioColumns.IntegralHeight = ((bool)(resources.GetObject("audioColumns.IntegralHeight")));
			this.audioColumns.Location = ((System.Drawing.Point)(resources.GetObject("audioColumns.Location")));
			this.audioColumns.Name = "audioColumns";
			this.audioColumns.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("audioColumns.RightToLeft")));
			this.audioColumns.ScrollAlwaysVisible = ((bool)(resources.GetObject("audioColumns.ScrollAlwaysVisible")));
			this.audioColumns.Size = ((System.Drawing.Size)(resources.GetObject("audioColumns.Size")));
			this.audioColumns.TabIndex = ((int)(resources.GetObject("audioColumns.TabIndex")));
			this.audioColumns.Visible = ((bool)(resources.GetObject("audioColumns.Visible")));
			// 
			// butOK
			// 
			this.butOK.AccessibleDescription = resources.GetString("butOK.AccessibleDescription");
			this.butOK.AccessibleName = resources.GetString("butOK.AccessibleName");
			this.butOK.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("butOK.Anchor")));
			this.butOK.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("butOK.BackgroundImage")));
			this.butOK.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.butOK.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("butOK.Dock")));
			this.butOK.Enabled = ((bool)(resources.GetObject("butOK.Enabled")));
			this.butOK.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("butOK.FlatStyle")));
			this.butOK.Font = ((System.Drawing.Font)(resources.GetObject("butOK.Font")));
			this.butOK.Image = ((System.Drawing.Image)(resources.GetObject("butOK.Image")));
			this.butOK.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("butOK.ImageAlign")));
			this.butOK.ImageIndex = ((int)(resources.GetObject("butOK.ImageIndex")));
			this.butOK.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("butOK.ImeMode")));
			this.butOK.Location = ((System.Drawing.Point)(resources.GetObject("butOK.Location")));
			this.butOK.Name = "butOK";
			this.butOK.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("butOK.RightToLeft")));
			this.butOK.Size = ((System.Drawing.Size)(resources.GetObject("butOK.Size")));
			this.butOK.TabIndex = ((int)(resources.GetObject("butOK.TabIndex")));
			this.butOK.Text = resources.GetString("butOK.Text");
			this.butOK.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("butOK.TextAlign")));
			this.butOK.Visible = ((bool)(resources.GetObject("butOK.Visible")));
			this.butOK.Click += new System.EventHandler(this.butOK_Click);
			// 
			// butCancel
			// 
			this.butCancel.AccessibleDescription = resources.GetString("butCancel.AccessibleDescription");
			this.butCancel.AccessibleName = resources.GetString("butCancel.AccessibleName");
			this.butCancel.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("butCancel.Anchor")));
			this.butCancel.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("butCancel.BackgroundImage")));
			this.butCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.butCancel.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("butCancel.Dock")));
			this.butCancel.Enabled = ((bool)(resources.GetObject("butCancel.Enabled")));
			this.butCancel.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("butCancel.FlatStyle")));
			this.butCancel.Font = ((System.Drawing.Font)(resources.GetObject("butCancel.Font")));
			this.butCancel.Image = ((System.Drawing.Image)(resources.GetObject("butCancel.Image")));
			this.butCancel.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("butCancel.ImageAlign")));
			this.butCancel.ImageIndex = ((int)(resources.GetObject("butCancel.ImageIndex")));
			this.butCancel.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("butCancel.ImeMode")));
			this.butCancel.Location = ((System.Drawing.Point)(resources.GetObject("butCancel.Location")));
			this.butCancel.Name = "butCancel";
			this.butCancel.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("butCancel.RightToLeft")));
			this.butCancel.Size = ((System.Drawing.Size)(resources.GetObject("butCancel.Size")));
			this.butCancel.TabIndex = ((int)(resources.GetObject("butCancel.TabIndex")));
			this.butCancel.Text = resources.GetString("butCancel.Text");
			this.butCancel.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("butCancel.TextAlign")));
			this.butCancel.Visible = ((bool)(resources.GetObject("butCancel.Visible")));
			// 
			// ConfigureCutList
			// 
			this.AcceptButton = this.butOK;
			this.AccessibleDescription = resources.GetString("$this.AccessibleDescription");
			this.AccessibleName = resources.GetString("$this.AccessibleName");
			this.AutoScaleBaseSize = ((System.Drawing.Size)(resources.GetObject("$this.AutoScaleBaseSize")));
			this.AutoScroll = ((bool)(resources.GetObject("$this.AutoScroll")));
			this.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMargin")));
			this.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMinSize")));
			this.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("$this.BackgroundImage")));
			this.CancelButton = this.butCancel;
			this.ClientSize = ((System.Drawing.Size)(resources.GetObject("$this.ClientSize")));
			this.Controls.Add(this.butCancel);
			this.Controls.Add(this.butOK);
			this.Controls.Add(this.audioColumns);
			this.Controls.Add(this.label2);
			this.Controls.Add(this.label1);
			this.Controls.Add(this.videoColumns);
			this.Enabled = ((bool)(resources.GetObject("$this.Enabled")));
			this.Font = ((System.Drawing.Font)(resources.GetObject("$this.Font")));
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("$this.ImeMode")));
			this.Location = ((System.Drawing.Point)(resources.GetObject("$this.Location")));
			this.MaximizeBox = false;
			this.MaximumSize = ((System.Drawing.Size)(resources.GetObject("$this.MaximumSize")));
			this.MinimizeBox = false;
			this.MinimumSize = ((System.Drawing.Size)(resources.GetObject("$this.MinimumSize")));
			this.Name = "ConfigureCutList";
			this.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("$this.RightToLeft")));
			this.ShowInTaskbar = false;
			this.StartPosition = ((System.Windows.Forms.FormStartPosition)(resources.GetObject("$this.StartPosition")));
			this.Text = resources.GetString("$this.Text");
			this.Load += new System.EventHandler(this.ConfigureCutList_Load);
			this.ResumeLayout(false);

		}
		#endregion

		private void ConfigureCutList_Load(object sender, System.EventArgs e)
		{
			videoColumns.Items.Add(Resource.CurrentResource[Resource.COL_CUT_NO_LONG],colCollection.Contains(CutListColumns.CutNo));
			videoColumns.Items.Add(Resource.CurrentResource[Resource.COL_VIDEO_NAME],colCollection.Contains(CutListColumns.VideoName));
			videoColumns.Items.Add(Resource.CurrentResource[Resource.COL_VIDEO_START],colCollection.Contains(CutListColumns.VideoStart));
			videoColumns.Items.Add(Resource.CurrentResource[Resource.COL_VIDEO_END],colCollection.Contains(CutListColumns.VideoEnd));
			videoColumns.Items.Add(Resource.CurrentResource[Resource.COL_VIDEO_LENGTH],colCollection.Contains(CutListColumns.VideoLength));
			videoColumns.Items.Add(Resource.CurrentResource[Resource.COL_VIDEO_NEW_START],colCollection.Contains(CutListColumns.VideoNewStart));
			videoColumns.Items.Add(Resource.CurrentResource[Resource.COL_VIDEO_NEW_END],colCollection.Contains(CutListColumns.VideoNewEnd));

			audioColumns.Items.Add(Resource.CurrentResource[Resource.COL_AUDIO_NAME].Replace(" {0}",string.Empty),colCollection.Contains(CutListColumns.AudioName));
			audioColumns.Items.Add(Resource.CurrentResource[Resource.COL_AUDIO_IN_DELAY].Replace(" {0}",string.Empty),colCollection.Contains(CutListColumns.AudioInDelay));
			audioColumns.Items.Add(Resource.CurrentResource[Resource.COL_AUDIO_OUT_DELAY].Replace(" {0}",string.Empty),colCollection.Contains(CutListColumns.AudioOutDelay));
		}

		private void butOK_Click(object sender, System.EventArgs e)
		{
			colCollection.Clear();

			if (videoColumns.CheckedIndices.Contains(0))
				colCollection.Add(CutListColumns.CutNo,CutListCtrl.LittleCol);
			if (videoColumns.CheckedIndices.Contains(1))
				colCollection.Add(CutListColumns.VideoName,CutListCtrl.LargeCol);
			if (videoColumns.CheckedIndices.Contains(2))
				colCollection.Add(CutListColumns.VideoStart,CutListCtrl.SmallVideoCol);
			if (videoColumns.CheckedIndices.Contains(3))
				colCollection.Add(CutListColumns.VideoEnd,CutListCtrl.SmallVideoCol);
			if (videoColumns.CheckedIndices.Contains(4))
				colCollection.Add(CutListColumns.VideoLength,CutListCtrl.SmallVideoCol);
			if (videoColumns.CheckedIndices.Contains(5))
				colCollection.Add(CutListColumns.VideoNewStart,CutListCtrl.SmallVideoCol);
			if (videoColumns.CheckedIndices.Contains(6))
				colCollection.Add(CutListColumns.VideoNewEnd,CutListCtrl.SmallVideoCol);

			if (audioColumns.CheckedIndices.Contains(0))
				colCollection.Add(CutListColumns.AudioName,CutListCtrl.LargeCol);
			if (audioColumns.CheckedIndices.Contains(1))
				colCollection.Add(CutListColumns.AudioInDelay,CutListCtrl.SmallAudioCol);
			if (audioColumns.CheckedIndices.Contains(2))
				colCollection.Add(CutListColumns.AudioOutDelay,CutListCtrl.SmallAudioCol);
		}

		public SortedList Columns
		{
			get
			{
				return colCollection;
			}
		}
	}
}
