/*
 * Cuttermaran - The Mpeg Cutter
 * 
 * Copyright (C) 2003-2005  Tobias Arnold (cuttermaran@gmx.net)
 * 
 * This file is part of cuttermaran, a free MPEG cut program.
 * See http://www.cuttermaran.de for updates.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by the 
 * Free Software Foundation; either version 2 of the License, or 
 * (at your option) any later version. 
 * 
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
 * GNU General Public License for more details. 
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software 
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 */

using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;

using Coremoran.AVStreams;
using Coremoran.Common;
using Coremoran.Algorithms;
using StringResources;

namespace GUI.MainForm
{
	/// <summary>
	/// Summary description for ResultCtrl.
	/// </summary>
	public class ResultCtrl : MainBaseControl
	{
		private System.Windows.Forms.ColumnHeader columnHeader12;
		private System.Windows.Forms.ColumnHeader columnHeader13;
		private System.Windows.Forms.ListView listViewResult;
		private System.Windows.Forms.ColumnHeader columnHeader11;
		/// <summary> 
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		#region ctor / Dispose

		public ResultCtrl()
		{
			// This call is required by the Windows.Forms Form Designer.
			InitializeComponent();

			// Fr Events registrieren
			State.SetDefaults+=new SetDefaultsDelegate(this.OnSetDefaults);
			State.CutPointModified+=new CutPointModifiedDelegate(this.OnCutPointModified);
		}

		/// <summary> 
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#endregion

		#region Component Designer generated code
		/// <summary> 
		/// Required method for Designer support - do not modify 
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(ResultCtrl));
			this.columnHeader12 = new System.Windows.Forms.ColumnHeader();
			this.columnHeader13 = new System.Windows.Forms.ColumnHeader();
			this.listViewResult = new System.Windows.Forms.ListView();
			this.columnHeader11 = new System.Windows.Forms.ColumnHeader();
			this.SuspendLayout();
			// 
			// columnHeader12
			// 
			this.columnHeader12.Text = resources.GetString("columnHeader12.Text");
			this.columnHeader12.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("columnHeader12.TextAlign")));
			this.columnHeader12.Width = ((int)(resources.GetObject("columnHeader12.Width")));
			// 
			// columnHeader13
			// 
			this.columnHeader13.Text = resources.GetString("columnHeader13.Text");
			this.columnHeader13.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("columnHeader13.TextAlign")));
			this.columnHeader13.Width = ((int)(resources.GetObject("columnHeader13.Width")));
			// 
			// listViewResult
			// 
			this.listViewResult.AccessibleDescription = resources.GetString("listViewResult.AccessibleDescription");
			this.listViewResult.AccessibleName = resources.GetString("listViewResult.AccessibleName");
			this.listViewResult.Alignment = ((System.Windows.Forms.ListViewAlignment)(resources.GetObject("listViewResult.Alignment")));
			this.listViewResult.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("listViewResult.Anchor")));
			this.listViewResult.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("listViewResult.BackgroundImage")));
			this.listViewResult.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
																							 this.columnHeader11,
																							 this.columnHeader12,
																							 this.columnHeader13});
			this.listViewResult.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("listViewResult.Dock")));
			this.listViewResult.Enabled = ((bool)(resources.GetObject("listViewResult.Enabled")));
			this.listViewResult.Font = ((System.Drawing.Font)(resources.GetObject("listViewResult.Font")));
			this.listViewResult.FullRowSelect = true;
			this.listViewResult.HeaderStyle = System.Windows.Forms.ColumnHeaderStyle.Nonclickable;
			this.listViewResult.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("listViewResult.ImeMode")));
			this.listViewResult.LabelWrap = ((bool)(resources.GetObject("listViewResult.LabelWrap")));
			this.listViewResult.Location = ((System.Drawing.Point)(resources.GetObject("listViewResult.Location")));
			this.listViewResult.Name = "listViewResult";
			this.listViewResult.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("listViewResult.RightToLeft")));
			this.listViewResult.Size = ((System.Drawing.Size)(resources.GetObject("listViewResult.Size")));
			this.listViewResult.TabIndex = ((int)(resources.GetObject("listViewResult.TabIndex")));
			this.listViewResult.Text = resources.GetString("listViewResult.Text");
			this.listViewResult.View = System.Windows.Forms.View.Details;
			this.listViewResult.Visible = ((bool)(resources.GetObject("listViewResult.Visible")));
			// 
			// columnHeader11
			// 
			this.columnHeader11.Text = resources.GetString("columnHeader11.Text");
			this.columnHeader11.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("columnHeader11.TextAlign")));
			this.columnHeader11.Width = ((int)(resources.GetObject("columnHeader11.Width")));
			// 
			// ResultCtrl
			// 
			this.AccessibleDescription = resources.GetString("$this.AccessibleDescription");
			this.AccessibleName = resources.GetString("$this.AccessibleName");
			this.AutoScroll = ((bool)(resources.GetObject("$this.AutoScroll")));
			this.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMargin")));
			this.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMinSize")));
			this.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("$this.BackgroundImage")));
			this.Controls.Add(this.listViewResult);
			this.Enabled = ((bool)(resources.GetObject("$this.Enabled")));
			this.Font = ((System.Drawing.Font)(resources.GetObject("$this.Font")));
			this.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("$this.ImeMode")));
			this.Location = ((System.Drawing.Point)(resources.GetObject("$this.Location")));
			this.Name = "ResultCtrl";
			this.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("$this.RightToLeft")));
			this.Size = ((System.Drawing.Size)(resources.GetObject("$this.Size")));
			this.ResumeLayout(false);

		}
		#endregion

		#region Event Handler

		private void OnSetDefaults(bool b_NewProject)
		{
			// b_NewProject=false: when opening a new video file -> do nothing here
			if (b_NewProject)
				listViewResult.Items.Clear();
		}

		private void OnCutPointModified(int selectedCutIndex)
		{
			if (State.Cuts.Count>0)
			{
				int frameCount=0;
				int audioCount=State.Cuts[0].AudioStreams.Count;
				decimal fps=State.Cuts[0].VideoStream.FramesPerSecond;
				long videoSize=0;
				long [] audioSize=new long[audioCount];

				foreach (CutPoint sr in State.Cuts)
				{
					videoSize+=sr.VideoStream.CalculateLength(sr.VideoInfo);
					frameCount+=sr.EndFrame-sr.StartFrame+1;

					// falls vorhanden: Audio-Infos
					for (int audioIndex=0;audioIndex<audioCount;++audioIndex)
						audioSize[audioIndex]+=((BasicAudioStream)sr.AudioStreams[audioIndex]).CalculateLength(sr.AudioInfo(audioIndex));
				}

				listViewResult.Items.Clear();
				ListViewItem resultItem=new ListViewItem(
					new string [] {
									  Resource.CurrentResource[Resource.ROW_RESULT_VIDEO],
									  Helper.FramesToTimeString(frameCount,fps),
									  string.Format("{0:N2} MB",videoSize/1048576m) } );
				listViewResult.Items.Add(resultItem);

				for (int audioIndex=0;audioIndex<audioCount;++audioIndex)
				{
					resultItem=new ListViewItem(
						new string [] {
										  Resource.CurrentResource.FormatMessage(Resource.ROW_RESULT_AUDIO,audioIndex+1),
										  Helper.FramesToTime(frameCount,fps).AddMilliseconds((double)State.Cuts[State.Cuts.Count-1].AudioInfo(audioIndex).EndDelay).ToString("HH:mm:ss,fff"),
										  string.Format("{0:N2} MB",audioSize[audioIndex]/1048576m) } );
					listViewResult.Items.Add(resultItem);
				}
			}
			else
				listViewResult.Items.Clear();
		}

		#endregion

		#region "virtuals"

		public override object PersistData
		{
			get
			{
				ArrayList colWidth=new ArrayList();
				foreach (ColumnHeader ch in listViewResult.Columns)
					colWidth.Add(ch.Width);
				return colWidth;
			}
			set
			{
				if (value is ArrayList && ((ArrayList)value).Count==listViewResult.Columns.Count)
				{
					for (int index=0;index<listViewResult.Columns.Count;++index)
						listViewResult.Columns[index].Width=(int)((ArrayList)value)[index];
				}
			}
		}

		#endregion

	}
}
