/*
 * Cuttermaran - The Mpeg Cutter
 * 
 * Copyright (C) 2003,2004  Tobias Arnold (cuttermaran@gmx.net)
 * 
 * This file is part of cuttermaran, a free MPEG cut program.
 * See http://cuttermaran.kickme.to for updates.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by the 
 * Free Software Foundation; either version 2 of the License, or 
 * (at your option) any later version. 
 * 
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
 * GNU General Public License for more details. 
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software 
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 */

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using Coremoran.AVStreams;
using StringResources;

namespace GUI
{
	/// <summary>
	/// Summary description for StreamPoints.
	/// </summary>
	public class StreamPoints : GUIBaseForm
	{
		private ArrayList dicEntries=new ArrayList();
		public DateTime selectedTime;

		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.ListView listViewEvents;
		private System.Windows.Forms.Button butClose;
		private System.Windows.Forms.ColumnHeader columnHeader1;
		private System.Windows.Forms.ColumnHeader columnHeader2;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public StreamPoints(Hashtable i_InterestingPoints)
		{
			InitializeComponent();

			// This will add video AND audio streampoints
			AddListEntries(i_InterestingPoints);
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(StreamPoints));
			this.label1 = new System.Windows.Forms.Label();
			this.listViewEvents = new System.Windows.Forms.ListView();
			this.columnHeader1 = new System.Windows.Forms.ColumnHeader();
			this.columnHeader2 = new System.Windows.Forms.ColumnHeader();
			this.butClose = new System.Windows.Forms.Button();
			this.SuspendLayout();
			// 
			// label1
			// 
			this.label1.AccessibleDescription = resources.GetString("label1.AccessibleDescription");
			this.label1.AccessibleName = resources.GetString("label1.AccessibleName");
			this.label1.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label1.Anchor")));
			this.label1.AutoSize = ((bool)(resources.GetObject("label1.AutoSize")));
			this.label1.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label1.Dock")));
			this.label1.Enabled = ((bool)(resources.GetObject("label1.Enabled")));
			this.label1.Font = ((System.Drawing.Font)(resources.GetObject("label1.Font")));
			this.label1.Image = ((System.Drawing.Image)(resources.GetObject("label1.Image")));
			this.label1.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label1.ImageAlign")));
			this.label1.ImageIndex = ((int)(resources.GetObject("label1.ImageIndex")));
			this.label1.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label1.ImeMode")));
			this.label1.Location = ((System.Drawing.Point)(resources.GetObject("label1.Location")));
			this.label1.Name = "label1";
			this.label1.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label1.RightToLeft")));
			this.label1.Size = ((System.Drawing.Size)(resources.GetObject("label1.Size")));
			this.label1.TabIndex = ((int)(resources.GetObject("label1.TabIndex")));
			this.label1.Text = resources.GetString("label1.Text");
			this.label1.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label1.TextAlign")));
			this.label1.Visible = ((bool)(resources.GetObject("label1.Visible")));
			// 
			// listViewEvents
			// 
			this.listViewEvents.AccessibleDescription = resources.GetString("listViewEvents.AccessibleDescription");
			this.listViewEvents.AccessibleName = resources.GetString("listViewEvents.AccessibleName");
			this.listViewEvents.Alignment = ((System.Windows.Forms.ListViewAlignment)(resources.GetObject("listViewEvents.Alignment")));
			this.listViewEvents.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("listViewEvents.Anchor")));
			this.listViewEvents.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("listViewEvents.BackgroundImage")));
			this.listViewEvents.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
																							 this.columnHeader1,
																							 this.columnHeader2});
			this.listViewEvents.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("listViewEvents.Dock")));
			this.listViewEvents.Enabled = ((bool)(resources.GetObject("listViewEvents.Enabled")));
			this.listViewEvents.Font = ((System.Drawing.Font)(resources.GetObject("listViewEvents.Font")));
			this.listViewEvents.FullRowSelect = true;
			this.listViewEvents.HeaderStyle = System.Windows.Forms.ColumnHeaderStyle.Nonclickable;
			this.listViewEvents.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("listViewEvents.ImeMode")));
			this.listViewEvents.LabelWrap = ((bool)(resources.GetObject("listViewEvents.LabelWrap")));
			this.listViewEvents.Location = ((System.Drawing.Point)(resources.GetObject("listViewEvents.Location")));
			this.listViewEvents.MultiSelect = false;
			this.listViewEvents.Name = "listViewEvents";
			this.listViewEvents.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("listViewEvents.RightToLeft")));
			this.listViewEvents.Size = ((System.Drawing.Size)(resources.GetObject("listViewEvents.Size")));
			this.listViewEvents.TabIndex = ((int)(resources.GetObject("listViewEvents.TabIndex")));
			this.listViewEvents.Text = resources.GetString("listViewEvents.Text");
			this.listViewEvents.View = System.Windows.Forms.View.Details;
			this.listViewEvents.Visible = ((bool)(resources.GetObject("listViewEvents.Visible")));
			this.listViewEvents.DoubleClick += new System.EventHandler(this.listViewEvents_DoubleClick);
			// 
			// columnHeader1
			// 
			this.columnHeader1.Text = resources.GetString("columnHeader1.Text");
			this.columnHeader1.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("columnHeader1.TextAlign")));
			this.columnHeader1.Width = ((int)(resources.GetObject("columnHeader1.Width")));
			// 
			// columnHeader2
			// 
			this.columnHeader2.Text = resources.GetString("columnHeader2.Text");
			this.columnHeader2.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("columnHeader2.TextAlign")));
			this.columnHeader2.Width = ((int)(resources.GetObject("columnHeader2.Width")));
			// 
			// butClose
			// 
			this.butClose.AccessibleDescription = resources.GetString("butClose.AccessibleDescription");
			this.butClose.AccessibleName = resources.GetString("butClose.AccessibleName");
			this.butClose.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("butClose.Anchor")));
			this.butClose.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("butClose.BackgroundImage")));
			this.butClose.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.butClose.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("butClose.Dock")));
			this.butClose.Enabled = ((bool)(resources.GetObject("butClose.Enabled")));
			this.butClose.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("butClose.FlatStyle")));
			this.butClose.Font = ((System.Drawing.Font)(resources.GetObject("butClose.Font")));
			this.butClose.Image = ((System.Drawing.Image)(resources.GetObject("butClose.Image")));
			this.butClose.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("butClose.ImageAlign")));
			this.butClose.ImageIndex = ((int)(resources.GetObject("butClose.ImageIndex")));
			this.butClose.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("butClose.ImeMode")));
			this.butClose.Location = ((System.Drawing.Point)(resources.GetObject("butClose.Location")));
			this.butClose.Name = "butClose";
			this.butClose.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("butClose.RightToLeft")));
			this.butClose.Size = ((System.Drawing.Size)(resources.GetObject("butClose.Size")));
			this.butClose.TabIndex = ((int)(resources.GetObject("butClose.TabIndex")));
			this.butClose.Text = resources.GetString("butClose.Text");
			this.butClose.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("butClose.TextAlign")));
			this.butClose.Visible = ((bool)(resources.GetObject("butClose.Visible")));
			// 
			// StreamPoints
			// 
			this.AccessibleDescription = resources.GetString("$this.AccessibleDescription");
			this.AccessibleName = resources.GetString("$this.AccessibleName");
			this.AutoScaleBaseSize = ((System.Drawing.Size)(resources.GetObject("$this.AutoScaleBaseSize")));
			this.AutoScroll = ((bool)(resources.GetObject("$this.AutoScroll")));
			this.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMargin")));
			this.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMinSize")));
			this.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("$this.BackgroundImage")));
			this.CancelButton = this.butClose;
			this.ClientSize = ((System.Drawing.Size)(resources.GetObject("$this.ClientSize")));
			this.ControlBox = false;
			this.Controls.Add(this.butClose);
			this.Controls.Add(this.listViewEvents);
			this.Controls.Add(this.label1);
			this.Enabled = ((bool)(resources.GetObject("$this.Enabled")));
			this.Font = ((System.Drawing.Font)(resources.GetObject("$this.Font")));
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("$this.ImeMode")));
			this.Location = ((System.Drawing.Point)(resources.GetObject("$this.Location")));
			this.MaximizeBox = false;
			this.MaximumSize = ((System.Drawing.Size)(resources.GetObject("$this.MaximumSize")));
			this.MinimizeBox = false;
			this.MinimumSize = ((System.Drawing.Size)(resources.GetObject("$this.MinimumSize")));
			this.Name = "StreamPoints";
			this.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("$this.RightToLeft")));
			this.ShowInTaskbar = false;
			this.StartPosition = ((System.Windows.Forms.FormStartPosition)(resources.GetObject("$this.StartPosition")));
			this.Text = resources.GetString("$this.Text");
			this.Load += new System.EventHandler(this.StreamPoints_Load);
			this.ResumeLayout(false);

		}
		#endregion

		private string LocalizeString(string text)
		{
			if (text.StartsWith("~"))
				return Resource.CurrentResource[text];
			else
				return text;
		}

		private void StreamPoints_Load(object sender, System.EventArgs e)
		{
			foreach (DictionaryEntry dic in dicEntries)
			{
				string time=((DateTime)dic.Key).ToString("HH:mm:ss,fff");

				StreamInfoPoint sip=(StreamInfoPoint)dic.Value;
				// Localisierung
				ArrayList par=new ArrayList();
				if (sip.Parameter!=null)
				{
					foreach (object p in sip.Parameter)
					{
						if (p is string)
							par.Add(LocalizeString((string)p));
						else
							par.Add(p);
					}
				}

				ListViewItem lvi=new ListViewItem(
					new string[]{time,string.Format(LocalizeString(sip.Text),par.ToArray())});

				listViewEvents.Items.Add(lvi);
			}
		}

		private void listViewEvents_DoubleClick(object sender, System.EventArgs e)
		{
			foreach(ListViewItem lvi in listViewEvents.Items)
			{
				if (lvi.Selected)
				{
					selectedTime=(DateTime)(((DictionaryEntry)dicEntries[lvi.Index]).Key);
					DialogResult=DialogResult.OK;
					Close();
					break;
				}
			}
		}

		private void AddListEntries(Hashtable hst)
		{
			foreach (DictionaryEntry dic in hst)
			{
				if (dicEntries.Count==0 || ((DateTime) ((DictionaryEntry)dicEntries[dicEntries.Count-1]).Key)<(DateTime)dic.Key)
					dicEntries.Add(dic);
				else
				{
					for (int pos=0;pos<dicEntries.Count;++pos)
						if ((DateTime)(((DictionaryEntry)dicEntries[pos]).Key)>(DateTime)dic.Key)
						{
							dicEntries.Insert(pos,dic);
							break;
						}
				}
			}
		}
	}
}
