/*
 * Cuttermaran - The Mpeg Cutter
 * 
 * Copyright (C) 2003,2004  Tobias Arnold (cuttermaran@gmx.net)
 * 
 * This file is part of cuttermaran, a free MPEG cut program.
 * See http://cuttermaran.kickme.to for updates.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by the 
 * Free Software Foundation; either version 2 of the License, or 
 * (at your option) any later version. 
 * 
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
 * GNU General Public License for more details. 
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software 
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 */

using System;
using System.IO;
using System.Data;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Reflection;

namespace ImagoMPGMuxerProvider
{
	/// <summary>
	/// Summary description for Settings.
	/// </summary>
	public class Settings : System.Windows.Forms.Form
	{
		private static string settingsXml;
		private static SettingsData data;

		private System.Windows.Forms.Label label11;
		private System.Windows.Forms.Button butCancel;
		private System.Windows.Forms.Button butOK;
		private System.Windows.Forms.Button butFindMuxer;
		private System.Windows.Forms.OpenFileDialog openMuxer;
		private System.Windows.Forms.TextBox tbmuxer;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.ComboBox comboType;
		private System.Windows.Forms.CheckBox checkSilentMode;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Settings()
		{
			InitializeComponent();
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(Settings));
			this.butFindMuxer = new System.Windows.Forms.Button();
			this.tbmuxer = new System.Windows.Forms.TextBox();
			this.label11 = new System.Windows.Forms.Label();
			this.butCancel = new System.Windows.Forms.Button();
			this.butOK = new System.Windows.Forms.Button();
			this.openMuxer = new System.Windows.Forms.OpenFileDialog();
			this.label1 = new System.Windows.Forms.Label();
			this.comboType = new System.Windows.Forms.ComboBox();
			this.checkSilentMode = new System.Windows.Forms.CheckBox();
			this.SuspendLayout();
			// 
			// butFindMuxer
			// 
			this.butFindMuxer.Image = ((System.Drawing.Image)(resources.GetObject("butFindMuxer.Image")));
			this.butFindMuxer.ImageAlign = System.Drawing.ContentAlignment.BottomCenter;
			this.butFindMuxer.ImeMode = System.Windows.Forms.ImeMode.NoControl;
			this.butFindMuxer.Location = new System.Drawing.Point(360, 24);
			this.butFindMuxer.Name = "butFindMuxer";
			this.butFindMuxer.Size = new System.Drawing.Size(24, 23);
			this.butFindMuxer.TabIndex = 28;
			this.butFindMuxer.Click += new System.EventHandler(this.butFindMuxer_Click);
			// 
			// tbmuxer
			// 
			this.tbmuxer.Location = new System.Drawing.Point(16, 24);
			this.tbmuxer.Name = "tbmuxer";
			this.tbmuxer.Size = new System.Drawing.Size(344, 20);
			this.tbmuxer.TabIndex = 27;
			this.tbmuxer.Text = "";
			// 
			// label11
			// 
			this.label11.ImeMode = System.Windows.Forms.ImeMode.NoControl;
			this.label11.Location = new System.Drawing.Point(16, 8);
			this.label11.Name = "label11";
			this.label11.Size = new System.Drawing.Size(176, 16);
			this.label11.TabIndex = 26;
			this.label11.Text = "Path to ImagoMPEG-Muxer.exe:";
			// 
			// butCancel
			// 
			this.butCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.butCancel.ImeMode = System.Windows.Forms.ImeMode.NoControl;
			this.butCancel.Location = new System.Drawing.Point(104, 88);
			this.butCancel.Name = "butCancel";
			this.butCancel.TabIndex = 30;
			this.butCancel.Text = "Cancel";
			// 
			// butOK
			// 
			this.butOK.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.butOK.ImeMode = System.Windows.Forms.ImeMode.NoControl;
			this.butOK.Location = new System.Drawing.Point(16, 88);
			this.butOK.Name = "butOK";
			this.butOK.TabIndex = 29;
			this.butOK.Text = "OK";
			this.butOK.Click += new System.EventHandler(this.butOK_Click);
			// 
			// openMuxer
			// 
			this.openMuxer.DefaultExt = "exe";
			this.openMuxer.Filter = "Executables|*.exe";
			this.openMuxer.Title = "Select ImagoMPEG-Muxer.exe";
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(16, 60);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(72, 16);
			this.label1.TabIndex = 31;
			this.label1.Text = "Output type:";
			// 
			// comboType
			// 
			this.comboType.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.comboType.Items.AddRange(new object[] {
														   "MPG",
														   "VOB",
														   "VOB (splitted)"});
			this.comboType.Location = new System.Drawing.Point(96, 56);
			this.comboType.Name = "comboType";
			this.comboType.Size = new System.Drawing.Size(96, 21);
			this.comboType.TabIndex = 32;
			// 
			// checkSilentMode
			// 
			this.checkSilentMode.Location = new System.Drawing.Point(200, 88);
			this.checkSilentMode.Name = "checkSilentMode";
			this.checkSilentMode.Size = new System.Drawing.Size(184, 24);
			this.checkSilentMode.TabIndex = 33;
			this.checkSilentMode.Text = "Start Imago Muxer minimized";
			// 
			// Settings
			// 
			this.AcceptButton = this.butOK;
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.CancelButton = this.butCancel;
			this.ClientSize = new System.Drawing.Size(394, 120);
			this.Controls.Add(this.checkSilentMode);
			this.Controls.Add(this.comboType);
			this.Controls.Add(this.label1);
			this.Controls.Add(this.butCancel);
			this.Controls.Add(this.butOK);
			this.Controls.Add(this.butFindMuxer);
			this.Controls.Add(this.tbmuxer);
			this.Controls.Add(this.label11);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "Settings";
			this.ShowInTaskbar = false;
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "ImagoMPEG-Muxer provider settings";
			this.Load += new System.EventHandler(this.Settings_Load);
			this.ResumeLayout(false);

		}
		#endregion

		static Settings()
		{
			data=new SettingsData();
			settingsXml=Path.Combine(SettingsPath,"ImagoMPGMuxerProvider.settings.xml");
			if (File.Exists(settingsXml))
			{
				data.ReadXml(settingsXml);
				data.AcceptChanges();
			}
		}

		private static string SettingsPath
		{
			get
			{
				string sPath=Path.Combine(Environment.GetFolderPath(Environment.SpecialFolder.ApplicationData),"Cuttermaran");
				if (!Directory.Exists(sPath))
					Directory.CreateDirectory(sPath);
				return sPath;
			}
		}

		private static string LocalPath
		{
			get
			{
				return Path.GetDirectoryName(Assembly.GetAssembly(typeof(ImagoMPGMuxerProvider.Connector)).Location);
			}
		}

		private static SettingsData.ConfigurationValueRow GetValueRow(string name,string defaultValue)
		{
			SettingsData.ConfigurationValueRow row=data.ConfigurationValue.FindBykey(name);
			if (row==null)
			{
				row=data.ConfigurationValue.NewConfigurationValueRow();
				row.key=name;
				row.value=defaultValue;
				data.ConfigurationValue.AddConfigurationValueRow(row);
			}
			return row;
		}

		public static void CommitChanges()
		{
			if (data.HasChanges())
			{
				data.AcceptChanges();
				data.WriteXml(settingsXml,XmlWriteMode.IgnoreSchema);
			}
		}

		private static void SetValueRow(string name,string Value)
		{
			SettingsData.ConfigurationValueRow row=data.ConfigurationValue.FindBykey(name);
			if (row==null)
				data.ConfigurationValue.AddConfigurationValueRow(name,Value);
			else
				if (row.value!=Value)
				row.value=Value;
		}

		private void butFindMuxer_Click(object sender, System.EventArgs e)
		{
			openMuxer.FileName=tbmuxer.Text;
			if (openMuxer.ShowDialog(this)==DialogResult.OK)
			{
				tbmuxer.Text=openMuxer.FileName;
			}
		}

		private void butOK_Click(object sender, System.EventArgs e)
		{
			SetValueRow("MuxerPath",tbmuxer.Text);
			SetValueRow("OutputType",comboType.SelectedItem.ToString());
			SetValueRow("SilentMode",checkSilentMode.Checked.ToString());
			CommitChanges();
		}

		private void Settings_Load(object sender, System.EventArgs e)
		{
			checkSilentMode.Checked = SilentMode;
			tbmuxer.Text=MuxerPath;
			int index=comboType.FindString(OutputType);
			if (index!=-1)
				comboType.SelectedIndex=index;
		}

		public static string MuxerPath
		{
			get
			{
				return GetValueRow("MuxerPath",Path.Combine(LocalPath,"ImagoMPEG-Muxer.exe")).value;
			}
		}

		public static string OutputType
		{
			get
			{
				return GetValueRow("OutputType","MPG").value;
			}
		}

		public static bool SilentMode
		{
			get
			{
				return bool.Parse(GetValueRow("SilentMode","false").value);
			}
		}
	}
}
