/*
    $Id: mjpeg_logging.h,v 1.8 2004/09/01 02:55:30 sms00 Exp $

    Copyright (C) 2000 Herbert Valerio Riedel <hvr@gnu.org>
	Mplex 2.2.4 ported from Linux to .NET by Elm <elmue@gmx.de> (Dec. 2006)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __MJPEG_LOGGING_H__
#define __MJPEG_LOGGING_H__

typedef enum {
  LOG_NONE = 0,
  LOG_DEBUG,
  LOG_INFO,
  LOG_WARN,
  LOG_ERROR,
  LOG_HEADER,
  LOG_PROGRESS
} log_level_t;

#ifdef __cplusplus
extern "C" {
#endif
void
mjpeg_log(log_level_t level, const char format[], ...);

typedef int(*mjpeg_log_filter_t)(log_level_t level);
    
typedef void(*mjpeg_log_handler_t)(log_level_t level, const char *message);

mjpeg_log_handler_t
mjpeg_log_set_handler(mjpeg_log_handler_t new_handler);

int
mjpeg_default_handler_identifier(const char *new_id);

int
mjpeg_default_handler_verbosity(int verbosity);

void
mjpeg_progress(int percent);

void
mjpeg_debug(const char format[], ...);

void
mjpeg_info(const char format[], ...);

void
mjpeg_warn(const char format[], ...);

void
mjpeg_error(const char format[], ...);

void
mjpeg_header(const char format[], ...);

#ifdef __cplusplus
}
#endif

// throws an exception --> remove from __cpluplus block
void mjpeg_error_exit1(const char format[], ...);

#endif /* __MJPEG_LOGGING_H__ */

