/*
 * Cuttermaran - The Mpeg Cutter
 * 
 * Copyright (C) 2003,2004  Tobias Arnold (cuttermaran@gmx.net)
 * 
 * This file is part of cuttermaran, a free MPEG cut program.
 * See http://cuttermaran.kickme.to for updates.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by the 
 * Free Software Foundation; either version 2 of the License, or 
 * (at your option) any later version. 
 * 
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
 * GNU General Public License for more details. 
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software 
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 */

using System;
using System.IO;
using System.Data;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Reflection;

namespace mplexProvider
{
	/// <summary>
	/// Summary description for Settings.
	/// </summary>
	public class Settings : System.Windows.Forms.Form
	{
		private static string settingsXml;
		private System.Windows.Forms.TextBox textSizeSplit;
		private static SettingsData data;

		public Settings()
		{
			InitializeComponent();
		}

		#region Windows Form Designer generated code

		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		private System.Windows.Forms.Button butOK;
		private System.Windows.Forms.CheckBox checkSilentMode;
		private System.Windows.Forms.Button butCancel;
		private System.Windows.Forms.CheckBox checkVBR;
		private System.Windows.Forms.TextBox textBitrate;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Panel panel1;
		private System.Windows.Forms.Panel panel2;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.RadioButton radioBitrateAuto;
		private System.Windows.Forms.RadioButton radioBitrateFix;
		private System.Windows.Forms.RadioButton radioSizeSplit;
		private System.Windows.Forms.RadioButton radioSizeUnlimited;
		private System.ComponentModel.Container components = null;

		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(Settings));
			this.butOK = new System.Windows.Forms.Button();
			this.checkSilentMode = new System.Windows.Forms.CheckBox();
			this.butCancel = new System.Windows.Forms.Button();
			this.checkVBR = new System.Windows.Forms.CheckBox();
			this.radioBitrateAuto = new System.Windows.Forms.RadioButton();
			this.radioBitrateFix = new System.Windows.Forms.RadioButton();
			this.textBitrate = new System.Windows.Forms.TextBox();
			this.label1 = new System.Windows.Forms.Label();
			this.panel1 = new System.Windows.Forms.Panel();
			this.panel2 = new System.Windows.Forms.Panel();
			this.radioSizeUnlimited = new System.Windows.Forms.RadioButton();
			this.textSizeSplit = new System.Windows.Forms.TextBox();
			this.radioSizeSplit = new System.Windows.Forms.RadioButton();
			this.label2 = new System.Windows.Forms.Label();
			this.panel1.SuspendLayout();
			this.panel2.SuspendLayout();
			this.SuspendLayout();
			// 
			// butOK
			// 
			this.butOK.AccessibleDescription = resources.GetString("butOK.AccessibleDescription");
			this.butOK.AccessibleName = resources.GetString("butOK.AccessibleName");
			this.butOK.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("butOK.Anchor")));
			this.butOK.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("butOK.BackgroundImage")));
			this.butOK.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("butOK.Dock")));
			this.butOK.Enabled = ((bool)(resources.GetObject("butOK.Enabled")));
			this.butOK.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("butOK.FlatStyle")));
			this.butOK.Font = ((System.Drawing.Font)(resources.GetObject("butOK.Font")));
			this.butOK.Image = ((System.Drawing.Image)(resources.GetObject("butOK.Image")));
			this.butOK.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("butOK.ImageAlign")));
			this.butOK.ImageIndex = ((int)(resources.GetObject("butOK.ImageIndex")));
			this.butOK.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("butOK.ImeMode")));
			this.butOK.Location = ((System.Drawing.Point)(resources.GetObject("butOK.Location")));
			this.butOK.Name = "butOK";
			this.butOK.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("butOK.RightToLeft")));
			this.butOK.Size = ((System.Drawing.Size)(resources.GetObject("butOK.Size")));
			this.butOK.TabIndex = ((int)(resources.GetObject("butOK.TabIndex")));
			this.butOK.Text = resources.GetString("butOK.Text");
			this.butOK.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("butOK.TextAlign")));
			this.butOK.Visible = ((bool)(resources.GetObject("butOK.Visible")));
			this.butOK.Click += new System.EventHandler(this.OnButtonOK);
			// 
			// checkSilentMode
			// 
			this.checkSilentMode.AccessibleDescription = resources.GetString("checkSilentMode.AccessibleDescription");
			this.checkSilentMode.AccessibleName = resources.GetString("checkSilentMode.AccessibleName");
			this.checkSilentMode.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("checkSilentMode.Anchor")));
			this.checkSilentMode.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("checkSilentMode.Appearance")));
			this.checkSilentMode.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("checkSilentMode.BackgroundImage")));
			this.checkSilentMode.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkSilentMode.CheckAlign")));
			this.checkSilentMode.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("checkSilentMode.Dock")));
			this.checkSilentMode.Enabled = ((bool)(resources.GetObject("checkSilentMode.Enabled")));
			this.checkSilentMode.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("checkSilentMode.FlatStyle")));
			this.checkSilentMode.Font = ((System.Drawing.Font)(resources.GetObject("checkSilentMode.Font")));
			this.checkSilentMode.Image = ((System.Drawing.Image)(resources.GetObject("checkSilentMode.Image")));
			this.checkSilentMode.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkSilentMode.ImageAlign")));
			this.checkSilentMode.ImageIndex = ((int)(resources.GetObject("checkSilentMode.ImageIndex")));
			this.checkSilentMode.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("checkSilentMode.ImeMode")));
			this.checkSilentMode.Location = ((System.Drawing.Point)(resources.GetObject("checkSilentMode.Location")));
			this.checkSilentMode.Name = "checkSilentMode";
			this.checkSilentMode.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("checkSilentMode.RightToLeft")));
			this.checkSilentMode.Size = ((System.Drawing.Size)(resources.GetObject("checkSilentMode.Size")));
			this.checkSilentMode.TabIndex = ((int)(resources.GetObject("checkSilentMode.TabIndex")));
			this.checkSilentMode.Text = resources.GetString("checkSilentMode.Text");
			this.checkSilentMode.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkSilentMode.TextAlign")));
			this.checkSilentMode.Visible = ((bool)(resources.GetObject("checkSilentMode.Visible")));
			// 
			// butCancel
			// 
			this.butCancel.AccessibleDescription = resources.GetString("butCancel.AccessibleDescription");
			this.butCancel.AccessibleName = resources.GetString("butCancel.AccessibleName");
			this.butCancel.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("butCancel.Anchor")));
			this.butCancel.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("butCancel.BackgroundImage")));
			this.butCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.butCancel.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("butCancel.Dock")));
			this.butCancel.Enabled = ((bool)(resources.GetObject("butCancel.Enabled")));
			this.butCancel.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("butCancel.FlatStyle")));
			this.butCancel.Font = ((System.Drawing.Font)(resources.GetObject("butCancel.Font")));
			this.butCancel.Image = ((System.Drawing.Image)(resources.GetObject("butCancel.Image")));
			this.butCancel.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("butCancel.ImageAlign")));
			this.butCancel.ImageIndex = ((int)(resources.GetObject("butCancel.ImageIndex")));
			this.butCancel.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("butCancel.ImeMode")));
			this.butCancel.Location = ((System.Drawing.Point)(resources.GetObject("butCancel.Location")));
			this.butCancel.Name = "butCancel";
			this.butCancel.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("butCancel.RightToLeft")));
			this.butCancel.Size = ((System.Drawing.Size)(resources.GetObject("butCancel.Size")));
			this.butCancel.TabIndex = ((int)(resources.GetObject("butCancel.TabIndex")));
			this.butCancel.Text = resources.GetString("butCancel.Text");
			this.butCancel.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("butCancel.TextAlign")));
			this.butCancel.Visible = ((bool)(resources.GetObject("butCancel.Visible")));
			// 
			// checkVBR
			// 
			this.checkVBR.AccessibleDescription = resources.GetString("checkVBR.AccessibleDescription");
			this.checkVBR.AccessibleName = resources.GetString("checkVBR.AccessibleName");
			this.checkVBR.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("checkVBR.Anchor")));
			this.checkVBR.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("checkVBR.Appearance")));
			this.checkVBR.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("checkVBR.BackgroundImage")));
			this.checkVBR.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkVBR.CheckAlign")));
			this.checkVBR.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("checkVBR.Dock")));
			this.checkVBR.Enabled = ((bool)(resources.GetObject("checkVBR.Enabled")));
			this.checkVBR.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("checkVBR.FlatStyle")));
			this.checkVBR.Font = ((System.Drawing.Font)(resources.GetObject("checkVBR.Font")));
			this.checkVBR.Image = ((System.Drawing.Image)(resources.GetObject("checkVBR.Image")));
			this.checkVBR.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkVBR.ImageAlign")));
			this.checkVBR.ImageIndex = ((int)(resources.GetObject("checkVBR.ImageIndex")));
			this.checkVBR.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("checkVBR.ImeMode")));
			this.checkVBR.Location = ((System.Drawing.Point)(resources.GetObject("checkVBR.Location")));
			this.checkVBR.Name = "checkVBR";
			this.checkVBR.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("checkVBR.RightToLeft")));
			this.checkVBR.Size = ((System.Drawing.Size)(resources.GetObject("checkVBR.Size")));
			this.checkVBR.TabIndex = ((int)(resources.GetObject("checkVBR.TabIndex")));
			this.checkVBR.Text = resources.GetString("checkVBR.Text");
			this.checkVBR.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkVBR.TextAlign")));
			this.checkVBR.Visible = ((bool)(resources.GetObject("checkVBR.Visible")));
			// 
			// radioBitrateAuto
			// 
			this.radioBitrateAuto.AccessibleDescription = resources.GetString("radioBitrateAuto.AccessibleDescription");
			this.radioBitrateAuto.AccessibleName = resources.GetString("radioBitrateAuto.AccessibleName");
			this.radioBitrateAuto.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("radioBitrateAuto.Anchor")));
			this.radioBitrateAuto.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("radioBitrateAuto.Appearance")));
			this.radioBitrateAuto.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("radioBitrateAuto.BackgroundImage")));
			this.radioBitrateAuto.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("radioBitrateAuto.CheckAlign")));
			this.radioBitrateAuto.Checked = true;
			this.radioBitrateAuto.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("radioBitrateAuto.Dock")));
			this.radioBitrateAuto.Enabled = ((bool)(resources.GetObject("radioBitrateAuto.Enabled")));
			this.radioBitrateAuto.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("radioBitrateAuto.FlatStyle")));
			this.radioBitrateAuto.Font = ((System.Drawing.Font)(resources.GetObject("radioBitrateAuto.Font")));
			this.radioBitrateAuto.Image = ((System.Drawing.Image)(resources.GetObject("radioBitrateAuto.Image")));
			this.radioBitrateAuto.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("radioBitrateAuto.ImageAlign")));
			this.radioBitrateAuto.ImageIndex = ((int)(resources.GetObject("radioBitrateAuto.ImageIndex")));
			this.radioBitrateAuto.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("radioBitrateAuto.ImeMode")));
			this.radioBitrateAuto.Location = ((System.Drawing.Point)(resources.GetObject("radioBitrateAuto.Location")));
			this.radioBitrateAuto.Name = "radioBitrateAuto";
			this.radioBitrateAuto.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("radioBitrateAuto.RightToLeft")));
			this.radioBitrateAuto.Size = ((System.Drawing.Size)(resources.GetObject("radioBitrateAuto.Size")));
			this.radioBitrateAuto.TabIndex = ((int)(resources.GetObject("radioBitrateAuto.TabIndex")));
			this.radioBitrateAuto.TabStop = true;
			this.radioBitrateAuto.Text = resources.GetString("radioBitrateAuto.Text");
			this.radioBitrateAuto.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("radioBitrateAuto.TextAlign")));
			this.radioBitrateAuto.Visible = ((bool)(resources.GetObject("radioBitrateAuto.Visible")));
			// 
			// radioBitrateFix
			// 
			this.radioBitrateFix.AccessibleDescription = resources.GetString("radioBitrateFix.AccessibleDescription");
			this.radioBitrateFix.AccessibleName = resources.GetString("radioBitrateFix.AccessibleName");
			this.radioBitrateFix.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("radioBitrateFix.Anchor")));
			this.radioBitrateFix.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("radioBitrateFix.Appearance")));
			this.radioBitrateFix.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("radioBitrateFix.BackgroundImage")));
			this.radioBitrateFix.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("radioBitrateFix.CheckAlign")));
			this.radioBitrateFix.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("radioBitrateFix.Dock")));
			this.radioBitrateFix.Enabled = ((bool)(resources.GetObject("radioBitrateFix.Enabled")));
			this.radioBitrateFix.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("radioBitrateFix.FlatStyle")));
			this.radioBitrateFix.Font = ((System.Drawing.Font)(resources.GetObject("radioBitrateFix.Font")));
			this.radioBitrateFix.Image = ((System.Drawing.Image)(resources.GetObject("radioBitrateFix.Image")));
			this.radioBitrateFix.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("radioBitrateFix.ImageAlign")));
			this.radioBitrateFix.ImageIndex = ((int)(resources.GetObject("radioBitrateFix.ImageIndex")));
			this.radioBitrateFix.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("radioBitrateFix.ImeMode")));
			this.radioBitrateFix.Location = ((System.Drawing.Point)(resources.GetObject("radioBitrateFix.Location")));
			this.radioBitrateFix.Name = "radioBitrateFix";
			this.radioBitrateFix.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("radioBitrateFix.RightToLeft")));
			this.radioBitrateFix.Size = ((System.Drawing.Size)(resources.GetObject("radioBitrateFix.Size")));
			this.radioBitrateFix.TabIndex = ((int)(resources.GetObject("radioBitrateFix.TabIndex")));
			this.radioBitrateFix.Text = resources.GetString("radioBitrateFix.Text");
			this.radioBitrateFix.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("radioBitrateFix.TextAlign")));
			this.radioBitrateFix.Visible = ((bool)(resources.GetObject("radioBitrateFix.Visible")));
			this.radioBitrateFix.CheckedChanged += new System.EventHandler(this.OnBitrateCheckChanged);
			// 
			// textBitrate
			// 
			this.textBitrate.AccessibleDescription = resources.GetString("textBitrate.AccessibleDescription");
			this.textBitrate.AccessibleName = resources.GetString("textBitrate.AccessibleName");
			this.textBitrate.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("textBitrate.Anchor")));
			this.textBitrate.AutoSize = ((bool)(resources.GetObject("textBitrate.AutoSize")));
			this.textBitrate.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("textBitrate.BackgroundImage")));
			this.textBitrate.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("textBitrate.Dock")));
			this.textBitrate.Enabled = ((bool)(resources.GetObject("textBitrate.Enabled")));
			this.textBitrate.Font = ((System.Drawing.Font)(resources.GetObject("textBitrate.Font")));
			this.textBitrate.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("textBitrate.ImeMode")));
			this.textBitrate.Location = ((System.Drawing.Point)(resources.GetObject("textBitrate.Location")));
			this.textBitrate.MaxLength = ((int)(resources.GetObject("textBitrate.MaxLength")));
			this.textBitrate.Multiline = ((bool)(resources.GetObject("textBitrate.Multiline")));
			this.textBitrate.Name = "textBitrate";
			this.textBitrate.PasswordChar = ((char)(resources.GetObject("textBitrate.PasswordChar")));
			this.textBitrate.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("textBitrate.RightToLeft")));
			this.textBitrate.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("textBitrate.ScrollBars")));
			this.textBitrate.Size = ((System.Drawing.Size)(resources.GetObject("textBitrate.Size")));
			this.textBitrate.TabIndex = ((int)(resources.GetObject("textBitrate.TabIndex")));
			this.textBitrate.Text = resources.GetString("textBitrate.Text");
			this.textBitrate.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("textBitrate.TextAlign")));
			this.textBitrate.Visible = ((bool)(resources.GetObject("textBitrate.Visible")));
			this.textBitrate.WordWrap = ((bool)(resources.GetObject("textBitrate.WordWrap")));
			// 
			// label1
			// 
			this.label1.AccessibleDescription = resources.GetString("label1.AccessibleDescription");
			this.label1.AccessibleName = resources.GetString("label1.AccessibleName");
			this.label1.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label1.Anchor")));
			this.label1.AutoSize = ((bool)(resources.GetObject("label1.AutoSize")));
			this.label1.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label1.Dock")));
			this.label1.Enabled = ((bool)(resources.GetObject("label1.Enabled")));
			this.label1.Font = ((System.Drawing.Font)(resources.GetObject("label1.Font")));
			this.label1.Image = ((System.Drawing.Image)(resources.GetObject("label1.Image")));
			this.label1.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label1.ImageAlign")));
			this.label1.ImageIndex = ((int)(resources.GetObject("label1.ImageIndex")));
			this.label1.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label1.ImeMode")));
			this.label1.Location = ((System.Drawing.Point)(resources.GetObject("label1.Location")));
			this.label1.Name = "label1";
			this.label1.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label1.RightToLeft")));
			this.label1.Size = ((System.Drawing.Size)(resources.GetObject("label1.Size")));
			this.label1.TabIndex = ((int)(resources.GetObject("label1.TabIndex")));
			this.label1.Text = resources.GetString("label1.Text");
			this.label1.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label1.TextAlign")));
			this.label1.Visible = ((bool)(resources.GetObject("label1.Visible")));
			// 
			// panel1
			// 
			this.panel1.AccessibleDescription = resources.GetString("panel1.AccessibleDescription");
			this.panel1.AccessibleName = resources.GetString("panel1.AccessibleName");
			this.panel1.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("panel1.Anchor")));
			this.panel1.AutoScroll = ((bool)(resources.GetObject("panel1.AutoScroll")));
			this.panel1.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("panel1.AutoScrollMargin")));
			this.panel1.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("panel1.AutoScrollMinSize")));
			this.panel1.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("panel1.BackgroundImage")));
			this.panel1.Controls.Add(this.label1);
			this.panel1.Controls.Add(this.radioBitrateFix);
			this.panel1.Controls.Add(this.textBitrate);
			this.panel1.Controls.Add(this.radioBitrateAuto);
			this.panel1.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("panel1.Dock")));
			this.panel1.Enabled = ((bool)(resources.GetObject("panel1.Enabled")));
			this.panel1.Font = ((System.Drawing.Font)(resources.GetObject("panel1.Font")));
			this.panel1.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("panel1.ImeMode")));
			this.panel1.Location = ((System.Drawing.Point)(resources.GetObject("panel1.Location")));
			this.panel1.Name = "panel1";
			this.panel1.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("panel1.RightToLeft")));
			this.panel1.Size = ((System.Drawing.Size)(resources.GetObject("panel1.Size")));
			this.panel1.TabIndex = ((int)(resources.GetObject("panel1.TabIndex")));
			this.panel1.Text = resources.GetString("panel1.Text");
			this.panel1.Visible = ((bool)(resources.GetObject("panel1.Visible")));
			// 
			// panel2
			// 
			this.panel2.AccessibleDescription = resources.GetString("panel2.AccessibleDescription");
			this.panel2.AccessibleName = resources.GetString("panel2.AccessibleName");
			this.panel2.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("panel2.Anchor")));
			this.panel2.AutoScroll = ((bool)(resources.GetObject("panel2.AutoScroll")));
			this.panel2.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("panel2.AutoScrollMargin")));
			this.panel2.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("panel2.AutoScrollMinSize")));
			this.panel2.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("panel2.BackgroundImage")));
			this.panel2.Controls.Add(this.radioSizeUnlimited);
			this.panel2.Controls.Add(this.textSizeSplit);
			this.panel2.Controls.Add(this.radioSizeSplit);
			this.panel2.Controls.Add(this.label2);
			this.panel2.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("panel2.Dock")));
			this.panel2.Enabled = ((bool)(resources.GetObject("panel2.Enabled")));
			this.panel2.Font = ((System.Drawing.Font)(resources.GetObject("panel2.Font")));
			this.panel2.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("panel2.ImeMode")));
			this.panel2.Location = ((System.Drawing.Point)(resources.GetObject("panel2.Location")));
			this.panel2.Name = "panel2";
			this.panel2.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("panel2.RightToLeft")));
			this.panel2.Size = ((System.Drawing.Size)(resources.GetObject("panel2.Size")));
			this.panel2.TabIndex = ((int)(resources.GetObject("panel2.TabIndex")));
			this.panel2.Text = resources.GetString("panel2.Text");
			this.panel2.Visible = ((bool)(resources.GetObject("panel2.Visible")));
			// 
			// radioSizeUnlimited
			// 
			this.radioSizeUnlimited.AccessibleDescription = resources.GetString("radioSizeUnlimited.AccessibleDescription");
			this.radioSizeUnlimited.AccessibleName = resources.GetString("radioSizeUnlimited.AccessibleName");
			this.radioSizeUnlimited.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("radioSizeUnlimited.Anchor")));
			this.radioSizeUnlimited.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("radioSizeUnlimited.Appearance")));
			this.radioSizeUnlimited.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("radioSizeUnlimited.BackgroundImage")));
			this.radioSizeUnlimited.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("radioSizeUnlimited.CheckAlign")));
			this.radioSizeUnlimited.Checked = true;
			this.radioSizeUnlimited.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("radioSizeUnlimited.Dock")));
			this.radioSizeUnlimited.Enabled = ((bool)(resources.GetObject("radioSizeUnlimited.Enabled")));
			this.radioSizeUnlimited.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("radioSizeUnlimited.FlatStyle")));
			this.radioSizeUnlimited.Font = ((System.Drawing.Font)(resources.GetObject("radioSizeUnlimited.Font")));
			this.radioSizeUnlimited.Image = ((System.Drawing.Image)(resources.GetObject("radioSizeUnlimited.Image")));
			this.radioSizeUnlimited.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("radioSizeUnlimited.ImageAlign")));
			this.radioSizeUnlimited.ImageIndex = ((int)(resources.GetObject("radioSizeUnlimited.ImageIndex")));
			this.radioSizeUnlimited.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("radioSizeUnlimited.ImeMode")));
			this.radioSizeUnlimited.Location = ((System.Drawing.Point)(resources.GetObject("radioSizeUnlimited.Location")));
			this.radioSizeUnlimited.Name = "radioSizeUnlimited";
			this.radioSizeUnlimited.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("radioSizeUnlimited.RightToLeft")));
			this.radioSizeUnlimited.Size = ((System.Drawing.Size)(resources.GetObject("radioSizeUnlimited.Size")));
			this.radioSizeUnlimited.TabIndex = ((int)(resources.GetObject("radioSizeUnlimited.TabIndex")));
			this.radioSizeUnlimited.TabStop = true;
			this.radioSizeUnlimited.Text = resources.GetString("radioSizeUnlimited.Text");
			this.radioSizeUnlimited.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("radioSizeUnlimited.TextAlign")));
			this.radioSizeUnlimited.Visible = ((bool)(resources.GetObject("radioSizeUnlimited.Visible")));
			// 
			// textSizeSplit
			// 
			this.textSizeSplit.AccessibleDescription = resources.GetString("textSizeSplit.AccessibleDescription");
			this.textSizeSplit.AccessibleName = resources.GetString("textSizeSplit.AccessibleName");
			this.textSizeSplit.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("textSizeSplit.Anchor")));
			this.textSizeSplit.AutoSize = ((bool)(resources.GetObject("textSizeSplit.AutoSize")));
			this.textSizeSplit.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("textSizeSplit.BackgroundImage")));
			this.textSizeSplit.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("textSizeSplit.Dock")));
			this.textSizeSplit.Enabled = ((bool)(resources.GetObject("textSizeSplit.Enabled")));
			this.textSizeSplit.Font = ((System.Drawing.Font)(resources.GetObject("textSizeSplit.Font")));
			this.textSizeSplit.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("textSizeSplit.ImeMode")));
			this.textSizeSplit.Location = ((System.Drawing.Point)(resources.GetObject("textSizeSplit.Location")));
			this.textSizeSplit.MaxLength = ((int)(resources.GetObject("textSizeSplit.MaxLength")));
			this.textSizeSplit.Multiline = ((bool)(resources.GetObject("textSizeSplit.Multiline")));
			this.textSizeSplit.Name = "textSizeSplit";
			this.textSizeSplit.PasswordChar = ((char)(resources.GetObject("textSizeSplit.PasswordChar")));
			this.textSizeSplit.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("textSizeSplit.RightToLeft")));
			this.textSizeSplit.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("textSizeSplit.ScrollBars")));
			this.textSizeSplit.Size = ((System.Drawing.Size)(resources.GetObject("textSizeSplit.Size")));
			this.textSizeSplit.TabIndex = ((int)(resources.GetObject("textSizeSplit.TabIndex")));
			this.textSizeSplit.Text = resources.GetString("textSizeSplit.Text");
			this.textSizeSplit.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("textSizeSplit.TextAlign")));
			this.textSizeSplit.Visible = ((bool)(resources.GetObject("textSizeSplit.Visible")));
			this.textSizeSplit.WordWrap = ((bool)(resources.GetObject("textSizeSplit.WordWrap")));
			// 
			// radioSizeSplit
			// 
			this.radioSizeSplit.AccessibleDescription = resources.GetString("radioSizeSplit.AccessibleDescription");
			this.radioSizeSplit.AccessibleName = resources.GetString("radioSizeSplit.AccessibleName");
			this.radioSizeSplit.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("radioSizeSplit.Anchor")));
			this.radioSizeSplit.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("radioSizeSplit.Appearance")));
			this.radioSizeSplit.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("radioSizeSplit.BackgroundImage")));
			this.radioSizeSplit.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("radioSizeSplit.CheckAlign")));
			this.radioSizeSplit.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("radioSizeSplit.Dock")));
			this.radioSizeSplit.Enabled = ((bool)(resources.GetObject("radioSizeSplit.Enabled")));
			this.radioSizeSplit.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("radioSizeSplit.FlatStyle")));
			this.radioSizeSplit.Font = ((System.Drawing.Font)(resources.GetObject("radioSizeSplit.Font")));
			this.radioSizeSplit.Image = ((System.Drawing.Image)(resources.GetObject("radioSizeSplit.Image")));
			this.radioSizeSplit.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("radioSizeSplit.ImageAlign")));
			this.radioSizeSplit.ImageIndex = ((int)(resources.GetObject("radioSizeSplit.ImageIndex")));
			this.radioSizeSplit.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("radioSizeSplit.ImeMode")));
			this.radioSizeSplit.Location = ((System.Drawing.Point)(resources.GetObject("radioSizeSplit.Location")));
			this.radioSizeSplit.Name = "radioSizeSplit";
			this.radioSizeSplit.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("radioSizeSplit.RightToLeft")));
			this.radioSizeSplit.Size = ((System.Drawing.Size)(resources.GetObject("radioSizeSplit.Size")));
			this.radioSizeSplit.TabIndex = ((int)(resources.GetObject("radioSizeSplit.TabIndex")));
			this.radioSizeSplit.Text = resources.GetString("radioSizeSplit.Text");
			this.radioSizeSplit.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("radioSizeSplit.TextAlign")));
			this.radioSizeSplit.Visible = ((bool)(resources.GetObject("radioSizeSplit.Visible")));
			this.radioSizeSplit.CheckedChanged += new System.EventHandler(this.OnSplitSizeCheckChanged);
			// 
			// label2
			// 
			this.label2.AccessibleDescription = resources.GetString("label2.AccessibleDescription");
			this.label2.AccessibleName = resources.GetString("label2.AccessibleName");
			this.label2.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label2.Anchor")));
			this.label2.AutoSize = ((bool)(resources.GetObject("label2.AutoSize")));
			this.label2.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label2.Dock")));
			this.label2.Enabled = ((bool)(resources.GetObject("label2.Enabled")));
			this.label2.Font = ((System.Drawing.Font)(resources.GetObject("label2.Font")));
			this.label2.Image = ((System.Drawing.Image)(resources.GetObject("label2.Image")));
			this.label2.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label2.ImageAlign")));
			this.label2.ImageIndex = ((int)(resources.GetObject("label2.ImageIndex")));
			this.label2.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label2.ImeMode")));
			this.label2.Location = ((System.Drawing.Point)(resources.GetObject("label2.Location")));
			this.label2.Name = "label2";
			this.label2.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label2.RightToLeft")));
			this.label2.Size = ((System.Drawing.Size)(resources.GetObject("label2.Size")));
			this.label2.TabIndex = ((int)(resources.GetObject("label2.TabIndex")));
			this.label2.Text = resources.GetString("label2.Text");
			this.label2.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label2.TextAlign")));
			this.label2.Visible = ((bool)(resources.GetObject("label2.Visible")));
			// 
			// Settings
			// 
			this.AccessibleDescription = resources.GetString("$this.AccessibleDescription");
			this.AccessibleName = resources.GetString("$this.AccessibleName");
			this.AutoScaleBaseSize = ((System.Drawing.Size)(resources.GetObject("$this.AutoScaleBaseSize")));
			this.AutoScroll = ((bool)(resources.GetObject("$this.AutoScroll")));
			this.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMargin")));
			this.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMinSize")));
			this.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("$this.BackgroundImage")));
			this.ClientSize = ((System.Drawing.Size)(resources.GetObject("$this.ClientSize")));
			this.Controls.Add(this.panel2);
			this.Controls.Add(this.panel1);
			this.Controls.Add(this.checkVBR);
			this.Controls.Add(this.butCancel);
			this.Controls.Add(this.butOK);
			this.Controls.Add(this.checkSilentMode);
			this.Enabled = ((bool)(resources.GetObject("$this.Enabled")));
			this.Font = ((System.Drawing.Font)(resources.GetObject("$this.Font")));
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("$this.ImeMode")));
			this.Location = ((System.Drawing.Point)(resources.GetObject("$this.Location")));
			this.MaximizeBox = false;
			this.MaximumSize = ((System.Drawing.Size)(resources.GetObject("$this.MaximumSize")));
			this.MinimizeBox = false;
			this.MinimumSize = ((System.Drawing.Size)(resources.GetObject("$this.MinimumSize")));
			this.Name = "Settings";
			this.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("$this.RightToLeft")));
			this.ShowInTaskbar = false;
			this.StartPosition = ((System.Windows.Forms.FormStartPosition)(resources.GetObject("$this.StartPosition")));
			this.Text = resources.GetString("$this.Text");
			this.Load += new System.EventHandler(this.Settings_Load);
			this.panel1.ResumeLayout(false);
			this.panel2.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		static Settings()
		{
			data=new SettingsData();
			settingsXml=Path.Combine(Environment.GetFolderPath(Environment.SpecialFolder.ApplicationData),@"Cuttermaran\mplexProvider.settings.xml");
			if (File.Exists(settingsXml))
			{
				data.ReadXml(settingsXml);
				data.AcceptChanges();
			}
		}

		private void Settings_Load(object sender, System.EventArgs e)
		{
			checkSilentMode.Checked = SilentMode;
			textSizeSplit.  Text    = FileSize.ToString();
			radioSizeSplit. Checked = FileSizeSplit;
			textSizeSplit.  Enabled = FileSizeSplit;

//			checkVBR.       Checked = VariableBitrate;
			radioBitrateFix.Checked = false; // BitrateFix;
			textBitrate.    Text    = Bitrate. ToString();
//			textBitrate.    Enabled = BitrateFix;
		}

		private void OnButtonOK(object sender, System.EventArgs e)
		{
			// We have to check this HERE and even if the textboxes are NOT enabled
			// because otherwise invalid data would be saved to XML
/*
			int s32_Bitrate  = 0;
			try { s32_Bitrate  = Int32.Parse(textBitrate.Text); }
			catch {}
			if (s32_Bitrate <= 0 && radioBitrateFix.Checked)
			{
				radioBitrateFix.Checked = true;
				textBitrate.Focus(); // set focus in textbox with invalid value
				return;
			}
*/
			int s32_FileSize = 0;
			try { s32_FileSize = Int32.Parse(textSizeSplit.Text); }
			catch {}
			if (s32_FileSize <= 0 && radioSizeSplit.Checked)
			{
				radioSizeSplit.Checked = true;
				textSizeSplit.Focus(); // set focus in textbox with invalid value
				return;
			}

			SetValueRow("SilentMode",      checkSilentMode.Checked.ToString());
			SetValueRow("FileSize",        textSizeSplit.Text);
			SetValueRow("FileSizeSplit",   radioSizeSplit.Checked.ToString());

			SetValueRow("Bitrate",         textBitrate.Text);
//			SetValueRow("BitrateFix",      radioBitrateFix.Checked.ToString());
//			SetValueRow("VariableBitrate", checkVBR.Checked.ToString());

			CommitChanges();

			DialogResult = DialogResult.OK;
			Close();
		}

		private static void SetValueRow(string name,string Value)
		{
			SettingsData.ConfigurationValueRow row=data.ConfigurationValue.FindBykey(name);
			if (row==null)
				data.ConfigurationValue.AddConfigurationValueRow(name,Value);
			else
				if (row.value!=Value)
				row.value=Value;
		}

		public static void CommitChanges()
		{
			if (data.HasChanges())
			{
				data.AcceptChanges();
				// Existiert Cuttermaran Folder?
				if (!Directory.Exists(Path.GetDirectoryName(settingsXml)))
					Directory.CreateDirectory(Path.GetDirectoryName(settingsXml));
				data.WriteXml(settingsXml,XmlWriteMode.IgnoreSchema);
			}
		}

		public static bool SilentMode
		{
			get { return bool.Parse(GetValueRow("SilentMode","false").value); }
		}

		public static int Bitrate
		{
			get 
			{ 
				try { return Int32.Parse(GetValueRow("Bitrate","3000").value); }
				catch { return 3000; }
			}
		}
		public static bool BitrateFix
		{
			get { return bool.Parse(GetValueRow("BitrateFix","false").value); }
		}

		public static bool VariableBitrate
		{
			get { return bool.Parse(GetValueRow("VariableBitrate","false").value); }
		}

		public static int FileSize
		{
			get 
			{ 
				try { return Int32.Parse(GetValueRow("FileSize","1000").value); }
				catch { return 1000; }
			}
		}
		public static bool FileSizeSplit
		{
			get { return bool.Parse(GetValueRow("FileSizeSplit","false").value); }
		}

		private static SettingsData.ConfigurationValueRow GetValueRow(string name,string defaultValue)
		{
			SettingsData.ConfigurationValueRow row=data.ConfigurationValue.FindBykey(name);
			if (row==null)
			{
				row=data.ConfigurationValue.NewConfigurationValueRow();
				row.key=name;
				row.value=defaultValue;
				data.ConfigurationValue.AddConfigurationValueRow(row);
			}
			return row;
		}

		private void OnSplitSizeCheckChanged(object sender, System.EventArgs e)
		{
			textSizeSplit.Enabled = radioSizeSplit.Checked;
		}

		private void OnBitrateCheckChanged(object sender, System.EventArgs e)
		{
			textBitrate.Enabled = radioBitrateFix.Checked;		
		}

	}
}
