
/*  ProcessStarter.h

----------------------------------------------------------------------------------
Using these conventions results in better readable code and less coding errors !
----------------------------------------------------------------------------------

     cName  for generic class definitions
     CName  for MFC     class definitions
     tName  for type    definitions
     eName  for enum    definitions
     kName  for struct  definitions

    e_Name  for enum variables
    E_Name  for enum constant values

    i_Name  for instances of classes
    h_Name  for handles

    T_Name  for Templates
    t_Name  for TCHAR or LPTSTR

    s_Name  for strings
   bs_Name  for BSTR
    f_Name  for function pointers
    k_Name  for contructs (struct)

    b_Name  bool,BOOL 1 Bit

   s8_Name    signed  8 Bit (char)
  s16_Name    signed 16 Bit (SHORT, WCHAR)
  s32_Name    signed 32 Bit (LONG, int)
  s64_Name    signed 64 Bit (LONGLONG)

   u8_Name  unsigned  8 Bit (BYTE)
  u16_Name  unsigned 16 bit (WORD)
  u32_Name  unsigned 32 Bit (DWORD, UINT)
  u64_Name  unsigned 64 Bit (ULONGLONG)

    d_Name  for double

  ----------------

    m_Name  for member variables of a class (e.g. ms32_Name for int member variable)
    g_Name  for global variables            (e.g. gu16_Name for global WORD)
    p_Name  for pointer                     (e.g.   ps_Name  *pointer to string)
   pp_Name  for pointer to pointer          (e.g.  ppd_Name **pointer to double)

*************************************************************************************/


#if !defined ProcessStarter_DLL_H
#define ProcessStarter_DLL_H

#include <windows.h>
#include <stdio.h>
#include "Map.hpp"

// ------- internal functions --------

int              Attach  (PROCESS_INFORMATION& k_Proc, bool b_WaitForExit);
LRESULT CALLBACK HookProc(int nCode, WPARAM wParam, LPARAM lParam);
LRESULT CALLBACK WndProc (HWND hwnd, UINT uMsg, WPARAM wParam, LPARAM lParam);

// ------- exported functions --------

#define EXPORTDLL_API extern "C" __declspec(dllexport)
EXPORTDLL_API int  StartProcessHiddenA(char*   s8_File, char*   s8_CmdArgs, bool b_WaitForExit, int* ps32_ProcessID, int* ps32_ExitCode);
EXPORTDLL_API int  StartProcessHiddenW(WCHAR* u16_File, WCHAR* u16_CmdArgs, bool b_WaitForExit, int* ps32_ProcessID, int* ps32_ExitCode);
EXPORTDLL_API void ExplainAPIErrorA   (int s32_ErrCode, char*   s8_Buffer, int s32_BufSize);
EXPORTDLL_API void ExplainAPIErrorW   (int s32_ErrCode, WCHAR* u16_Buffer, int s32_BufSize);

#endif // !defined(ProcessStarter_DLL_H)
