using System;
using System.IO;
using System.Text;
using System.Data;
using System.Xml;
using System.Xml.Xsl;

namespace QuEncProvider
{
	/// <summary>
	/// Summary description for AviSynthWriter.
	/// </summary>
	public class AviSynthWriter
	{
		public AviSynthWriter()
		{
		}

		public string WriteScript(DataSet data)
		{
			string avsFileName=Path.ChangeExtension(data.Tables[0].Rows[0]["AVIFile"].ToString(),".avs");
			using (StreamWriter sw=new StreamWriter(avsFileName,false,Encoding.ASCII))
			{
				XmlDataDocument xdd=new XmlDataDocument(data);
				XslTransform xslt = new XslTransform();
				xslt.Load(Settings.AVSTemplateFile);
				xslt.Transform(xdd.CreateNavigator(), null, sw, null);
			}
			return avsFileName;
		}
	}
}
