using System;
using System.IO;
using System.Data;
using System.Drawing;
using System.Reflection;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace QuEncProvider
{
	/// <summary>
	/// Summary description for Settings.
	/// </summary>
	public class Settings : System.Windows.Forms.Form
	{
		private static string settingsXml;
		private static SettingsData data;
		private System.Windows.Forms.Button butOK;
		private System.Windows.Forms.Button butCancel;
		private System.Windows.Forms.Button butFindQuEnc;
		private System.Windows.Forms.Label label11;
		private System.Windows.Forms.OpenFileDialog openQuEnc;
		private System.Windows.Forms.GroupBox groupBox1;
		private System.Windows.Forms.CheckBox checkUseVbr;
		private System.Windows.Forms.CheckBox checkHQ;
		private System.Windows.Forms.CheckBox checkUseTrellis;
		private System.Windows.Forms.CheckBox check2Pass;
		private System.Windows.Forms.CheckBox checkExtreme;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.NumericUpDown numericGOPSize;
		private System.Windows.Forms.NumericUpDown numericMaxBFrames;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.CheckBox checkSeceneDetection;
		private System.Windows.Forms.TextBox tbQueEncPath;
		private System.Windows.Forms.CheckBox checkSilentMode;
		private System.Windows.Forms.Button butReset;
		private System.Windows.Forms.Label label3;

		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Settings()
		{
			InitializeComponent();
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(Settings));
			this.butOK = new System.Windows.Forms.Button();
			this.butCancel = new System.Windows.Forms.Button();
			this.butFindQuEnc = new System.Windows.Forms.Button();
			this.tbQueEncPath = new System.Windows.Forms.TextBox();
			this.label11 = new System.Windows.Forms.Label();
			this.openQuEnc = new System.Windows.Forms.OpenFileDialog();
			this.groupBox1 = new System.Windows.Forms.GroupBox();
			this.checkSilentMode = new System.Windows.Forms.CheckBox();
			this.checkSeceneDetection = new System.Windows.Forms.CheckBox();
			this.label2 = new System.Windows.Forms.Label();
			this.numericMaxBFrames = new System.Windows.Forms.NumericUpDown();
			this.numericGOPSize = new System.Windows.Forms.NumericUpDown();
			this.label1 = new System.Windows.Forms.Label();
			this.checkExtreme = new System.Windows.Forms.CheckBox();
			this.check2Pass = new System.Windows.Forms.CheckBox();
			this.checkUseTrellis = new System.Windows.Forms.CheckBox();
			this.checkHQ = new System.Windows.Forms.CheckBox();
			this.checkUseVbr = new System.Windows.Forms.CheckBox();
			this.butReset = new System.Windows.Forms.Button();
			this.label3 = new System.Windows.Forms.Label();
			this.groupBox1.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.numericMaxBFrames)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.numericGOPSize)).BeginInit();
			this.SuspendLayout();
			// 
			// butOK
			// 
			this.butOK.AccessibleDescription = resources.GetString("butOK.AccessibleDescription");
			this.butOK.AccessibleName = resources.GetString("butOK.AccessibleName");
			this.butOK.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("butOK.Anchor")));
			this.butOK.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("butOK.BackgroundImage")));
			this.butOK.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.butOK.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("butOK.Dock")));
			this.butOK.Enabled = ((bool)(resources.GetObject("butOK.Enabled")));
			this.butOK.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("butOK.FlatStyle")));
			this.butOK.Font = ((System.Drawing.Font)(resources.GetObject("butOK.Font")));
			this.butOK.Image = ((System.Drawing.Image)(resources.GetObject("butOK.Image")));
			this.butOK.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("butOK.ImageAlign")));
			this.butOK.ImageIndex = ((int)(resources.GetObject("butOK.ImageIndex")));
			this.butOK.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("butOK.ImeMode")));
			this.butOK.Location = ((System.Drawing.Point)(resources.GetObject("butOK.Location")));
			this.butOK.Name = "butOK";
			this.butOK.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("butOK.RightToLeft")));
			this.butOK.Size = ((System.Drawing.Size)(resources.GetObject("butOK.Size")));
			this.butOK.TabIndex = ((int)(resources.GetObject("butOK.TabIndex")));
			this.butOK.Text = resources.GetString("butOK.Text");
			this.butOK.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("butOK.TextAlign")));
			this.butOK.Visible = ((bool)(resources.GetObject("butOK.Visible")));
			this.butOK.Click += new System.EventHandler(this.butOK_Click);
			// 
			// butCancel
			// 
			this.butCancel.AccessibleDescription = resources.GetString("butCancel.AccessibleDescription");
			this.butCancel.AccessibleName = resources.GetString("butCancel.AccessibleName");
			this.butCancel.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("butCancel.Anchor")));
			this.butCancel.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("butCancel.BackgroundImage")));
			this.butCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.butCancel.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("butCancel.Dock")));
			this.butCancel.Enabled = ((bool)(resources.GetObject("butCancel.Enabled")));
			this.butCancel.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("butCancel.FlatStyle")));
			this.butCancel.Font = ((System.Drawing.Font)(resources.GetObject("butCancel.Font")));
			this.butCancel.Image = ((System.Drawing.Image)(resources.GetObject("butCancel.Image")));
			this.butCancel.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("butCancel.ImageAlign")));
			this.butCancel.ImageIndex = ((int)(resources.GetObject("butCancel.ImageIndex")));
			this.butCancel.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("butCancel.ImeMode")));
			this.butCancel.Location = ((System.Drawing.Point)(resources.GetObject("butCancel.Location")));
			this.butCancel.Name = "butCancel";
			this.butCancel.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("butCancel.RightToLeft")));
			this.butCancel.Size = ((System.Drawing.Size)(resources.GetObject("butCancel.Size")));
			this.butCancel.TabIndex = ((int)(resources.GetObject("butCancel.TabIndex")));
			this.butCancel.Text = resources.GetString("butCancel.Text");
			this.butCancel.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("butCancel.TextAlign")));
			this.butCancel.Visible = ((bool)(resources.GetObject("butCancel.Visible")));
			// 
			// butFindQuEnc
			// 
			this.butFindQuEnc.AccessibleDescription = resources.GetString("butFindQuEnc.AccessibleDescription");
			this.butFindQuEnc.AccessibleName = resources.GetString("butFindQuEnc.AccessibleName");
			this.butFindQuEnc.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("butFindQuEnc.Anchor")));
			this.butFindQuEnc.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("butFindQuEnc.BackgroundImage")));
			this.butFindQuEnc.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("butFindQuEnc.Dock")));
			this.butFindQuEnc.Enabled = ((bool)(resources.GetObject("butFindQuEnc.Enabled")));
			this.butFindQuEnc.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("butFindQuEnc.FlatStyle")));
			this.butFindQuEnc.Font = ((System.Drawing.Font)(resources.GetObject("butFindQuEnc.Font")));
			this.butFindQuEnc.Image = ((System.Drawing.Image)(resources.GetObject("butFindQuEnc.Image")));
			this.butFindQuEnc.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("butFindQuEnc.ImageAlign")));
			this.butFindQuEnc.ImageIndex = ((int)(resources.GetObject("butFindQuEnc.ImageIndex")));
			this.butFindQuEnc.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("butFindQuEnc.ImeMode")));
			this.butFindQuEnc.Location = ((System.Drawing.Point)(resources.GetObject("butFindQuEnc.Location")));
			this.butFindQuEnc.Name = "butFindQuEnc";
			this.butFindQuEnc.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("butFindQuEnc.RightToLeft")));
			this.butFindQuEnc.Size = ((System.Drawing.Size)(resources.GetObject("butFindQuEnc.Size")));
			this.butFindQuEnc.TabIndex = ((int)(resources.GetObject("butFindQuEnc.TabIndex")));
			this.butFindQuEnc.Text = resources.GetString("butFindQuEnc.Text");
			this.butFindQuEnc.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("butFindQuEnc.TextAlign")));
			this.butFindQuEnc.Visible = ((bool)(resources.GetObject("butFindQuEnc.Visible")));
			this.butFindQuEnc.Click += new System.EventHandler(this.butFindQuEnc_Click);
			// 
			// tbQueEncPath
			// 
			this.tbQueEncPath.AccessibleDescription = resources.GetString("tbQueEncPath.AccessibleDescription");
			this.tbQueEncPath.AccessibleName = resources.GetString("tbQueEncPath.AccessibleName");
			this.tbQueEncPath.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("tbQueEncPath.Anchor")));
			this.tbQueEncPath.AutoSize = ((bool)(resources.GetObject("tbQueEncPath.AutoSize")));
			this.tbQueEncPath.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("tbQueEncPath.BackgroundImage")));
			this.tbQueEncPath.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("tbQueEncPath.Dock")));
			this.tbQueEncPath.Enabled = ((bool)(resources.GetObject("tbQueEncPath.Enabled")));
			this.tbQueEncPath.Font = ((System.Drawing.Font)(resources.GetObject("tbQueEncPath.Font")));
			this.tbQueEncPath.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("tbQueEncPath.ImeMode")));
			this.tbQueEncPath.Location = ((System.Drawing.Point)(resources.GetObject("tbQueEncPath.Location")));
			this.tbQueEncPath.MaxLength = ((int)(resources.GetObject("tbQueEncPath.MaxLength")));
			this.tbQueEncPath.Multiline = ((bool)(resources.GetObject("tbQueEncPath.Multiline")));
			this.tbQueEncPath.Name = "tbQueEncPath";
			this.tbQueEncPath.PasswordChar = ((char)(resources.GetObject("tbQueEncPath.PasswordChar")));
			this.tbQueEncPath.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("tbQueEncPath.RightToLeft")));
			this.tbQueEncPath.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("tbQueEncPath.ScrollBars")));
			this.tbQueEncPath.Size = ((System.Drawing.Size)(resources.GetObject("tbQueEncPath.Size")));
			this.tbQueEncPath.TabIndex = ((int)(resources.GetObject("tbQueEncPath.TabIndex")));
			this.tbQueEncPath.Text = resources.GetString("tbQueEncPath.Text");
			this.tbQueEncPath.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("tbQueEncPath.TextAlign")));
			this.tbQueEncPath.Visible = ((bool)(resources.GetObject("tbQueEncPath.Visible")));
			this.tbQueEncPath.WordWrap = ((bool)(resources.GetObject("tbQueEncPath.WordWrap")));
			// 
			// label11
			// 
			this.label11.AccessibleDescription = resources.GetString("label11.AccessibleDescription");
			this.label11.AccessibleName = resources.GetString("label11.AccessibleName");
			this.label11.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label11.Anchor")));
			this.label11.AutoSize = ((bool)(resources.GetObject("label11.AutoSize")));
			this.label11.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label11.Dock")));
			this.label11.Enabled = ((bool)(resources.GetObject("label11.Enabled")));
			this.label11.Font = ((System.Drawing.Font)(resources.GetObject("label11.Font")));
			this.label11.Image = ((System.Drawing.Image)(resources.GetObject("label11.Image")));
			this.label11.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label11.ImageAlign")));
			this.label11.ImageIndex = ((int)(resources.GetObject("label11.ImageIndex")));
			this.label11.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label11.ImeMode")));
			this.label11.Location = ((System.Drawing.Point)(resources.GetObject("label11.Location")));
			this.label11.Name = "label11";
			this.label11.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label11.RightToLeft")));
			this.label11.Size = ((System.Drawing.Size)(resources.GetObject("label11.Size")));
			this.label11.TabIndex = ((int)(resources.GetObject("label11.TabIndex")));
			this.label11.Text = resources.GetString("label11.Text");
			this.label11.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label11.TextAlign")));
			this.label11.Visible = ((bool)(resources.GetObject("label11.Visible")));
			// 
			// openQuEnc
			// 
			this.openQuEnc.DefaultExt = "exe";
			this.openQuEnc.Filter = resources.GetString("openQuEnc.Filter");
			this.openQuEnc.Title = resources.GetString("openQuEnc.Title");
			// 
			// groupBox1
			// 
			this.groupBox1.AccessibleDescription = resources.GetString("groupBox1.AccessibleDescription");
			this.groupBox1.AccessibleName = resources.GetString("groupBox1.AccessibleName");
			this.groupBox1.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("groupBox1.Anchor")));
			this.groupBox1.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("groupBox1.BackgroundImage")));
			this.groupBox1.Controls.Add(this.checkSilentMode);
			this.groupBox1.Controls.Add(this.checkSeceneDetection);
			this.groupBox1.Controls.Add(this.label2);
			this.groupBox1.Controls.Add(this.numericMaxBFrames);
			this.groupBox1.Controls.Add(this.numericGOPSize);
			this.groupBox1.Controls.Add(this.label1);
			this.groupBox1.Controls.Add(this.checkExtreme);
			this.groupBox1.Controls.Add(this.check2Pass);
			this.groupBox1.Controls.Add(this.checkUseTrellis);
			this.groupBox1.Controls.Add(this.checkHQ);
			this.groupBox1.Controls.Add(this.checkUseVbr);
			this.groupBox1.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("groupBox1.Dock")));
			this.groupBox1.Enabled = ((bool)(resources.GetObject("groupBox1.Enabled")));
			this.groupBox1.Font = ((System.Drawing.Font)(resources.GetObject("groupBox1.Font")));
			this.groupBox1.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("groupBox1.ImeMode")));
			this.groupBox1.Location = ((System.Drawing.Point)(resources.GetObject("groupBox1.Location")));
			this.groupBox1.Name = "groupBox1";
			this.groupBox1.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("groupBox1.RightToLeft")));
			this.groupBox1.Size = ((System.Drawing.Size)(resources.GetObject("groupBox1.Size")));
			this.groupBox1.TabIndex = ((int)(resources.GetObject("groupBox1.TabIndex")));
			this.groupBox1.TabStop = false;
			this.groupBox1.Text = resources.GetString("groupBox1.Text");
			this.groupBox1.Visible = ((bool)(resources.GetObject("groupBox1.Visible")));
			// 
			// checkSilentMode
			// 
			this.checkSilentMode.AccessibleDescription = resources.GetString("checkSilentMode.AccessibleDescription");
			this.checkSilentMode.AccessibleName = resources.GetString("checkSilentMode.AccessibleName");
			this.checkSilentMode.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("checkSilentMode.Anchor")));
			this.checkSilentMode.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("checkSilentMode.Appearance")));
			this.checkSilentMode.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("checkSilentMode.BackgroundImage")));
			this.checkSilentMode.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkSilentMode.CheckAlign")));
			this.checkSilentMode.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("checkSilentMode.Dock")));
			this.checkSilentMode.Enabled = ((bool)(resources.GetObject("checkSilentMode.Enabled")));
			this.checkSilentMode.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("checkSilentMode.FlatStyle")));
			this.checkSilentMode.Font = ((System.Drawing.Font)(resources.GetObject("checkSilentMode.Font")));
			this.checkSilentMode.Image = ((System.Drawing.Image)(resources.GetObject("checkSilentMode.Image")));
			this.checkSilentMode.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkSilentMode.ImageAlign")));
			this.checkSilentMode.ImageIndex = ((int)(resources.GetObject("checkSilentMode.ImageIndex")));
			this.checkSilentMode.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("checkSilentMode.ImeMode")));
			this.checkSilentMode.Location = ((System.Drawing.Point)(resources.GetObject("checkSilentMode.Location")));
			this.checkSilentMode.Name = "checkSilentMode";
			this.checkSilentMode.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("checkSilentMode.RightToLeft")));
			this.checkSilentMode.Size = ((System.Drawing.Size)(resources.GetObject("checkSilentMode.Size")));
			this.checkSilentMode.TabIndex = ((int)(resources.GetObject("checkSilentMode.TabIndex")));
			this.checkSilentMode.Text = resources.GetString("checkSilentMode.Text");
			this.checkSilentMode.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkSilentMode.TextAlign")));
			this.checkSilentMode.Visible = ((bool)(resources.GetObject("checkSilentMode.Visible")));
			// 
			// checkSeceneDetection
			// 
			this.checkSeceneDetection.AccessibleDescription = resources.GetString("checkSeceneDetection.AccessibleDescription");
			this.checkSeceneDetection.AccessibleName = resources.GetString("checkSeceneDetection.AccessibleName");
			this.checkSeceneDetection.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("checkSeceneDetection.Anchor")));
			this.checkSeceneDetection.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("checkSeceneDetection.Appearance")));
			this.checkSeceneDetection.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("checkSeceneDetection.BackgroundImage")));
			this.checkSeceneDetection.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkSeceneDetection.CheckAlign")));
			this.checkSeceneDetection.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("checkSeceneDetection.Dock")));
			this.checkSeceneDetection.Enabled = ((bool)(resources.GetObject("checkSeceneDetection.Enabled")));
			this.checkSeceneDetection.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("checkSeceneDetection.FlatStyle")));
			this.checkSeceneDetection.Font = ((System.Drawing.Font)(resources.GetObject("checkSeceneDetection.Font")));
			this.checkSeceneDetection.Image = ((System.Drawing.Image)(resources.GetObject("checkSeceneDetection.Image")));
			this.checkSeceneDetection.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkSeceneDetection.ImageAlign")));
			this.checkSeceneDetection.ImageIndex = ((int)(resources.GetObject("checkSeceneDetection.ImageIndex")));
			this.checkSeceneDetection.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("checkSeceneDetection.ImeMode")));
			this.checkSeceneDetection.Location = ((System.Drawing.Point)(resources.GetObject("checkSeceneDetection.Location")));
			this.checkSeceneDetection.Name = "checkSeceneDetection";
			this.checkSeceneDetection.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("checkSeceneDetection.RightToLeft")));
			this.checkSeceneDetection.Size = ((System.Drawing.Size)(resources.GetObject("checkSeceneDetection.Size")));
			this.checkSeceneDetection.TabIndex = ((int)(resources.GetObject("checkSeceneDetection.TabIndex")));
			this.checkSeceneDetection.Text = resources.GetString("checkSeceneDetection.Text");
			this.checkSeceneDetection.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkSeceneDetection.TextAlign")));
			this.checkSeceneDetection.Visible = ((bool)(resources.GetObject("checkSeceneDetection.Visible")));
			// 
			// label2
			// 
			this.label2.AccessibleDescription = resources.GetString("label2.AccessibleDescription");
			this.label2.AccessibleName = resources.GetString("label2.AccessibleName");
			this.label2.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label2.Anchor")));
			this.label2.AutoSize = ((bool)(resources.GetObject("label2.AutoSize")));
			this.label2.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label2.Dock")));
			this.label2.Enabled = ((bool)(resources.GetObject("label2.Enabled")));
			this.label2.Font = ((System.Drawing.Font)(resources.GetObject("label2.Font")));
			this.label2.Image = ((System.Drawing.Image)(resources.GetObject("label2.Image")));
			this.label2.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label2.ImageAlign")));
			this.label2.ImageIndex = ((int)(resources.GetObject("label2.ImageIndex")));
			this.label2.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label2.ImeMode")));
			this.label2.Location = ((System.Drawing.Point)(resources.GetObject("label2.Location")));
			this.label2.Name = "label2";
			this.label2.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label2.RightToLeft")));
			this.label2.Size = ((System.Drawing.Size)(resources.GetObject("label2.Size")));
			this.label2.TabIndex = ((int)(resources.GetObject("label2.TabIndex")));
			this.label2.Text = resources.GetString("label2.Text");
			this.label2.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label2.TextAlign")));
			this.label2.Visible = ((bool)(resources.GetObject("label2.Visible")));
			// 
			// numericMaxBFrames
			// 
			this.numericMaxBFrames.AccessibleDescription = resources.GetString("numericMaxBFrames.AccessibleDescription");
			this.numericMaxBFrames.AccessibleName = resources.GetString("numericMaxBFrames.AccessibleName");
			this.numericMaxBFrames.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("numericMaxBFrames.Anchor")));
			this.numericMaxBFrames.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("numericMaxBFrames.Dock")));
			this.numericMaxBFrames.Enabled = ((bool)(resources.GetObject("numericMaxBFrames.Enabled")));
			this.numericMaxBFrames.Font = ((System.Drawing.Font)(resources.GetObject("numericMaxBFrames.Font")));
			this.numericMaxBFrames.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("numericMaxBFrames.ImeMode")));
			this.numericMaxBFrames.Location = ((System.Drawing.Point)(resources.GetObject("numericMaxBFrames.Location")));
			this.numericMaxBFrames.Maximum = new System.Decimal(new int[] {
																			  5,
																			  0,
																			  0,
																			  0});
			this.numericMaxBFrames.Name = "numericMaxBFrames";
			this.numericMaxBFrames.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("numericMaxBFrames.RightToLeft")));
			this.numericMaxBFrames.Size = ((System.Drawing.Size)(resources.GetObject("numericMaxBFrames.Size")));
			this.numericMaxBFrames.TabIndex = ((int)(resources.GetObject("numericMaxBFrames.TabIndex")));
			this.numericMaxBFrames.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("numericMaxBFrames.TextAlign")));
			this.numericMaxBFrames.ThousandsSeparator = ((bool)(resources.GetObject("numericMaxBFrames.ThousandsSeparator")));
			this.numericMaxBFrames.UpDownAlign = ((System.Windows.Forms.LeftRightAlignment)(resources.GetObject("numericMaxBFrames.UpDownAlign")));
			this.numericMaxBFrames.Visible = ((bool)(resources.GetObject("numericMaxBFrames.Visible")));
			// 
			// numericGOPSize
			// 
			this.numericGOPSize.AccessibleDescription = resources.GetString("numericGOPSize.AccessibleDescription");
			this.numericGOPSize.AccessibleName = resources.GetString("numericGOPSize.AccessibleName");
			this.numericGOPSize.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("numericGOPSize.Anchor")));
			this.numericGOPSize.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("numericGOPSize.Dock")));
			this.numericGOPSize.Enabled = ((bool)(resources.GetObject("numericGOPSize.Enabled")));
			this.numericGOPSize.Font = ((System.Drawing.Font)(resources.GetObject("numericGOPSize.Font")));
			this.numericGOPSize.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("numericGOPSize.ImeMode")));
			this.numericGOPSize.Location = ((System.Drawing.Point)(resources.GetObject("numericGOPSize.Location")));
			this.numericGOPSize.Minimum = new System.Decimal(new int[] {
																		   1,
																		   0,
																		   0,
																		   0});
			this.numericGOPSize.Name = "numericGOPSize";
			this.numericGOPSize.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("numericGOPSize.RightToLeft")));
			this.numericGOPSize.Size = ((System.Drawing.Size)(resources.GetObject("numericGOPSize.Size")));
			this.numericGOPSize.TabIndex = ((int)(resources.GetObject("numericGOPSize.TabIndex")));
			this.numericGOPSize.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("numericGOPSize.TextAlign")));
			this.numericGOPSize.ThousandsSeparator = ((bool)(resources.GetObject("numericGOPSize.ThousandsSeparator")));
			this.numericGOPSize.UpDownAlign = ((System.Windows.Forms.LeftRightAlignment)(resources.GetObject("numericGOPSize.UpDownAlign")));
			this.numericGOPSize.Value = new System.Decimal(new int[] {
																		 1,
																		 0,
																		 0,
																		 0});
			this.numericGOPSize.Visible = ((bool)(resources.GetObject("numericGOPSize.Visible")));
			// 
			// label1
			// 
			this.label1.AccessibleDescription = resources.GetString("label1.AccessibleDescription");
			this.label1.AccessibleName = resources.GetString("label1.AccessibleName");
			this.label1.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label1.Anchor")));
			this.label1.AutoSize = ((bool)(resources.GetObject("label1.AutoSize")));
			this.label1.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label1.Dock")));
			this.label1.Enabled = ((bool)(resources.GetObject("label1.Enabled")));
			this.label1.Font = ((System.Drawing.Font)(resources.GetObject("label1.Font")));
			this.label1.Image = ((System.Drawing.Image)(resources.GetObject("label1.Image")));
			this.label1.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label1.ImageAlign")));
			this.label1.ImageIndex = ((int)(resources.GetObject("label1.ImageIndex")));
			this.label1.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label1.ImeMode")));
			this.label1.Location = ((System.Drawing.Point)(resources.GetObject("label1.Location")));
			this.label1.Name = "label1";
			this.label1.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label1.RightToLeft")));
			this.label1.Size = ((System.Drawing.Size)(resources.GetObject("label1.Size")));
			this.label1.TabIndex = ((int)(resources.GetObject("label1.TabIndex")));
			this.label1.Text = resources.GetString("label1.Text");
			this.label1.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label1.TextAlign")));
			this.label1.Visible = ((bool)(resources.GetObject("label1.Visible")));
			// 
			// checkExtreme
			// 
			this.checkExtreme.AccessibleDescription = resources.GetString("checkExtreme.AccessibleDescription");
			this.checkExtreme.AccessibleName = resources.GetString("checkExtreme.AccessibleName");
			this.checkExtreme.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("checkExtreme.Anchor")));
			this.checkExtreme.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("checkExtreme.Appearance")));
			this.checkExtreme.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("checkExtreme.BackgroundImage")));
			this.checkExtreme.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkExtreme.CheckAlign")));
			this.checkExtreme.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("checkExtreme.Dock")));
			this.checkExtreme.Enabled = ((bool)(resources.GetObject("checkExtreme.Enabled")));
			this.checkExtreme.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("checkExtreme.FlatStyle")));
			this.checkExtreme.Font = ((System.Drawing.Font)(resources.GetObject("checkExtreme.Font")));
			this.checkExtreme.Image = ((System.Drawing.Image)(resources.GetObject("checkExtreme.Image")));
			this.checkExtreme.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkExtreme.ImageAlign")));
			this.checkExtreme.ImageIndex = ((int)(resources.GetObject("checkExtreme.ImageIndex")));
			this.checkExtreme.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("checkExtreme.ImeMode")));
			this.checkExtreme.Location = ((System.Drawing.Point)(resources.GetObject("checkExtreme.Location")));
			this.checkExtreme.Name = "checkExtreme";
			this.checkExtreme.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("checkExtreme.RightToLeft")));
			this.checkExtreme.Size = ((System.Drawing.Size)(resources.GetObject("checkExtreme.Size")));
			this.checkExtreme.TabIndex = ((int)(resources.GetObject("checkExtreme.TabIndex")));
			this.checkExtreme.Text = resources.GetString("checkExtreme.Text");
			this.checkExtreme.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkExtreme.TextAlign")));
			this.checkExtreme.Visible = ((bool)(resources.GetObject("checkExtreme.Visible")));
			// 
			// check2Pass
			// 
			this.check2Pass.AccessibleDescription = resources.GetString("check2Pass.AccessibleDescription");
			this.check2Pass.AccessibleName = resources.GetString("check2Pass.AccessibleName");
			this.check2Pass.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("check2Pass.Anchor")));
			this.check2Pass.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("check2Pass.Appearance")));
			this.check2Pass.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("check2Pass.BackgroundImage")));
			this.check2Pass.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("check2Pass.CheckAlign")));
			this.check2Pass.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("check2Pass.Dock")));
			this.check2Pass.Enabled = ((bool)(resources.GetObject("check2Pass.Enabled")));
			this.check2Pass.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("check2Pass.FlatStyle")));
			this.check2Pass.Font = ((System.Drawing.Font)(resources.GetObject("check2Pass.Font")));
			this.check2Pass.Image = ((System.Drawing.Image)(resources.GetObject("check2Pass.Image")));
			this.check2Pass.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("check2Pass.ImageAlign")));
			this.check2Pass.ImageIndex = ((int)(resources.GetObject("check2Pass.ImageIndex")));
			this.check2Pass.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("check2Pass.ImeMode")));
			this.check2Pass.Location = ((System.Drawing.Point)(resources.GetObject("check2Pass.Location")));
			this.check2Pass.Name = "check2Pass";
			this.check2Pass.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("check2Pass.RightToLeft")));
			this.check2Pass.Size = ((System.Drawing.Size)(resources.GetObject("check2Pass.Size")));
			this.check2Pass.TabIndex = ((int)(resources.GetObject("check2Pass.TabIndex")));
			this.check2Pass.Text = resources.GetString("check2Pass.Text");
			this.check2Pass.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("check2Pass.TextAlign")));
			this.check2Pass.Visible = ((bool)(resources.GetObject("check2Pass.Visible")));
			// 
			// checkUseTrellis
			// 
			this.checkUseTrellis.AccessibleDescription = resources.GetString("checkUseTrellis.AccessibleDescription");
			this.checkUseTrellis.AccessibleName = resources.GetString("checkUseTrellis.AccessibleName");
			this.checkUseTrellis.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("checkUseTrellis.Anchor")));
			this.checkUseTrellis.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("checkUseTrellis.Appearance")));
			this.checkUseTrellis.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("checkUseTrellis.BackgroundImage")));
			this.checkUseTrellis.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkUseTrellis.CheckAlign")));
			this.checkUseTrellis.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("checkUseTrellis.Dock")));
			this.checkUseTrellis.Enabled = ((bool)(resources.GetObject("checkUseTrellis.Enabled")));
			this.checkUseTrellis.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("checkUseTrellis.FlatStyle")));
			this.checkUseTrellis.Font = ((System.Drawing.Font)(resources.GetObject("checkUseTrellis.Font")));
			this.checkUseTrellis.Image = ((System.Drawing.Image)(resources.GetObject("checkUseTrellis.Image")));
			this.checkUseTrellis.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkUseTrellis.ImageAlign")));
			this.checkUseTrellis.ImageIndex = ((int)(resources.GetObject("checkUseTrellis.ImageIndex")));
			this.checkUseTrellis.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("checkUseTrellis.ImeMode")));
			this.checkUseTrellis.Location = ((System.Drawing.Point)(resources.GetObject("checkUseTrellis.Location")));
			this.checkUseTrellis.Name = "checkUseTrellis";
			this.checkUseTrellis.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("checkUseTrellis.RightToLeft")));
			this.checkUseTrellis.Size = ((System.Drawing.Size)(resources.GetObject("checkUseTrellis.Size")));
			this.checkUseTrellis.TabIndex = ((int)(resources.GetObject("checkUseTrellis.TabIndex")));
			this.checkUseTrellis.Text = resources.GetString("checkUseTrellis.Text");
			this.checkUseTrellis.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkUseTrellis.TextAlign")));
			this.checkUseTrellis.Visible = ((bool)(resources.GetObject("checkUseTrellis.Visible")));
			// 
			// checkHQ
			// 
			this.checkHQ.AccessibleDescription = resources.GetString("checkHQ.AccessibleDescription");
			this.checkHQ.AccessibleName = resources.GetString("checkHQ.AccessibleName");
			this.checkHQ.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("checkHQ.Anchor")));
			this.checkHQ.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("checkHQ.Appearance")));
			this.checkHQ.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("checkHQ.BackgroundImage")));
			this.checkHQ.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkHQ.CheckAlign")));
			this.checkHQ.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("checkHQ.Dock")));
			this.checkHQ.Enabled = ((bool)(resources.GetObject("checkHQ.Enabled")));
			this.checkHQ.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("checkHQ.FlatStyle")));
			this.checkHQ.Font = ((System.Drawing.Font)(resources.GetObject("checkHQ.Font")));
			this.checkHQ.Image = ((System.Drawing.Image)(resources.GetObject("checkHQ.Image")));
			this.checkHQ.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkHQ.ImageAlign")));
			this.checkHQ.ImageIndex = ((int)(resources.GetObject("checkHQ.ImageIndex")));
			this.checkHQ.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("checkHQ.ImeMode")));
			this.checkHQ.Location = ((System.Drawing.Point)(resources.GetObject("checkHQ.Location")));
			this.checkHQ.Name = "checkHQ";
			this.checkHQ.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("checkHQ.RightToLeft")));
			this.checkHQ.Size = ((System.Drawing.Size)(resources.GetObject("checkHQ.Size")));
			this.checkHQ.TabIndex = ((int)(resources.GetObject("checkHQ.TabIndex")));
			this.checkHQ.Text = resources.GetString("checkHQ.Text");
			this.checkHQ.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkHQ.TextAlign")));
			this.checkHQ.Visible = ((bool)(resources.GetObject("checkHQ.Visible")));
			// 
			// checkUseVbr
			// 
			this.checkUseVbr.AccessibleDescription = resources.GetString("checkUseVbr.AccessibleDescription");
			this.checkUseVbr.AccessibleName = resources.GetString("checkUseVbr.AccessibleName");
			this.checkUseVbr.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("checkUseVbr.Anchor")));
			this.checkUseVbr.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("checkUseVbr.Appearance")));
			this.checkUseVbr.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("checkUseVbr.BackgroundImage")));
			this.checkUseVbr.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkUseVbr.CheckAlign")));
			this.checkUseVbr.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("checkUseVbr.Dock")));
			this.checkUseVbr.Enabled = ((bool)(resources.GetObject("checkUseVbr.Enabled")));
			this.checkUseVbr.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("checkUseVbr.FlatStyle")));
			this.checkUseVbr.Font = ((System.Drawing.Font)(resources.GetObject("checkUseVbr.Font")));
			this.checkUseVbr.Image = ((System.Drawing.Image)(resources.GetObject("checkUseVbr.Image")));
			this.checkUseVbr.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkUseVbr.ImageAlign")));
			this.checkUseVbr.ImageIndex = ((int)(resources.GetObject("checkUseVbr.ImageIndex")));
			this.checkUseVbr.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("checkUseVbr.ImeMode")));
			this.checkUseVbr.Location = ((System.Drawing.Point)(resources.GetObject("checkUseVbr.Location")));
			this.checkUseVbr.Name = "checkUseVbr";
			this.checkUseVbr.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("checkUseVbr.RightToLeft")));
			this.checkUseVbr.Size = ((System.Drawing.Size)(resources.GetObject("checkUseVbr.Size")));
			this.checkUseVbr.TabIndex = ((int)(resources.GetObject("checkUseVbr.TabIndex")));
			this.checkUseVbr.Text = resources.GetString("checkUseVbr.Text");
			this.checkUseVbr.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkUseVbr.TextAlign")));
			this.checkUseVbr.Visible = ((bool)(resources.GetObject("checkUseVbr.Visible")));
			// 
			// butReset
			// 
			this.butReset.AccessibleDescription = resources.GetString("butReset.AccessibleDescription");
			this.butReset.AccessibleName = resources.GetString("butReset.AccessibleName");
			this.butReset.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("butReset.Anchor")));
			this.butReset.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("butReset.BackgroundImage")));
			this.butReset.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("butReset.Dock")));
			this.butReset.Enabled = ((bool)(resources.GetObject("butReset.Enabled")));
			this.butReset.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("butReset.FlatStyle")));
			this.butReset.Font = ((System.Drawing.Font)(resources.GetObject("butReset.Font")));
			this.butReset.Image = ((System.Drawing.Image)(resources.GetObject("butReset.Image")));
			this.butReset.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("butReset.ImageAlign")));
			this.butReset.ImageIndex = ((int)(resources.GetObject("butReset.ImageIndex")));
			this.butReset.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("butReset.ImeMode")));
			this.butReset.Location = ((System.Drawing.Point)(resources.GetObject("butReset.Location")));
			this.butReset.Name = "butReset";
			this.butReset.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("butReset.RightToLeft")));
			this.butReset.Size = ((System.Drawing.Size)(resources.GetObject("butReset.Size")));
			this.butReset.TabIndex = ((int)(resources.GetObject("butReset.TabIndex")));
			this.butReset.Text = resources.GetString("butReset.Text");
			this.butReset.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("butReset.TextAlign")));
			this.butReset.Visible = ((bool)(resources.GetObject("butReset.Visible")));
			this.butReset.Click += new System.EventHandler(this.butReset_Click);
			// 
			// label3
			// 
			this.label3.AccessibleDescription = resources.GetString("label3.AccessibleDescription");
			this.label3.AccessibleName = resources.GetString("label3.AccessibleName");
			this.label3.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label3.Anchor")));
			this.label3.AutoSize = ((bool)(resources.GetObject("label3.AutoSize")));
			this.label3.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label3.Dock")));
			this.label3.Enabled = ((bool)(resources.GetObject("label3.Enabled")));
			this.label3.Font = ((System.Drawing.Font)(resources.GetObject("label3.Font")));
			this.label3.Image = ((System.Drawing.Image)(resources.GetObject("label3.Image")));
			this.label3.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label3.ImageAlign")));
			this.label3.ImageIndex = ((int)(resources.GetObject("label3.ImageIndex")));
			this.label3.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label3.ImeMode")));
			this.label3.Location = ((System.Drawing.Point)(resources.GetObject("label3.Location")));
			this.label3.Name = "label3";
			this.label3.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label3.RightToLeft")));
			this.label3.Size = ((System.Drawing.Size)(resources.GetObject("label3.Size")));
			this.label3.TabIndex = ((int)(resources.GetObject("label3.TabIndex")));
			this.label3.Text = resources.GetString("label3.Text");
			this.label3.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label3.TextAlign")));
			this.label3.Visible = ((bool)(resources.GetObject("label3.Visible")));
			// 
			// Settings
			// 
			this.AcceptButton = this.butOK;
			this.AccessibleDescription = resources.GetString("$this.AccessibleDescription");
			this.AccessibleName = resources.GetString("$this.AccessibleName");
			this.AutoScaleBaseSize = ((System.Drawing.Size)(resources.GetObject("$this.AutoScaleBaseSize")));
			this.AutoScroll = ((bool)(resources.GetObject("$this.AutoScroll")));
			this.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMargin")));
			this.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMinSize")));
			this.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("$this.BackgroundImage")));
			this.CancelButton = this.butCancel;
			this.ClientSize = ((System.Drawing.Size)(resources.GetObject("$this.ClientSize")));
			this.Controls.Add(this.label3);
			this.Controls.Add(this.butReset);
			this.Controls.Add(this.groupBox1);
			this.Controls.Add(this.butFindQuEnc);
			this.Controls.Add(this.tbQueEncPath);
			this.Controls.Add(this.label11);
			this.Controls.Add(this.butCancel);
			this.Controls.Add(this.butOK);
			this.Enabled = ((bool)(resources.GetObject("$this.Enabled")));
			this.Font = ((System.Drawing.Font)(resources.GetObject("$this.Font")));
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("$this.ImeMode")));
			this.Location = ((System.Drawing.Point)(resources.GetObject("$this.Location")));
			this.MaximizeBox = false;
			this.MaximumSize = ((System.Drawing.Size)(resources.GetObject("$this.MaximumSize")));
			this.MinimizeBox = false;
			this.MinimumSize = ((System.Drawing.Size)(resources.GetObject("$this.MinimumSize")));
			this.Name = "Settings";
			this.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("$this.RightToLeft")));
			this.ShowInTaskbar = false;
			this.StartPosition = ((System.Windows.Forms.FormStartPosition)(resources.GetObject("$this.StartPosition")));
			this.Text = resources.GetString("$this.Text");
			this.Load += new System.EventHandler(this.Settings_Load);
			this.groupBox1.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.numericMaxBFrames)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.numericGOPSize)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		static Settings()
		{
			data=new SettingsData();
			settingsXml=Path.Combine(Environment.GetFolderPath(Environment.SpecialFolder.ApplicationData),@"Cuttermaran\QuEncProvider.settings.xml");
			if (File.Exists(settingsXml))
			{
				data.ReadXml(settingsXml);
				data.AcceptChanges();
			}
		}

		private static string LocalPath
		{
			get
			{
				return Path.GetDirectoryName(Assembly.GetAssembly(typeof(QuEncProvider.Connector)).Location);
			}
		}

		private static SettingsData.ConfigurationValueRow GetValueRow(string name,string defaultValue)
		{
			SettingsData.ConfigurationValueRow row=data.ConfigurationValue.FindBykey(name);
			if (row==null)
			{
				row=data.ConfigurationValue.NewConfigurationValueRow();
				row.key=name;
				row.value=defaultValue;
				data.ConfigurationValue.AddConfigurationValueRow(row);
			}
			return row;
		}

		public static void CommitChanges()
		{
			if (data.HasChanges())
			{
				data.AcceptChanges();
				// Existiert Cuttermaran Folder?
				if (!Directory.Exists(Path.GetDirectoryName(settingsXml)))
					Directory.CreateDirectory(Path.GetDirectoryName(settingsXml));
				data.WriteXml(settingsXml,XmlWriteMode.IgnoreSchema);
			}
		}

		private static void SetValueRow(string name,string Value)
		{
			SettingsData.ConfigurationValueRow row=data.ConfigurationValue.FindBykey(name);
			if (row==null)
				data.ConfigurationValue.AddConfigurationValueRow(name,Value);
			else
				if (row.value!=Value)
				row.value=Value;
		}

		private void butFindQuEnc_Click(object sender, System.EventArgs e)
		{
			openQuEnc.FileName=tbQueEncPath.Text;
			if (openQuEnc.ShowDialog(this)==DialogResult.OK)
			{
				tbQueEncPath.Text=openQuEnc.FileName;
			}
		}

		private void butOK_Click(object sender, System.EventArgs e)
		{
			SetValueRow("QuEncPath",tbQueEncPath.Text);
			SetValueRow("UseVBR",checkUseVbr.Checked.ToString());
			SetValueRow("HighQuality",checkHQ.Checked.ToString());
			SetValueRow("UseTrellisQuant",checkUseTrellis.Checked.ToString());
			SetValueRow("TwoPassEncoding",check2Pass.Checked.ToString());
			SetValueRow("ExtremeSettings",checkExtreme.Checked.ToString());
			SetValueRow("SeceneDetection",checkSeceneDetection.Checked.ToString());
			SetValueRow("SilentMode",checkSilentMode.Checked.ToString());
			SetValueRow("GOPSize",numericGOPSize.Value.ToString());
			SetValueRow("MaxBFrames",numericMaxBFrames.Value.ToString());
			CommitChanges();
		}

		private void Settings_Load(object sender, System.EventArgs e)
		{
			tbQueEncPath.Text=QuEncExe;
			checkUseVbr.Checked=UseVBR;
			checkHQ.Checked=HighQuality;
			checkUseTrellis.Checked=UseTrellisQuant;
			check2Pass.Checked=TwoPassEncoding;
			checkExtreme.Checked=ExtremeSettings;
			checkSeceneDetection.Checked=SeceneDetection;
			checkSilentMode.Checked=SilentMode;
			numericGOPSize.Value=GOPSize;
			numericMaxBFrames.Value=MaxBFrames;
		}

		private void butReset_Click(object sender, System.EventArgs e)
		{
			string quEncPath=QuEncExe; // Den Pfad mchten wir nicht zurcksetzen
			data=new SettingsData();
			SetValueRow("QuEncPath",quEncPath);
			Settings_Load(sender,e); // Dialog aktualisieren.
		}

		public static string QuEncExe
		{
			get
			{
				return GetValueRow("QuEncPath","").value;
			}
		}

		public static bool UseVBR
		{
			get
			{
				return bool.Parse(GetValueRow("UseVBR",true.ToString()).value);
			}
		}

		public static bool HighQuality
		{
			get
			{
				return bool.Parse(GetValueRow("HighQuality",true.ToString()).value);
			}
		}

		public static bool UseTrellisQuant
		{
			get
			{
				return bool.Parse(GetValueRow("UseTrellisQuant",false.ToString()).value);
			}
		}

		public static bool TwoPassEncoding
		{
			get
			{
				return bool.Parse(GetValueRow("TwoPassEncoding",false.ToString()).value);
			}
		}

		public static bool ExtremeSettings
		{
			get
			{
				return bool.Parse(GetValueRow("ExtremeSettings",false.ToString()).value);
			}
		}

		public static bool SeceneDetection
		{
			get
			{
				return bool.Parse(GetValueRow("SeceneDetection",false.ToString()).value);
			}
		}

		public static int GOPSize
		{
			get
			{
				return int.Parse(GetValueRow("GOPSize",12.ToString()).value);
			}
		}

		public static int MaxBFrames
		{
			get
			{
				return int.Parse(GetValueRow("MaxBFrames",2.ToString()).value);
			}
		}

		public static bool SilentMode
		{
			get
			{
				return bool.Parse(GetValueRow("SilentMode","false").value);
			}
		}

		public static string AVSTemplateFile
		{
			get
			{
				string avsFile=GetValueRow("AVSTemplateFile",@"~\QuEncProvider.AVSTemplate.xslt").value;
				if (avsFile.Length>1 && avsFile.StartsWith(@"~\"))
					avsFile=Path.Combine(LocalPath,avsFile.Substring(2));
				return avsFile;
			}
		}

	}
}
