/*
 * Cuttermaran - The Mpeg Cutter
 * 
 * Copyright (C) 2003-2005 Tobias Arnold (cuttermaran@gmx.net)
 * 
 * This file is part of cuttermaran, a free MPEG cut program.
 * See http://www.cuttermaran.de for updates.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by the 
 * Free Software Foundation; either version 2 of the License, or 
 * (at your option) any later version. 
 * 
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
 * GNU General Public License for more details. 
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software 
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 */

using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;

namespace Configuration
{
	/// <summary>
	/// Summary description for ChapterControl.
	/// </summary>
	public class ChapterControl : System.Windows.Forms.UserControl
	{
		private System.Windows.Forms.CheckBox checkCreateIfoFile;
		private System.Windows.Forms.CheckBox checkCreateMaestroFile;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.NumericUpDown numAutoChapters;
		private System.Windows.Forms.CheckBox checkBoxAutoCreate;
		private System.Windows.Forms.Panel panelAutoCreateValue;
		private System.Windows.Forms.CheckBox checkCreateScenaristFile;
		private System.Windows.Forms.CheckBox checkCreateCCEFile;
		private System.Windows.Forms.CheckBox checkCreateDVDAuthorFile;
		private System.Windows.Forms.CheckBox checkCreateOGGFormat;
		/// <summary> 
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public ChapterControl()
		{
			// This call is required by the Windows.Forms Form Designer.
			InitializeComponent();

			// TODO: Add any initialization after the InitializeComponent call

		}

		/// <summary> 
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Component Designer generated code
		/// <summary> 
		/// Required method for Designer support - do not modify 
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(ChapterControl));
			this.checkCreateScenaristFile = new System.Windows.Forms.CheckBox();
			this.checkCreateMaestroFile = new System.Windows.Forms.CheckBox();
			this.checkCreateIfoFile = new System.Windows.Forms.CheckBox();
			this.panelAutoCreateValue = new System.Windows.Forms.Panel();
			this.label2 = new System.Windows.Forms.Label();
			this.numAutoChapters = new System.Windows.Forms.NumericUpDown();
			this.checkBoxAutoCreate = new System.Windows.Forms.CheckBox();
			this.label1 = new System.Windows.Forms.Label();
			this.checkCreateCCEFile = new System.Windows.Forms.CheckBox();
			this.checkCreateDVDAuthorFile = new System.Windows.Forms.CheckBox();
			this.checkCreateOGGFormat = new System.Windows.Forms.CheckBox();
			this.panelAutoCreateValue.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.numAutoChapters)).BeginInit();
			this.SuspendLayout();
			// 
			// checkCreateScenaristFile
			// 
			this.checkCreateScenaristFile.AccessibleDescription = resources.GetString("checkCreateScenaristFile.AccessibleDescription");
			this.checkCreateScenaristFile.AccessibleName = resources.GetString("checkCreateScenaristFile.AccessibleName");
			this.checkCreateScenaristFile.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("checkCreateScenaristFile.Anchor")));
			this.checkCreateScenaristFile.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("checkCreateScenaristFile.Appearance")));
			this.checkCreateScenaristFile.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("checkCreateScenaristFile.BackgroundImage")));
			this.checkCreateScenaristFile.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkCreateScenaristFile.CheckAlign")));
			this.checkCreateScenaristFile.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("checkCreateScenaristFile.Dock")));
			this.checkCreateScenaristFile.Enabled = ((bool)(resources.GetObject("checkCreateScenaristFile.Enabled")));
			this.checkCreateScenaristFile.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("checkCreateScenaristFile.FlatStyle")));
			this.checkCreateScenaristFile.Font = ((System.Drawing.Font)(resources.GetObject("checkCreateScenaristFile.Font")));
			this.checkCreateScenaristFile.Image = ((System.Drawing.Image)(resources.GetObject("checkCreateScenaristFile.Image")));
			this.checkCreateScenaristFile.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkCreateScenaristFile.ImageAlign")));
			this.checkCreateScenaristFile.ImageIndex = ((int)(resources.GetObject("checkCreateScenaristFile.ImageIndex")));
			this.checkCreateScenaristFile.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("checkCreateScenaristFile.ImeMode")));
			this.checkCreateScenaristFile.Location = ((System.Drawing.Point)(resources.GetObject("checkCreateScenaristFile.Location")));
			this.checkCreateScenaristFile.Name = "checkCreateScenaristFile";
			this.checkCreateScenaristFile.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("checkCreateScenaristFile.RightToLeft")));
			this.checkCreateScenaristFile.Size = ((System.Drawing.Size)(resources.GetObject("checkCreateScenaristFile.Size")));
			this.checkCreateScenaristFile.TabIndex = ((int)(resources.GetObject("checkCreateScenaristFile.TabIndex")));
			this.checkCreateScenaristFile.Text = resources.GetString("checkCreateScenaristFile.Text");
			this.checkCreateScenaristFile.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkCreateScenaristFile.TextAlign")));
			this.checkCreateScenaristFile.Visible = ((bool)(resources.GetObject("checkCreateScenaristFile.Visible")));
			// 
			// checkCreateMaestroFile
			// 
			this.checkCreateMaestroFile.AccessibleDescription = resources.GetString("checkCreateMaestroFile.AccessibleDescription");
			this.checkCreateMaestroFile.AccessibleName = resources.GetString("checkCreateMaestroFile.AccessibleName");
			this.checkCreateMaestroFile.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("checkCreateMaestroFile.Anchor")));
			this.checkCreateMaestroFile.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("checkCreateMaestroFile.Appearance")));
			this.checkCreateMaestroFile.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("checkCreateMaestroFile.BackgroundImage")));
			this.checkCreateMaestroFile.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkCreateMaestroFile.CheckAlign")));
			this.checkCreateMaestroFile.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("checkCreateMaestroFile.Dock")));
			this.checkCreateMaestroFile.Enabled = ((bool)(resources.GetObject("checkCreateMaestroFile.Enabled")));
			this.checkCreateMaestroFile.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("checkCreateMaestroFile.FlatStyle")));
			this.checkCreateMaestroFile.Font = ((System.Drawing.Font)(resources.GetObject("checkCreateMaestroFile.Font")));
			this.checkCreateMaestroFile.Image = ((System.Drawing.Image)(resources.GetObject("checkCreateMaestroFile.Image")));
			this.checkCreateMaestroFile.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkCreateMaestroFile.ImageAlign")));
			this.checkCreateMaestroFile.ImageIndex = ((int)(resources.GetObject("checkCreateMaestroFile.ImageIndex")));
			this.checkCreateMaestroFile.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("checkCreateMaestroFile.ImeMode")));
			this.checkCreateMaestroFile.Location = ((System.Drawing.Point)(resources.GetObject("checkCreateMaestroFile.Location")));
			this.checkCreateMaestroFile.Name = "checkCreateMaestroFile";
			this.checkCreateMaestroFile.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("checkCreateMaestroFile.RightToLeft")));
			this.checkCreateMaestroFile.Size = ((System.Drawing.Size)(resources.GetObject("checkCreateMaestroFile.Size")));
			this.checkCreateMaestroFile.TabIndex = ((int)(resources.GetObject("checkCreateMaestroFile.TabIndex")));
			this.checkCreateMaestroFile.Text = resources.GetString("checkCreateMaestroFile.Text");
			this.checkCreateMaestroFile.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkCreateMaestroFile.TextAlign")));
			this.checkCreateMaestroFile.Visible = ((bool)(resources.GetObject("checkCreateMaestroFile.Visible")));
			// 
			// checkCreateIfoFile
			// 
			this.checkCreateIfoFile.AccessibleDescription = resources.GetString("checkCreateIfoFile.AccessibleDescription");
			this.checkCreateIfoFile.AccessibleName = resources.GetString("checkCreateIfoFile.AccessibleName");
			this.checkCreateIfoFile.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("checkCreateIfoFile.Anchor")));
			this.checkCreateIfoFile.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("checkCreateIfoFile.Appearance")));
			this.checkCreateIfoFile.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("checkCreateIfoFile.BackgroundImage")));
			this.checkCreateIfoFile.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkCreateIfoFile.CheckAlign")));
			this.checkCreateIfoFile.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("checkCreateIfoFile.Dock")));
			this.checkCreateIfoFile.Enabled = ((bool)(resources.GetObject("checkCreateIfoFile.Enabled")));
			this.checkCreateIfoFile.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("checkCreateIfoFile.FlatStyle")));
			this.checkCreateIfoFile.Font = ((System.Drawing.Font)(resources.GetObject("checkCreateIfoFile.Font")));
			this.checkCreateIfoFile.Image = ((System.Drawing.Image)(resources.GetObject("checkCreateIfoFile.Image")));
			this.checkCreateIfoFile.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkCreateIfoFile.ImageAlign")));
			this.checkCreateIfoFile.ImageIndex = ((int)(resources.GetObject("checkCreateIfoFile.ImageIndex")));
			this.checkCreateIfoFile.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("checkCreateIfoFile.ImeMode")));
			this.checkCreateIfoFile.Location = ((System.Drawing.Point)(resources.GetObject("checkCreateIfoFile.Location")));
			this.checkCreateIfoFile.Name = "checkCreateIfoFile";
			this.checkCreateIfoFile.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("checkCreateIfoFile.RightToLeft")));
			this.checkCreateIfoFile.Size = ((System.Drawing.Size)(resources.GetObject("checkCreateIfoFile.Size")));
			this.checkCreateIfoFile.TabIndex = ((int)(resources.GetObject("checkCreateIfoFile.TabIndex")));
			this.checkCreateIfoFile.Text = resources.GetString("checkCreateIfoFile.Text");
			this.checkCreateIfoFile.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkCreateIfoFile.TextAlign")));
			this.checkCreateIfoFile.Visible = ((bool)(resources.GetObject("checkCreateIfoFile.Visible")));
			// 
			// panelAutoCreateValue
			// 
			this.panelAutoCreateValue.AccessibleDescription = resources.GetString("panelAutoCreateValue.AccessibleDescription");
			this.panelAutoCreateValue.AccessibleName = resources.GetString("panelAutoCreateValue.AccessibleName");
			this.panelAutoCreateValue.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("panelAutoCreateValue.Anchor")));
			this.panelAutoCreateValue.AutoScroll = ((bool)(resources.GetObject("panelAutoCreateValue.AutoScroll")));
			this.panelAutoCreateValue.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("panelAutoCreateValue.AutoScrollMargin")));
			this.panelAutoCreateValue.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("panelAutoCreateValue.AutoScrollMinSize")));
			this.panelAutoCreateValue.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("panelAutoCreateValue.BackgroundImage")));
			this.panelAutoCreateValue.Controls.Add(this.label2);
			this.panelAutoCreateValue.Controls.Add(this.numAutoChapters);
			this.panelAutoCreateValue.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("panelAutoCreateValue.Dock")));
			this.panelAutoCreateValue.Enabled = ((bool)(resources.GetObject("panelAutoCreateValue.Enabled")));
			this.panelAutoCreateValue.Font = ((System.Drawing.Font)(resources.GetObject("panelAutoCreateValue.Font")));
			this.panelAutoCreateValue.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("panelAutoCreateValue.ImeMode")));
			this.panelAutoCreateValue.Location = ((System.Drawing.Point)(resources.GetObject("panelAutoCreateValue.Location")));
			this.panelAutoCreateValue.Name = "panelAutoCreateValue";
			this.panelAutoCreateValue.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("panelAutoCreateValue.RightToLeft")));
			this.panelAutoCreateValue.Size = ((System.Drawing.Size)(resources.GetObject("panelAutoCreateValue.Size")));
			this.panelAutoCreateValue.TabIndex = ((int)(resources.GetObject("panelAutoCreateValue.TabIndex")));
			this.panelAutoCreateValue.Text = resources.GetString("panelAutoCreateValue.Text");
			this.panelAutoCreateValue.Visible = ((bool)(resources.GetObject("panelAutoCreateValue.Visible")));
			// 
			// label2
			// 
			this.label2.AccessibleDescription = resources.GetString("label2.AccessibleDescription");
			this.label2.AccessibleName = resources.GetString("label2.AccessibleName");
			this.label2.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label2.Anchor")));
			this.label2.AutoSize = ((bool)(resources.GetObject("label2.AutoSize")));
			this.label2.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label2.Dock")));
			this.label2.Enabled = ((bool)(resources.GetObject("label2.Enabled")));
			this.label2.Font = ((System.Drawing.Font)(resources.GetObject("label2.Font")));
			this.label2.Image = ((System.Drawing.Image)(resources.GetObject("label2.Image")));
			this.label2.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label2.ImageAlign")));
			this.label2.ImageIndex = ((int)(resources.GetObject("label2.ImageIndex")));
			this.label2.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label2.ImeMode")));
			this.label2.Location = ((System.Drawing.Point)(resources.GetObject("label2.Location")));
			this.label2.Name = "label2";
			this.label2.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label2.RightToLeft")));
			this.label2.Size = ((System.Drawing.Size)(resources.GetObject("label2.Size")));
			this.label2.TabIndex = ((int)(resources.GetObject("label2.TabIndex")));
			this.label2.Text = resources.GetString("label2.Text");
			this.label2.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label2.TextAlign")));
			this.label2.Visible = ((bool)(resources.GetObject("label2.Visible")));
			// 
			// numAutoChapters
			// 
			this.numAutoChapters.AccessibleDescription = resources.GetString("numAutoChapters.AccessibleDescription");
			this.numAutoChapters.AccessibleName = resources.GetString("numAutoChapters.AccessibleName");
			this.numAutoChapters.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("numAutoChapters.Anchor")));
			this.numAutoChapters.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("numAutoChapters.Dock")));
			this.numAutoChapters.Enabled = ((bool)(resources.GetObject("numAutoChapters.Enabled")));
			this.numAutoChapters.Font = ((System.Drawing.Font)(resources.GetObject("numAutoChapters.Font")));
			this.numAutoChapters.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("numAutoChapters.ImeMode")));
			this.numAutoChapters.Location = ((System.Drawing.Point)(resources.GetObject("numAutoChapters.Location")));
			this.numAutoChapters.Maximum = new System.Decimal(new int[] {
																			60,
																			0,
																			0,
																			0});
			this.numAutoChapters.Minimum = new System.Decimal(new int[] {
																			1,
																			0,
																			0,
																			0});
			this.numAutoChapters.Name = "numAutoChapters";
			this.numAutoChapters.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("numAutoChapters.RightToLeft")));
			this.numAutoChapters.Size = ((System.Drawing.Size)(resources.GetObject("numAutoChapters.Size")));
			this.numAutoChapters.TabIndex = ((int)(resources.GetObject("numAutoChapters.TabIndex")));
			this.numAutoChapters.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("numAutoChapters.TextAlign")));
			this.numAutoChapters.ThousandsSeparator = ((bool)(resources.GetObject("numAutoChapters.ThousandsSeparator")));
			this.numAutoChapters.UpDownAlign = ((System.Windows.Forms.LeftRightAlignment)(resources.GetObject("numAutoChapters.UpDownAlign")));
			this.numAutoChapters.Value = new System.Decimal(new int[] {
																		  5,
																		  0,
																		  0,
																		  0});
			this.numAutoChapters.Visible = ((bool)(resources.GetObject("numAutoChapters.Visible")));
			// 
			// checkBoxAutoCreate
			// 
			this.checkBoxAutoCreate.AccessibleDescription = resources.GetString("checkBoxAutoCreate.AccessibleDescription");
			this.checkBoxAutoCreate.AccessibleName = resources.GetString("checkBoxAutoCreate.AccessibleName");
			this.checkBoxAutoCreate.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("checkBoxAutoCreate.Anchor")));
			this.checkBoxAutoCreate.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("checkBoxAutoCreate.Appearance")));
			this.checkBoxAutoCreate.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("checkBoxAutoCreate.BackgroundImage")));
			this.checkBoxAutoCreate.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkBoxAutoCreate.CheckAlign")));
			this.checkBoxAutoCreate.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("checkBoxAutoCreate.Dock")));
			this.checkBoxAutoCreate.Enabled = ((bool)(resources.GetObject("checkBoxAutoCreate.Enabled")));
			this.checkBoxAutoCreate.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("checkBoxAutoCreate.FlatStyle")));
			this.checkBoxAutoCreate.Font = ((System.Drawing.Font)(resources.GetObject("checkBoxAutoCreate.Font")));
			this.checkBoxAutoCreate.Image = ((System.Drawing.Image)(resources.GetObject("checkBoxAutoCreate.Image")));
			this.checkBoxAutoCreate.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkBoxAutoCreate.ImageAlign")));
			this.checkBoxAutoCreate.ImageIndex = ((int)(resources.GetObject("checkBoxAutoCreate.ImageIndex")));
			this.checkBoxAutoCreate.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("checkBoxAutoCreate.ImeMode")));
			this.checkBoxAutoCreate.Location = ((System.Drawing.Point)(resources.GetObject("checkBoxAutoCreate.Location")));
			this.checkBoxAutoCreate.Name = "checkBoxAutoCreate";
			this.checkBoxAutoCreate.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("checkBoxAutoCreate.RightToLeft")));
			this.checkBoxAutoCreate.Size = ((System.Drawing.Size)(resources.GetObject("checkBoxAutoCreate.Size")));
			this.checkBoxAutoCreate.TabIndex = ((int)(resources.GetObject("checkBoxAutoCreate.TabIndex")));
			this.checkBoxAutoCreate.Text = resources.GetString("checkBoxAutoCreate.Text");
			this.checkBoxAutoCreate.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkBoxAutoCreate.TextAlign")));
			this.checkBoxAutoCreate.Visible = ((bool)(resources.GetObject("checkBoxAutoCreate.Visible")));
			this.checkBoxAutoCreate.CheckedChanged += new System.EventHandler(this.checkBoxAutoCreate_CheckedChanged);
			// 
			// label1
			// 
			this.label1.AccessibleDescription = resources.GetString("label1.AccessibleDescription");
			this.label1.AccessibleName = resources.GetString("label1.AccessibleName");
			this.label1.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label1.Anchor")));
			this.label1.AutoSize = ((bool)(resources.GetObject("label1.AutoSize")));
			this.label1.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label1.Dock")));
			this.label1.Enabled = ((bool)(resources.GetObject("label1.Enabled")));
			this.label1.Font = ((System.Drawing.Font)(resources.GetObject("label1.Font")));
			this.label1.Image = ((System.Drawing.Image)(resources.GetObject("label1.Image")));
			this.label1.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label1.ImageAlign")));
			this.label1.ImageIndex = ((int)(resources.GetObject("label1.ImageIndex")));
			this.label1.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label1.ImeMode")));
			this.label1.Location = ((System.Drawing.Point)(resources.GetObject("label1.Location")));
			this.label1.Name = "label1";
			this.label1.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label1.RightToLeft")));
			this.label1.Size = ((System.Drawing.Size)(resources.GetObject("label1.Size")));
			this.label1.TabIndex = ((int)(resources.GetObject("label1.TabIndex")));
			this.label1.Text = resources.GetString("label1.Text");
			this.label1.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label1.TextAlign")));
			this.label1.Visible = ((bool)(resources.GetObject("label1.Visible")));
			// 
			// checkCreateCCEFile
			// 
			this.checkCreateCCEFile.AccessibleDescription = resources.GetString("checkCreateCCEFile.AccessibleDescription");
			this.checkCreateCCEFile.AccessibleName = resources.GetString("checkCreateCCEFile.AccessibleName");
			this.checkCreateCCEFile.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("checkCreateCCEFile.Anchor")));
			this.checkCreateCCEFile.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("checkCreateCCEFile.Appearance")));
			this.checkCreateCCEFile.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("checkCreateCCEFile.BackgroundImage")));
			this.checkCreateCCEFile.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkCreateCCEFile.CheckAlign")));
			this.checkCreateCCEFile.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("checkCreateCCEFile.Dock")));
			this.checkCreateCCEFile.Enabled = ((bool)(resources.GetObject("checkCreateCCEFile.Enabled")));
			this.checkCreateCCEFile.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("checkCreateCCEFile.FlatStyle")));
			this.checkCreateCCEFile.Font = ((System.Drawing.Font)(resources.GetObject("checkCreateCCEFile.Font")));
			this.checkCreateCCEFile.Image = ((System.Drawing.Image)(resources.GetObject("checkCreateCCEFile.Image")));
			this.checkCreateCCEFile.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkCreateCCEFile.ImageAlign")));
			this.checkCreateCCEFile.ImageIndex = ((int)(resources.GetObject("checkCreateCCEFile.ImageIndex")));
			this.checkCreateCCEFile.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("checkCreateCCEFile.ImeMode")));
			this.checkCreateCCEFile.Location = ((System.Drawing.Point)(resources.GetObject("checkCreateCCEFile.Location")));
			this.checkCreateCCEFile.Name = "checkCreateCCEFile";
			this.checkCreateCCEFile.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("checkCreateCCEFile.RightToLeft")));
			this.checkCreateCCEFile.Size = ((System.Drawing.Size)(resources.GetObject("checkCreateCCEFile.Size")));
			this.checkCreateCCEFile.TabIndex = ((int)(resources.GetObject("checkCreateCCEFile.TabIndex")));
			this.checkCreateCCEFile.Text = resources.GetString("checkCreateCCEFile.Text");
			this.checkCreateCCEFile.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkCreateCCEFile.TextAlign")));
			this.checkCreateCCEFile.Visible = ((bool)(resources.GetObject("checkCreateCCEFile.Visible")));
			// 
			// checkCreateDVDAuthorFile
			// 
			this.checkCreateDVDAuthorFile.AccessibleDescription = resources.GetString("checkCreateDVDAuthorFile.AccessibleDescription");
			this.checkCreateDVDAuthorFile.AccessibleName = resources.GetString("checkCreateDVDAuthorFile.AccessibleName");
			this.checkCreateDVDAuthorFile.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("checkCreateDVDAuthorFile.Anchor")));
			this.checkCreateDVDAuthorFile.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("checkCreateDVDAuthorFile.Appearance")));
			this.checkCreateDVDAuthorFile.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("checkCreateDVDAuthorFile.BackgroundImage")));
			this.checkCreateDVDAuthorFile.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkCreateDVDAuthorFile.CheckAlign")));
			this.checkCreateDVDAuthorFile.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("checkCreateDVDAuthorFile.Dock")));
			this.checkCreateDVDAuthorFile.Enabled = ((bool)(resources.GetObject("checkCreateDVDAuthorFile.Enabled")));
			this.checkCreateDVDAuthorFile.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("checkCreateDVDAuthorFile.FlatStyle")));
			this.checkCreateDVDAuthorFile.Font = ((System.Drawing.Font)(resources.GetObject("checkCreateDVDAuthorFile.Font")));
			this.checkCreateDVDAuthorFile.Image = ((System.Drawing.Image)(resources.GetObject("checkCreateDVDAuthorFile.Image")));
			this.checkCreateDVDAuthorFile.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkCreateDVDAuthorFile.ImageAlign")));
			this.checkCreateDVDAuthorFile.ImageIndex = ((int)(resources.GetObject("checkCreateDVDAuthorFile.ImageIndex")));
			this.checkCreateDVDAuthorFile.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("checkCreateDVDAuthorFile.ImeMode")));
			this.checkCreateDVDAuthorFile.Location = ((System.Drawing.Point)(resources.GetObject("checkCreateDVDAuthorFile.Location")));
			this.checkCreateDVDAuthorFile.Name = "checkCreateDVDAuthorFile";
			this.checkCreateDVDAuthorFile.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("checkCreateDVDAuthorFile.RightToLeft")));
			this.checkCreateDVDAuthorFile.Size = ((System.Drawing.Size)(resources.GetObject("checkCreateDVDAuthorFile.Size")));
			this.checkCreateDVDAuthorFile.TabIndex = ((int)(resources.GetObject("checkCreateDVDAuthorFile.TabIndex")));
			this.checkCreateDVDAuthorFile.Text = resources.GetString("checkCreateDVDAuthorFile.Text");
			this.checkCreateDVDAuthorFile.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkCreateDVDAuthorFile.TextAlign")));
			this.checkCreateDVDAuthorFile.Visible = ((bool)(resources.GetObject("checkCreateDVDAuthorFile.Visible")));
			// 
			// checkCreateOGGFormat
			// 
			this.checkCreateOGGFormat.AccessibleDescription = resources.GetString("checkCreateOGGFormat.AccessibleDescription");
			this.checkCreateOGGFormat.AccessibleName = resources.GetString("checkCreateOGGFormat.AccessibleName");
			this.checkCreateOGGFormat.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("checkCreateOGGFormat.Anchor")));
			this.checkCreateOGGFormat.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("checkCreateOGGFormat.Appearance")));
			this.checkCreateOGGFormat.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("checkCreateOGGFormat.BackgroundImage")));
			this.checkCreateOGGFormat.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkCreateOGGFormat.CheckAlign")));
			this.checkCreateOGGFormat.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("checkCreateOGGFormat.Dock")));
			this.checkCreateOGGFormat.Enabled = ((bool)(resources.GetObject("checkCreateOGGFormat.Enabled")));
			this.checkCreateOGGFormat.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("checkCreateOGGFormat.FlatStyle")));
			this.checkCreateOGGFormat.Font = ((System.Drawing.Font)(resources.GetObject("checkCreateOGGFormat.Font")));
			this.checkCreateOGGFormat.Image = ((System.Drawing.Image)(resources.GetObject("checkCreateOGGFormat.Image")));
			this.checkCreateOGGFormat.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkCreateOGGFormat.ImageAlign")));
			this.checkCreateOGGFormat.ImageIndex = ((int)(resources.GetObject("checkCreateOGGFormat.ImageIndex")));
			this.checkCreateOGGFormat.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("checkCreateOGGFormat.ImeMode")));
			this.checkCreateOGGFormat.Location = ((System.Drawing.Point)(resources.GetObject("checkCreateOGGFormat.Location")));
			this.checkCreateOGGFormat.Name = "checkCreateOGGFormat";
			this.checkCreateOGGFormat.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("checkCreateOGGFormat.RightToLeft")));
			this.checkCreateOGGFormat.Size = ((System.Drawing.Size)(resources.GetObject("checkCreateOGGFormat.Size")));
			this.checkCreateOGGFormat.TabIndex = ((int)(resources.GetObject("checkCreateOGGFormat.TabIndex")));
			this.checkCreateOGGFormat.Text = resources.GetString("checkCreateOGGFormat.Text");
			this.checkCreateOGGFormat.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkCreateOGGFormat.TextAlign")));
			this.checkCreateOGGFormat.Visible = ((bool)(resources.GetObject("checkCreateOGGFormat.Visible")));
			// 
			// ChapterControl
			// 
			this.AccessibleDescription = resources.GetString("$this.AccessibleDescription");
			this.AccessibleName = resources.GetString("$this.AccessibleName");
			this.AutoScroll = ((bool)(resources.GetObject("$this.AutoScroll")));
			this.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMargin")));
			this.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMinSize")));
			this.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("$this.BackgroundImage")));
			this.Controls.Add(this.checkCreateOGGFormat);
			this.Controls.Add(this.checkCreateDVDAuthorFile);
			this.Controls.Add(this.checkCreateCCEFile);
			this.Controls.Add(this.label1);
			this.Controls.Add(this.panelAutoCreateValue);
			this.Controls.Add(this.checkBoxAutoCreate);
			this.Controls.Add(this.checkCreateIfoFile);
			this.Controls.Add(this.checkCreateMaestroFile);
			this.Controls.Add(this.checkCreateScenaristFile);
			this.Enabled = ((bool)(resources.GetObject("$this.Enabled")));
			this.Font = ((System.Drawing.Font)(resources.GetObject("$this.Font")));
			this.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("$this.ImeMode")));
			this.Location = ((System.Drawing.Point)(resources.GetObject("$this.Location")));
			this.Name = "ChapterControl";
			this.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("$this.RightToLeft")));
			this.Size = ((System.Drawing.Size)(resources.GetObject("$this.Size")));
			this.panelAutoCreateValue.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.numAutoChapters)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		public void LoadData()
		{
			checkCreateIfoFile.Checked=Settings.CurrentSettings.IfoEditChapters;
			checkCreateMaestroFile.Checked=Settings.CurrentSettings.MaestroChapters;
			checkCreateScenaristFile.Checked=Settings.CurrentSettings.ScenaristChapters;
			checkCreateCCEFile.Checked=Settings.CurrentSettings.CCEChapters;
			checkBoxAutoCreate.Checked=Settings.CurrentSettings.AutoCreateChapters;
			panelAutoCreateValue.Enabled=Settings.CurrentSettings.AutoCreateChapters;
			numAutoChapters.Value=Settings.CurrentSettings.AutoChaptersValue;
			checkCreateDVDAuthorFile.Checked=Settings.CurrentSettings.DVDAuthorChapters;
			checkCreateOGGFormat.Checked=Settings.CurrentSettings.OGGChapters;
		}

		public void UnLoadData()
		{
			Settings.CurrentSettings.IfoEditChapters=checkCreateIfoFile.Checked;
			Settings.CurrentSettings.MaestroChapters=checkCreateMaestroFile.Checked;
			Settings.CurrentSettings.ScenaristChapters=checkCreateScenaristFile.Checked;
			Settings.CurrentSettings.CCEChapters=checkCreateCCEFile.Checked;
			Settings.CurrentSettings.AutoCreateChapters=checkBoxAutoCreate.Checked;
			Settings.CurrentSettings.AutoChaptersValue=(int)numAutoChapters.Value;
			Settings.CurrentSettings.DVDAuthorChapters=checkCreateDVDAuthorFile.Checked;
			Settings.CurrentSettings.OGGChapters=checkCreateOGGFormat.Checked;
		}

		private void checkBoxAutoCreate_CheckedChanged(object sender, System.EventArgs e)
		{
			panelAutoCreateValue.Enabled=checkBoxAutoCreate.Checked;
		}

	}
}
