/*
 * Cuttermaran - The Mpeg Cutter
 * 
 * Copyright (C) 2003-2005 Tobias Arnold (cuttermaran@gmx.net)
 * 
 * This file is part of cuttermaran, a free MPEG cut program.
 * See http://www.cuttermaran.de for updates.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by the 
 * Free Software Foundation; either version 2 of the License, or 
 * (at your option) any later version. 
 * 
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
 * GNU General Public License for more details. 
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software 
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 */

using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;

using Coremoran.Algorithms;

namespace Configuration
{
	/// <summary>
	/// Summary description for CutParamControl.
	/// </summary>
	public class CutParamControl : System.Windows.Forms.UserControl
	{
		private System.Windows.Forms.ComboBox comboSequenceEndHeader;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.ComboBox comboFirstSequence;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.CheckBox checkRecalcBitrate;
		private System.Windows.Forms.CheckBox checkCreateD2VFile;
		private System.Windows.Forms.CheckBox checkDropFrame;
		private System.Windows.Forms.CheckBox checkCreateInfoFile;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.ComboBox comboSDE;
		private System.Windows.Forms.ComboBox comboD2v;
		private System.Windows.Forms.ComboBox comboNewRatio;
		private System.Windows.Forms.Label TextNewAspectRatio;
		/// <summary> 
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public CutParamControl()
		{
			// This call is required by the Windows.Forms Form Designer.
			InitializeComponent();

			// TODO: Add any initialization after the InitializeComponent call

		}

		/// <summary> 
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Component Designer generated code
		/// <summary> 
		/// Required method for Designer support - do not modify 
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(CutParamControl));
			this.comboSequenceEndHeader = new System.Windows.Forms.ComboBox();
			this.label4 = new System.Windows.Forms.Label();
			this.comboFirstSequence = new System.Windows.Forms.ComboBox();
			this.label3 = new System.Windows.Forms.Label();
			this.checkRecalcBitrate = new System.Windows.Forms.CheckBox();
			this.checkCreateD2VFile = new System.Windows.Forms.CheckBox();
			this.checkDropFrame = new System.Windows.Forms.CheckBox();
			this.checkCreateInfoFile = new System.Windows.Forms.CheckBox();
			this.label1 = new System.Windows.Forms.Label();
			this.comboSDE = new System.Windows.Forms.ComboBox();
			this.comboD2v = new System.Windows.Forms.ComboBox();
			this.TextNewAspectRatio = new System.Windows.Forms.Label();
			this.comboNewRatio = new System.Windows.Forms.ComboBox();
			this.SuspendLayout();
			// 
			// comboSequenceEndHeader
			// 
			this.comboSequenceEndHeader.AccessibleDescription = resources.GetString("comboSequenceEndHeader.AccessibleDescription");
			this.comboSequenceEndHeader.AccessibleName = resources.GetString("comboSequenceEndHeader.AccessibleName");
			this.comboSequenceEndHeader.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("comboSequenceEndHeader.Anchor")));
			this.comboSequenceEndHeader.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("comboSequenceEndHeader.BackgroundImage")));
			this.comboSequenceEndHeader.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("comboSequenceEndHeader.Dock")));
			this.comboSequenceEndHeader.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.comboSequenceEndHeader.Enabled = ((bool)(resources.GetObject("comboSequenceEndHeader.Enabled")));
			this.comboSequenceEndHeader.Font = ((System.Drawing.Font)(resources.GetObject("comboSequenceEndHeader.Font")));
			this.comboSequenceEndHeader.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("comboSequenceEndHeader.ImeMode")));
			this.comboSequenceEndHeader.IntegralHeight = ((bool)(resources.GetObject("comboSequenceEndHeader.IntegralHeight")));
			this.comboSequenceEndHeader.ItemHeight = ((int)(resources.GetObject("comboSequenceEndHeader.ItemHeight")));
			this.comboSequenceEndHeader.Items.AddRange(new object[] {
																		resources.GetString("comboSequenceEndHeader.Items"),
																		resources.GetString("comboSequenceEndHeader.Items1"),
																		resources.GetString("comboSequenceEndHeader.Items2")});
			this.comboSequenceEndHeader.Location = ((System.Drawing.Point)(resources.GetObject("comboSequenceEndHeader.Location")));
			this.comboSequenceEndHeader.MaxDropDownItems = ((int)(resources.GetObject("comboSequenceEndHeader.MaxDropDownItems")));
			this.comboSequenceEndHeader.MaxLength = ((int)(resources.GetObject("comboSequenceEndHeader.MaxLength")));
			this.comboSequenceEndHeader.Name = "comboSequenceEndHeader";
			this.comboSequenceEndHeader.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("comboSequenceEndHeader.RightToLeft")));
			this.comboSequenceEndHeader.Size = ((System.Drawing.Size)(resources.GetObject("comboSequenceEndHeader.Size")));
			this.comboSequenceEndHeader.TabIndex = ((int)(resources.GetObject("comboSequenceEndHeader.TabIndex")));
			this.comboSequenceEndHeader.Text = resources.GetString("comboSequenceEndHeader.Text");
			this.comboSequenceEndHeader.Visible = ((bool)(resources.GetObject("comboSequenceEndHeader.Visible")));
			// 
			// label4
			// 
			this.label4.AccessibleDescription = resources.GetString("label4.AccessibleDescription");
			this.label4.AccessibleName = resources.GetString("label4.AccessibleName");
			this.label4.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label4.Anchor")));
			this.label4.AutoSize = ((bool)(resources.GetObject("label4.AutoSize")));
			this.label4.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label4.Dock")));
			this.label4.Enabled = ((bool)(resources.GetObject("label4.Enabled")));
			this.label4.Font = ((System.Drawing.Font)(resources.GetObject("label4.Font")));
			this.label4.Image = ((System.Drawing.Image)(resources.GetObject("label4.Image")));
			this.label4.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label4.ImageAlign")));
			this.label4.ImageIndex = ((int)(resources.GetObject("label4.ImageIndex")));
			this.label4.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label4.ImeMode")));
			this.label4.Location = ((System.Drawing.Point)(resources.GetObject("label4.Location")));
			this.label4.Name = "label4";
			this.label4.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label4.RightToLeft")));
			this.label4.Size = ((System.Drawing.Size)(resources.GetObject("label4.Size")));
			this.label4.TabIndex = ((int)(resources.GetObject("label4.TabIndex")));
			this.label4.Text = resources.GetString("label4.Text");
			this.label4.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label4.TextAlign")));
			this.label4.Visible = ((bool)(resources.GetObject("label4.Visible")));
			// 
			// comboFirstSequence
			// 
			this.comboFirstSequence.AccessibleDescription = resources.GetString("comboFirstSequence.AccessibleDescription");
			this.comboFirstSequence.AccessibleName = resources.GetString("comboFirstSequence.AccessibleName");
			this.comboFirstSequence.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("comboFirstSequence.Anchor")));
			this.comboFirstSequence.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("comboFirstSequence.BackgroundImage")));
			this.comboFirstSequence.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("comboFirstSequence.Dock")));
			this.comboFirstSequence.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.comboFirstSequence.Enabled = ((bool)(resources.GetObject("comboFirstSequence.Enabled")));
			this.comboFirstSequence.Font = ((System.Drawing.Font)(resources.GetObject("comboFirstSequence.Font")));
			this.comboFirstSequence.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("comboFirstSequence.ImeMode")));
			this.comboFirstSequence.IntegralHeight = ((bool)(resources.GetObject("comboFirstSequence.IntegralHeight")));
			this.comboFirstSequence.ItemHeight = ((int)(resources.GetObject("comboFirstSequence.ItemHeight")));
			this.comboFirstSequence.Items.AddRange(new object[] {
																	resources.GetString("comboFirstSequence.Items"),
																	resources.GetString("comboFirstSequence.Items1"),
																	resources.GetString("comboFirstSequence.Items2")});
			this.comboFirstSequence.Location = ((System.Drawing.Point)(resources.GetObject("comboFirstSequence.Location")));
			this.comboFirstSequence.MaxDropDownItems = ((int)(resources.GetObject("comboFirstSequence.MaxDropDownItems")));
			this.comboFirstSequence.MaxLength = ((int)(resources.GetObject("comboFirstSequence.MaxLength")));
			this.comboFirstSequence.Name = "comboFirstSequence";
			this.comboFirstSequence.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("comboFirstSequence.RightToLeft")));
			this.comboFirstSequence.Size = ((System.Drawing.Size)(resources.GetObject("comboFirstSequence.Size")));
			this.comboFirstSequence.TabIndex = ((int)(resources.GetObject("comboFirstSequence.TabIndex")));
			this.comboFirstSequence.Text = resources.GetString("comboFirstSequence.Text");
			this.comboFirstSequence.Visible = ((bool)(resources.GetObject("comboFirstSequence.Visible")));
			// 
			// label3
			// 
			this.label3.AccessibleDescription = resources.GetString("label3.AccessibleDescription");
			this.label3.AccessibleName = resources.GetString("label3.AccessibleName");
			this.label3.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label3.Anchor")));
			this.label3.AutoSize = ((bool)(resources.GetObject("label3.AutoSize")));
			this.label3.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label3.Dock")));
			this.label3.Enabled = ((bool)(resources.GetObject("label3.Enabled")));
			this.label3.Font = ((System.Drawing.Font)(resources.GetObject("label3.Font")));
			this.label3.Image = ((System.Drawing.Image)(resources.GetObject("label3.Image")));
			this.label3.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label3.ImageAlign")));
			this.label3.ImageIndex = ((int)(resources.GetObject("label3.ImageIndex")));
			this.label3.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label3.ImeMode")));
			this.label3.Location = ((System.Drawing.Point)(resources.GetObject("label3.Location")));
			this.label3.Name = "label3";
			this.label3.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label3.RightToLeft")));
			this.label3.Size = ((System.Drawing.Size)(resources.GetObject("label3.Size")));
			this.label3.TabIndex = ((int)(resources.GetObject("label3.TabIndex")));
			this.label3.Text = resources.GetString("label3.Text");
			this.label3.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label3.TextAlign")));
			this.label3.Visible = ((bool)(resources.GetObject("label3.Visible")));
			// 
			// checkRecalcBitrate
			// 
			this.checkRecalcBitrate.AccessibleDescription = resources.GetString("checkRecalcBitrate.AccessibleDescription");
			this.checkRecalcBitrate.AccessibleName = resources.GetString("checkRecalcBitrate.AccessibleName");
			this.checkRecalcBitrate.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("checkRecalcBitrate.Anchor")));
			this.checkRecalcBitrate.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("checkRecalcBitrate.Appearance")));
			this.checkRecalcBitrate.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("checkRecalcBitrate.BackgroundImage")));
			this.checkRecalcBitrate.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkRecalcBitrate.CheckAlign")));
			this.checkRecalcBitrate.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("checkRecalcBitrate.Dock")));
			this.checkRecalcBitrate.Enabled = ((bool)(resources.GetObject("checkRecalcBitrate.Enabled")));
			this.checkRecalcBitrate.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("checkRecalcBitrate.FlatStyle")));
			this.checkRecalcBitrate.Font = ((System.Drawing.Font)(resources.GetObject("checkRecalcBitrate.Font")));
			this.checkRecalcBitrate.Image = ((System.Drawing.Image)(resources.GetObject("checkRecalcBitrate.Image")));
			this.checkRecalcBitrate.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkRecalcBitrate.ImageAlign")));
			this.checkRecalcBitrate.ImageIndex = ((int)(resources.GetObject("checkRecalcBitrate.ImageIndex")));
			this.checkRecalcBitrate.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("checkRecalcBitrate.ImeMode")));
			this.checkRecalcBitrate.Location = ((System.Drawing.Point)(resources.GetObject("checkRecalcBitrate.Location")));
			this.checkRecalcBitrate.Name = "checkRecalcBitrate";
			this.checkRecalcBitrate.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("checkRecalcBitrate.RightToLeft")));
			this.checkRecalcBitrate.Size = ((System.Drawing.Size)(resources.GetObject("checkRecalcBitrate.Size")));
			this.checkRecalcBitrate.TabIndex = ((int)(resources.GetObject("checkRecalcBitrate.TabIndex")));
			this.checkRecalcBitrate.Text = resources.GetString("checkRecalcBitrate.Text");
			this.checkRecalcBitrate.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkRecalcBitrate.TextAlign")));
			this.checkRecalcBitrate.Visible = ((bool)(resources.GetObject("checkRecalcBitrate.Visible")));
			// 
			// checkCreateD2VFile
			// 
			this.checkCreateD2VFile.AccessibleDescription = resources.GetString("checkCreateD2VFile.AccessibleDescription");
			this.checkCreateD2VFile.AccessibleName = resources.GetString("checkCreateD2VFile.AccessibleName");
			this.checkCreateD2VFile.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("checkCreateD2VFile.Anchor")));
			this.checkCreateD2VFile.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("checkCreateD2VFile.Appearance")));
			this.checkCreateD2VFile.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("checkCreateD2VFile.BackgroundImage")));
			this.checkCreateD2VFile.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkCreateD2VFile.CheckAlign")));
			this.checkCreateD2VFile.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("checkCreateD2VFile.Dock")));
			this.checkCreateD2VFile.Enabled = ((bool)(resources.GetObject("checkCreateD2VFile.Enabled")));
			this.checkCreateD2VFile.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("checkCreateD2VFile.FlatStyle")));
			this.checkCreateD2VFile.Font = ((System.Drawing.Font)(resources.GetObject("checkCreateD2VFile.Font")));
			this.checkCreateD2VFile.Image = ((System.Drawing.Image)(resources.GetObject("checkCreateD2VFile.Image")));
			this.checkCreateD2VFile.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkCreateD2VFile.ImageAlign")));
			this.checkCreateD2VFile.ImageIndex = ((int)(resources.GetObject("checkCreateD2VFile.ImageIndex")));
			this.checkCreateD2VFile.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("checkCreateD2VFile.ImeMode")));
			this.checkCreateD2VFile.Location = ((System.Drawing.Point)(resources.GetObject("checkCreateD2VFile.Location")));
			this.checkCreateD2VFile.Name = "checkCreateD2VFile";
			this.checkCreateD2VFile.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("checkCreateD2VFile.RightToLeft")));
			this.checkCreateD2VFile.Size = ((System.Drawing.Size)(resources.GetObject("checkCreateD2VFile.Size")));
			this.checkCreateD2VFile.TabIndex = ((int)(resources.GetObject("checkCreateD2VFile.TabIndex")));
			this.checkCreateD2VFile.Text = resources.GetString("checkCreateD2VFile.Text");
			this.checkCreateD2VFile.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkCreateD2VFile.TextAlign")));
			this.checkCreateD2VFile.Visible = ((bool)(resources.GetObject("checkCreateD2VFile.Visible")));
			this.checkCreateD2VFile.CheckedChanged += new System.EventHandler(this.checkCreateD2VFile_CheckedChanged);
			// 
			// checkDropFrame
			// 
			this.checkDropFrame.AccessibleDescription = resources.GetString("checkDropFrame.AccessibleDescription");
			this.checkDropFrame.AccessibleName = resources.GetString("checkDropFrame.AccessibleName");
			this.checkDropFrame.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("checkDropFrame.Anchor")));
			this.checkDropFrame.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("checkDropFrame.Appearance")));
			this.checkDropFrame.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("checkDropFrame.BackgroundImage")));
			this.checkDropFrame.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkDropFrame.CheckAlign")));
			this.checkDropFrame.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("checkDropFrame.Dock")));
			this.checkDropFrame.Enabled = ((bool)(resources.GetObject("checkDropFrame.Enabled")));
			this.checkDropFrame.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("checkDropFrame.FlatStyle")));
			this.checkDropFrame.Font = ((System.Drawing.Font)(resources.GetObject("checkDropFrame.Font")));
			this.checkDropFrame.Image = ((System.Drawing.Image)(resources.GetObject("checkDropFrame.Image")));
			this.checkDropFrame.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkDropFrame.ImageAlign")));
			this.checkDropFrame.ImageIndex = ((int)(resources.GetObject("checkDropFrame.ImageIndex")));
			this.checkDropFrame.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("checkDropFrame.ImeMode")));
			this.checkDropFrame.Location = ((System.Drawing.Point)(resources.GetObject("checkDropFrame.Location")));
			this.checkDropFrame.Name = "checkDropFrame";
			this.checkDropFrame.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("checkDropFrame.RightToLeft")));
			this.checkDropFrame.Size = ((System.Drawing.Size)(resources.GetObject("checkDropFrame.Size")));
			this.checkDropFrame.TabIndex = ((int)(resources.GetObject("checkDropFrame.TabIndex")));
			this.checkDropFrame.Text = resources.GetString("checkDropFrame.Text");
			this.checkDropFrame.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkDropFrame.TextAlign")));
			this.checkDropFrame.Visible = ((bool)(resources.GetObject("checkDropFrame.Visible")));
			// 
			// checkCreateInfoFile
			// 
			this.checkCreateInfoFile.AccessibleDescription = resources.GetString("checkCreateInfoFile.AccessibleDescription");
			this.checkCreateInfoFile.AccessibleName = resources.GetString("checkCreateInfoFile.AccessibleName");
			this.checkCreateInfoFile.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("checkCreateInfoFile.Anchor")));
			this.checkCreateInfoFile.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("checkCreateInfoFile.Appearance")));
			this.checkCreateInfoFile.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("checkCreateInfoFile.BackgroundImage")));
			this.checkCreateInfoFile.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkCreateInfoFile.CheckAlign")));
			this.checkCreateInfoFile.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("checkCreateInfoFile.Dock")));
			this.checkCreateInfoFile.Enabled = ((bool)(resources.GetObject("checkCreateInfoFile.Enabled")));
			this.checkCreateInfoFile.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("checkCreateInfoFile.FlatStyle")));
			this.checkCreateInfoFile.Font = ((System.Drawing.Font)(resources.GetObject("checkCreateInfoFile.Font")));
			this.checkCreateInfoFile.Image = ((System.Drawing.Image)(resources.GetObject("checkCreateInfoFile.Image")));
			this.checkCreateInfoFile.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkCreateInfoFile.ImageAlign")));
			this.checkCreateInfoFile.ImageIndex = ((int)(resources.GetObject("checkCreateInfoFile.ImageIndex")));
			this.checkCreateInfoFile.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("checkCreateInfoFile.ImeMode")));
			this.checkCreateInfoFile.Location = ((System.Drawing.Point)(resources.GetObject("checkCreateInfoFile.Location")));
			this.checkCreateInfoFile.Name = "checkCreateInfoFile";
			this.checkCreateInfoFile.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("checkCreateInfoFile.RightToLeft")));
			this.checkCreateInfoFile.Size = ((System.Drawing.Size)(resources.GetObject("checkCreateInfoFile.Size")));
			this.checkCreateInfoFile.TabIndex = ((int)(resources.GetObject("checkCreateInfoFile.TabIndex")));
			this.checkCreateInfoFile.Text = resources.GetString("checkCreateInfoFile.Text");
			this.checkCreateInfoFile.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkCreateInfoFile.TextAlign")));
			this.checkCreateInfoFile.Visible = ((bool)(resources.GetObject("checkCreateInfoFile.Visible")));
			// 
			// label1
			// 
			this.label1.AccessibleDescription = resources.GetString("label1.AccessibleDescription");
			this.label1.AccessibleName = resources.GetString("label1.AccessibleName");
			this.label1.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label1.Anchor")));
			this.label1.AutoSize = ((bool)(resources.GetObject("label1.AutoSize")));
			this.label1.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label1.Dock")));
			this.label1.Enabled = ((bool)(resources.GetObject("label1.Enabled")));
			this.label1.Font = ((System.Drawing.Font)(resources.GetObject("label1.Font")));
			this.label1.Image = ((System.Drawing.Image)(resources.GetObject("label1.Image")));
			this.label1.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label1.ImageAlign")));
			this.label1.ImageIndex = ((int)(resources.GetObject("label1.ImageIndex")));
			this.label1.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label1.ImeMode")));
			this.label1.Location = ((System.Drawing.Point)(resources.GetObject("label1.Location")));
			this.label1.Name = "label1";
			this.label1.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label1.RightToLeft")));
			this.label1.Size = ((System.Drawing.Size)(resources.GetObject("label1.Size")));
			this.label1.TabIndex = ((int)(resources.GetObject("label1.TabIndex")));
			this.label1.Text = resources.GetString("label1.Text");
			this.label1.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label1.TextAlign")));
			this.label1.Visible = ((bool)(resources.GetObject("label1.Visible")));
			// 
			// comboSDE
			// 
			this.comboSDE.AccessibleDescription = resources.GetString("comboSDE.AccessibleDescription");
			this.comboSDE.AccessibleName = resources.GetString("comboSDE.AccessibleName");
			this.comboSDE.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("comboSDE.Anchor")));
			this.comboSDE.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("comboSDE.BackgroundImage")));
			this.comboSDE.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("comboSDE.Dock")));
			this.comboSDE.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.comboSDE.Enabled = ((bool)(resources.GetObject("comboSDE.Enabled")));
			this.comboSDE.Font = ((System.Drawing.Font)(resources.GetObject("comboSDE.Font")));
			this.comboSDE.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("comboSDE.ImeMode")));
			this.comboSDE.IntegralHeight = ((bool)(resources.GetObject("comboSDE.IntegralHeight")));
			this.comboSDE.ItemHeight = ((int)(resources.GetObject("comboSDE.ItemHeight")));
			this.comboSDE.Items.AddRange(new object[] {
														  resources.GetString("comboSDE.Items"),
														  resources.GetString("comboSDE.Items1"),
														  resources.GetString("comboSDE.Items2")});
			this.comboSDE.Location = ((System.Drawing.Point)(resources.GetObject("comboSDE.Location")));
			this.comboSDE.MaxDropDownItems = ((int)(resources.GetObject("comboSDE.MaxDropDownItems")));
			this.comboSDE.MaxLength = ((int)(resources.GetObject("comboSDE.MaxLength")));
			this.comboSDE.Name = "comboSDE";
			this.comboSDE.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("comboSDE.RightToLeft")));
			this.comboSDE.Size = ((System.Drawing.Size)(resources.GetObject("comboSDE.Size")));
			this.comboSDE.TabIndex = ((int)(resources.GetObject("comboSDE.TabIndex")));
			this.comboSDE.Text = resources.GetString("comboSDE.Text");
			this.comboSDE.Visible = ((bool)(resources.GetObject("comboSDE.Visible")));
			// 
			// comboD2v
			// 
			this.comboD2v.AccessibleDescription = resources.GetString("comboD2v.AccessibleDescription");
			this.comboD2v.AccessibleName = resources.GetString("comboD2v.AccessibleName");
			this.comboD2v.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("comboD2v.Anchor")));
			this.comboD2v.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("comboD2v.BackgroundImage")));
			this.comboD2v.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("comboD2v.Dock")));
			this.comboD2v.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.comboD2v.Enabled = ((bool)(resources.GetObject("comboD2v.Enabled")));
			this.comboD2v.Font = ((System.Drawing.Font)(resources.GetObject("comboD2v.Font")));
			this.comboD2v.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("comboD2v.ImeMode")));
			this.comboD2v.IntegralHeight = ((bool)(resources.GetObject("comboD2v.IntegralHeight")));
			this.comboD2v.ItemHeight = ((int)(resources.GetObject("comboD2v.ItemHeight")));
			this.comboD2v.Location = ((System.Drawing.Point)(resources.GetObject("comboD2v.Location")));
			this.comboD2v.MaxDropDownItems = ((int)(resources.GetObject("comboD2v.MaxDropDownItems")));
			this.comboD2v.MaxLength = ((int)(resources.GetObject("comboD2v.MaxLength")));
			this.comboD2v.Name = "comboD2v";
			this.comboD2v.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("comboD2v.RightToLeft")));
			this.comboD2v.Size = ((System.Drawing.Size)(resources.GetObject("comboD2v.Size")));
			this.comboD2v.TabIndex = ((int)(resources.GetObject("comboD2v.TabIndex")));
			this.comboD2v.Text = resources.GetString("comboD2v.Text");
			this.comboD2v.Visible = ((bool)(resources.GetObject("comboD2v.Visible")));
			// 
			// TextNewAspectRatio
			// 
			this.TextNewAspectRatio.AccessibleDescription = resources.GetString("TextNewAspectRatio.AccessibleDescription");
			this.TextNewAspectRatio.AccessibleName = resources.GetString("TextNewAspectRatio.AccessibleName");
			this.TextNewAspectRatio.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("TextNewAspectRatio.Anchor")));
			this.TextNewAspectRatio.AutoSize = ((bool)(resources.GetObject("TextNewAspectRatio.AutoSize")));
			this.TextNewAspectRatio.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("TextNewAspectRatio.Dock")));
			this.TextNewAspectRatio.Enabled = ((bool)(resources.GetObject("TextNewAspectRatio.Enabled")));
			this.TextNewAspectRatio.Font = ((System.Drawing.Font)(resources.GetObject("TextNewAspectRatio.Font")));
			this.TextNewAspectRatio.Image = ((System.Drawing.Image)(resources.GetObject("TextNewAspectRatio.Image")));
			this.TextNewAspectRatio.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("TextNewAspectRatio.ImageAlign")));
			this.TextNewAspectRatio.ImageIndex = ((int)(resources.GetObject("TextNewAspectRatio.ImageIndex")));
			this.TextNewAspectRatio.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("TextNewAspectRatio.ImeMode")));
			this.TextNewAspectRatio.Location = ((System.Drawing.Point)(resources.GetObject("TextNewAspectRatio.Location")));
			this.TextNewAspectRatio.Name = "TextNewAspectRatio";
			this.TextNewAspectRatio.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("TextNewAspectRatio.RightToLeft")));
			this.TextNewAspectRatio.Size = ((System.Drawing.Size)(resources.GetObject("TextNewAspectRatio.Size")));
			this.TextNewAspectRatio.TabIndex = ((int)(resources.GetObject("TextNewAspectRatio.TabIndex")));
			this.TextNewAspectRatio.Text = resources.GetString("TextNewAspectRatio.Text");
			this.TextNewAspectRatio.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("TextNewAspectRatio.TextAlign")));
			this.TextNewAspectRatio.Visible = ((bool)(resources.GetObject("TextNewAspectRatio.Visible")));
			// 
			// comboNewRatio
			// 
			this.comboNewRatio.AccessibleDescription = resources.GetString("comboNewRatio.AccessibleDescription");
			this.comboNewRatio.AccessibleName = resources.GetString("comboNewRatio.AccessibleName");
			this.comboNewRatio.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("comboNewRatio.Anchor")));
			this.comboNewRatio.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("comboNewRatio.BackgroundImage")));
			this.comboNewRatio.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("comboNewRatio.Dock")));
			this.comboNewRatio.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.comboNewRatio.Enabled = ((bool)(resources.GetObject("comboNewRatio.Enabled")));
			this.comboNewRatio.Font = ((System.Drawing.Font)(resources.GetObject("comboNewRatio.Font")));
			this.comboNewRatio.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("comboNewRatio.ImeMode")));
			this.comboNewRatio.IntegralHeight = ((bool)(resources.GetObject("comboNewRatio.IntegralHeight")));
			this.comboNewRatio.ItemHeight = ((int)(resources.GetObject("comboNewRatio.ItemHeight")));
			this.comboNewRatio.Items.AddRange(new object[] {
															   resources.GetString("comboNewRatio.Items"),
															   resources.GetString("comboNewRatio.Items1"),
															   resources.GetString("comboNewRatio.Items2"),
															   resources.GetString("comboNewRatio.Items3")});
			this.comboNewRatio.Location = ((System.Drawing.Point)(resources.GetObject("comboNewRatio.Location")));
			this.comboNewRatio.MaxDropDownItems = ((int)(resources.GetObject("comboNewRatio.MaxDropDownItems")));
			this.comboNewRatio.MaxLength = ((int)(resources.GetObject("comboNewRatio.MaxLength")));
			this.comboNewRatio.Name = "comboNewRatio";
			this.comboNewRatio.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("comboNewRatio.RightToLeft")));
			this.comboNewRatio.Size = ((System.Drawing.Size)(resources.GetObject("comboNewRatio.Size")));
			this.comboNewRatio.TabIndex = ((int)(resources.GetObject("comboNewRatio.TabIndex")));
			this.comboNewRatio.Text = resources.GetString("comboNewRatio.Text");
			this.comboNewRatio.Visible = ((bool)(resources.GetObject("comboNewRatio.Visible")));
			// 
			// CutParamControl
			// 
			this.AccessibleDescription = resources.GetString("$this.AccessibleDescription");
			this.AccessibleName = resources.GetString("$this.AccessibleName");
			this.AutoScroll = ((bool)(resources.GetObject("$this.AutoScroll")));
			this.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMargin")));
			this.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMinSize")));
			this.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("$this.BackgroundImage")));
			this.Controls.Add(this.comboNewRatio);
			this.Controls.Add(this.TextNewAspectRatio);
			this.Controls.Add(this.comboD2v);
			this.Controls.Add(this.comboSDE);
			this.Controls.Add(this.label1);
			this.Controls.Add(this.comboSequenceEndHeader);
			this.Controls.Add(this.label4);
			this.Controls.Add(this.comboFirstSequence);
			this.Controls.Add(this.label3);
			this.Controls.Add(this.checkRecalcBitrate);
			this.Controls.Add(this.checkCreateD2VFile);
			this.Controls.Add(this.checkDropFrame);
			this.Controls.Add(this.checkCreateInfoFile);
			this.Enabled = ((bool)(resources.GetObject("$this.Enabled")));
			this.Font = ((System.Drawing.Font)(resources.GetObject("$this.Font")));
			this.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("$this.ImeMode")));
			this.Location = ((System.Drawing.Point)(resources.GetObject("$this.Location")));
			this.Name = "CutParamControl";
			this.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("$this.RightToLeft")));
			this.Size = ((System.Drawing.Size)(resources.GetObject("$this.Size")));
			this.ResumeLayout(false);

		}
		#endregion

		public void LoadData()
		{
			checkCreateInfoFile.Checked=Settings.CurrentSettings.CreateInfoFile;
			checkDropFrame.Checked=Settings.CurrentSettings.UseNTSCDropFrame;
			comboFirstSequence.SelectedIndex=Settings.CurrentSettings.FirstSequence;
			comboSequenceEndHeader.SelectedIndex=Settings.CurrentSettings.SequenceEndCode;
			checkRecalcBitrate.Checked=Settings.CurrentSettings.RecalcBitrate;
			comboSDE.SelectedIndex=Settings.CurrentSettings.SDEaction;
			checkCreateD2VFile.Checked=Settings.CurrentSettings.CreateD2VFile;
			comboD2v.Items.AddRange(d2vBaseWriter.SupportedVersion);
			comboD2v.SelectedItem=Settings.CurrentSettings.D2VFileType;
			if (comboD2v.SelectedItem==null)
				comboD2v.SelectedItem=d2vBaseWriter.Types.dgIndexV13;
			comboD2v.Enabled=checkCreateD2VFile.Checked;
			comboNewRatio.SelectedIndex=0;
		}

		public void UnLoadData()
		{
			Settings.CurrentSettings.CreateInfoFile=checkCreateInfoFile.Checked;
			Settings.CurrentSettings.UseNTSCDropFrame=checkDropFrame.Checked;
			Settings.CurrentSettings.FirstSequence=comboFirstSequence.SelectedIndex;
			Settings.CurrentSettings.SequenceEndCode=comboSequenceEndHeader.SelectedIndex;
			Settings.CurrentSettings.CreateD2VFile=checkCreateD2VFile.Checked;
			Settings.CurrentSettings.D2VFileType=comboD2v.SelectedItem.ToString();
			Settings.CurrentSettings.RecalcBitrate=checkRecalcBitrate.Checked;
			Settings.CurrentSettings.SDEaction=comboSDE.SelectedIndex;
			Settings.CurrentSettings.NewAspectRation=(!comboNewRatio.Enabled || comboNewRatio.SelectedIndex==0)?-1:comboNewRatio.SelectedIndex+1;
		}

		private void checkCreateD2VFile_CheckedChanged(object sender, System.EventArgs e)
		{
			comboD2v.Enabled=checkCreateD2VFile.Checked;
		}

		public bool NewAspectRatioEnabled
		{
			set
			{
				TextNewAspectRatio.Enabled=value;
				comboNewRatio.Enabled=value;
			}
		}

	}
}
