/*
 * Cuttermaran - The Mpeg Cutter
 * 
 * Copyright (C) 2003-2005  Tobias Arnold (cuttermaran@gmx.net)
 * 
 * This file is part of cuttermaran, a free MPEG cut program.
 * See http://www.cuttermaran.de for updates.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by the 
 * Free Software Foundation; either version 2 of the License, or 
 * (at your option) any later version. 
 * 
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
 * GNU General Public License for more details. 
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software 
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 */

using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;
using Configuration;
using StringResources;

namespace Configuration
{
	/// <summary>
	/// Summary description for PresetCtrl.
	/// </summary>
	public class PresetCtrl : System.Windows.Forms.UserControl
	{
		private System.Windows.Forms.TextBox tbPresetName;
		private System.Windows.Forms.Button butNewPreset;
		private System.Windows.Forms.Button butDelPreset;
		private System.Windows.Forms.ListBox lbPresets;
		/// <summary> 
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;
		private Settings.GUIPresetData guiData;

		public PresetCtrl()
		{
			// This call is required by the Windows.Forms Form Designer.
			InitializeComponent();
		}

		/// <summary> 
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Component Designer generated code
		/// <summary> 
		/// Required method for Designer support - do not modify 
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(PresetCtrl));
			this.tbPresetName = new System.Windows.Forms.TextBox();
			this.butNewPreset = new System.Windows.Forms.Button();
			this.butDelPreset = new System.Windows.Forms.Button();
			this.lbPresets = new System.Windows.Forms.ListBox();
			this.SuspendLayout();
			// 
			// tbPresetName
			// 
			this.tbPresetName.AccessibleDescription = resources.GetString("tbPresetName.AccessibleDescription");
			this.tbPresetName.AccessibleName = resources.GetString("tbPresetName.AccessibleName");
			this.tbPresetName.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("tbPresetName.Anchor")));
			this.tbPresetName.AutoSize = ((bool)(resources.GetObject("tbPresetName.AutoSize")));
			this.tbPresetName.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("tbPresetName.BackgroundImage")));
			this.tbPresetName.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("tbPresetName.Dock")));
			this.tbPresetName.Enabled = ((bool)(resources.GetObject("tbPresetName.Enabled")));
			this.tbPresetName.Font = ((System.Drawing.Font)(resources.GetObject("tbPresetName.Font")));
			this.tbPresetName.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("tbPresetName.ImeMode")));
			this.tbPresetName.Location = ((System.Drawing.Point)(resources.GetObject("tbPresetName.Location")));
			this.tbPresetName.MaxLength = ((int)(resources.GetObject("tbPresetName.MaxLength")));
			this.tbPresetName.Multiline = ((bool)(resources.GetObject("tbPresetName.Multiline")));
			this.tbPresetName.Name = "tbPresetName";
			this.tbPresetName.PasswordChar = ((char)(resources.GetObject("tbPresetName.PasswordChar")));
			this.tbPresetName.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("tbPresetName.RightToLeft")));
			this.tbPresetName.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("tbPresetName.ScrollBars")));
			this.tbPresetName.Size = ((System.Drawing.Size)(resources.GetObject("tbPresetName.Size")));
			this.tbPresetName.TabIndex = ((int)(resources.GetObject("tbPresetName.TabIndex")));
			this.tbPresetName.Text = resources.GetString("tbPresetName.Text");
			this.tbPresetName.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("tbPresetName.TextAlign")));
			this.tbPresetName.Visible = ((bool)(resources.GetObject("tbPresetName.Visible")));
			this.tbPresetName.WordWrap = ((bool)(resources.GetObject("tbPresetName.WordWrap")));
			// 
			// butNewPreset
			// 
			this.butNewPreset.AccessibleDescription = resources.GetString("butNewPreset.AccessibleDescription");
			this.butNewPreset.AccessibleName = resources.GetString("butNewPreset.AccessibleName");
			this.butNewPreset.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("butNewPreset.Anchor")));
			this.butNewPreset.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("butNewPreset.BackgroundImage")));
			this.butNewPreset.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("butNewPreset.Dock")));
			this.butNewPreset.Enabled = ((bool)(resources.GetObject("butNewPreset.Enabled")));
			this.butNewPreset.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("butNewPreset.FlatStyle")));
			this.butNewPreset.Font = ((System.Drawing.Font)(resources.GetObject("butNewPreset.Font")));
			this.butNewPreset.Image = ((System.Drawing.Image)(resources.GetObject("butNewPreset.Image")));
			this.butNewPreset.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("butNewPreset.ImageAlign")));
			this.butNewPreset.ImageIndex = ((int)(resources.GetObject("butNewPreset.ImageIndex")));
			this.butNewPreset.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("butNewPreset.ImeMode")));
			this.butNewPreset.Location = ((System.Drawing.Point)(resources.GetObject("butNewPreset.Location")));
			this.butNewPreset.Name = "butNewPreset";
			this.butNewPreset.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("butNewPreset.RightToLeft")));
			this.butNewPreset.Size = ((System.Drawing.Size)(resources.GetObject("butNewPreset.Size")));
			this.butNewPreset.TabIndex = ((int)(resources.GetObject("butNewPreset.TabIndex")));
			this.butNewPreset.Text = resources.GetString("butNewPreset.Text");
			this.butNewPreset.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("butNewPreset.TextAlign")));
			this.butNewPreset.Visible = ((bool)(resources.GetObject("butNewPreset.Visible")));
			this.butNewPreset.Click += new System.EventHandler(this.butNewPreset_Click);
			// 
			// butDelPreset
			// 
			this.butDelPreset.AccessibleDescription = resources.GetString("butDelPreset.AccessibleDescription");
			this.butDelPreset.AccessibleName = resources.GetString("butDelPreset.AccessibleName");
			this.butDelPreset.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("butDelPreset.Anchor")));
			this.butDelPreset.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("butDelPreset.BackgroundImage")));
			this.butDelPreset.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("butDelPreset.Dock")));
			this.butDelPreset.Enabled = ((bool)(resources.GetObject("butDelPreset.Enabled")));
			this.butDelPreset.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("butDelPreset.FlatStyle")));
			this.butDelPreset.Font = ((System.Drawing.Font)(resources.GetObject("butDelPreset.Font")));
			this.butDelPreset.Image = ((System.Drawing.Image)(resources.GetObject("butDelPreset.Image")));
			this.butDelPreset.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("butDelPreset.ImageAlign")));
			this.butDelPreset.ImageIndex = ((int)(resources.GetObject("butDelPreset.ImageIndex")));
			this.butDelPreset.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("butDelPreset.ImeMode")));
			this.butDelPreset.Location = ((System.Drawing.Point)(resources.GetObject("butDelPreset.Location")));
			this.butDelPreset.Name = "butDelPreset";
			this.butDelPreset.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("butDelPreset.RightToLeft")));
			this.butDelPreset.Size = ((System.Drawing.Size)(resources.GetObject("butDelPreset.Size")));
			this.butDelPreset.TabIndex = ((int)(resources.GetObject("butDelPreset.TabIndex")));
			this.butDelPreset.Text = resources.GetString("butDelPreset.Text");
			this.butDelPreset.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("butDelPreset.TextAlign")));
			this.butDelPreset.Visible = ((bool)(resources.GetObject("butDelPreset.Visible")));
			this.butDelPreset.Click += new System.EventHandler(this.butDelPreset_Click);
			// 
			// lbPresets
			// 
			this.lbPresets.AccessibleDescription = resources.GetString("lbPresets.AccessibleDescription");
			this.lbPresets.AccessibleName = resources.GetString("lbPresets.AccessibleName");
			this.lbPresets.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("lbPresets.Anchor")));
			this.lbPresets.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("lbPresets.BackgroundImage")));
			this.lbPresets.ColumnWidth = ((int)(resources.GetObject("lbPresets.ColumnWidth")));
			this.lbPresets.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("lbPresets.Dock")));
			this.lbPresets.Enabled = ((bool)(resources.GetObject("lbPresets.Enabled")));
			this.lbPresets.Font = ((System.Drawing.Font)(resources.GetObject("lbPresets.Font")));
			this.lbPresets.HorizontalExtent = ((int)(resources.GetObject("lbPresets.HorizontalExtent")));
			this.lbPresets.HorizontalScrollbar = ((bool)(resources.GetObject("lbPresets.HorizontalScrollbar")));
			this.lbPresets.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("lbPresets.ImeMode")));
			this.lbPresets.IntegralHeight = ((bool)(resources.GetObject("lbPresets.IntegralHeight")));
			this.lbPresets.ItemHeight = ((int)(resources.GetObject("lbPresets.ItemHeight")));
			this.lbPresets.Location = ((System.Drawing.Point)(resources.GetObject("lbPresets.Location")));
			this.lbPresets.Name = "lbPresets";
			this.lbPresets.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("lbPresets.RightToLeft")));
			this.lbPresets.ScrollAlwaysVisible = ((bool)(resources.GetObject("lbPresets.ScrollAlwaysVisible")));
			this.lbPresets.Size = ((System.Drawing.Size)(resources.GetObject("lbPresets.Size")));
			this.lbPresets.TabIndex = ((int)(resources.GetObject("lbPresets.TabIndex")));
			this.lbPresets.Visible = ((bool)(resources.GetObject("lbPresets.Visible")));
			this.lbPresets.SelectedIndexChanged += new System.EventHandler(this.lbPresets_SelectedIndexChanged);
			// 
			// PresetCtrl
			// 
			this.AccessibleDescription = resources.GetString("$this.AccessibleDescription");
			this.AccessibleName = resources.GetString("$this.AccessibleName");
			this.AutoScroll = ((bool)(resources.GetObject("$this.AutoScroll")));
			this.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMargin")));
			this.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMinSize")));
			this.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("$this.BackgroundImage")));
			this.Controls.Add(this.tbPresetName);
			this.Controls.Add(this.butNewPreset);
			this.Controls.Add(this.butDelPreset);
			this.Controls.Add(this.lbPresets);
			this.Enabled = ((bool)(resources.GetObject("$this.Enabled")));
			this.Font = ((System.Drawing.Font)(resources.GetObject("$this.Font")));
			this.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("$this.ImeMode")));
			this.Location = ((System.Drawing.Point)(resources.GetObject("$this.Location")));
			this.Name = "PresetCtrl";
			this.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("$this.RightToLeft")));
			this.Size = ((System.Drawing.Size)(resources.GetObject("$this.Size")));
			this.ResumeLayout(false);

		}
		#endregion

		public void LoadData(Settings.GUIPresetData currentGUIData)
		{
			guiData=currentGUIData;

			lbPresets.Items.Clear();
			lbPresets.Items.AddRange(Settings.CurrentSettings.GetPresets());
		}

		public void UnLoadData()
		{
		}

		private void lbPresets_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			butDelPreset.Enabled=lbPresets.SelectedIndex!=-1;
		}

		private void butDelPreset_Click(object sender, System.EventArgs e)
		{
			if (lbPresets.SelectedIndex!=-1)
			{
				Settings.CurrentSettings.DeletePreset(lbPresets.SelectedItem.ToString());
				LoadData(guiData);
			}
		}

		private void butNewPreset_Click(object sender, System.EventArgs e)
		{
			string presetName=tbPresetName.Text.Trim();
			if (	presetName==string.Empty
				||	presetName==Settings.CurrentSettings.PresetCurrentName
				||	Array.IndexOf(Settings.CurrentSettings.GetPresets(),presetName)!=-1)
				MessageBox.Show(Resource.CurrentResource[Resource.PRESET_EXISTS],Resource.CurrentResource[Resource.ERROR]);
			else
			{
				Settings.CurrentSettings.SaveGUIPreset(presetName,guiData);
				LoadData(guiData);
			}
		}
	}
}
