/*
 * Cuttermaran - The Mpeg Cutter
 * 
 * Copyright (C) 2003,2004  Tobias Arnold (cuttermaran@gmx.net)
 * 
 * This file is part of cuttermaran, a free MPEG cut program.
 * See http://cuttermaran.kickme.to for updates.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by the 
 * Free Software Foundation; either version 2 of the License, or 
 * (at your option) any later version. 
 * 
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
 * GNU General Public License for more details. 
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software 
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 */

using System;
using System.IO;
using System.Data;
using System.Drawing;
using System.Reflection;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace TMPGEncProvider
{
	/// <summary>
	/// Summary description for Settings.
	/// </summary>
	public class Settings : System.Windows.Forms.Form
	{
		private static string settingsXml;
		private static SettingsData data;
		private System.Windows.Forms.Button butMPEG2templ;
		private System.Windows.Forms.Button butMPEG1templ;
		private System.Windows.Forms.Button butTMPGEnc;
		private System.Windows.Forms.TextBox tbMPEG2template;
		private System.Windows.Forms.TextBox tbMPEG1template;
		private System.Windows.Forms.TextBox tbTMPGEnc;
		private System.Windows.Forms.Label label11;
		private System.Windows.Forms.Button butCancel;
		private System.Windows.Forms.OpenFileDialog openTPR;
		private System.Windows.Forms.Button butOK;
		private System.Windows.Forms.OpenFileDialog openTMPGEnc;
		private System.Windows.Forms.Label label13;
		private System.Windows.Forms.Label label12;
		private System.Windows.Forms.CheckBox checkHideWindow;
		private System.Windows.Forms.Label label1;

		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Settings()
		{
			InitializeComponent();
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(Settings));
			this.butMPEG2templ = new System.Windows.Forms.Button();
			this.butMPEG1templ = new System.Windows.Forms.Button();
			this.butTMPGEnc = new System.Windows.Forms.Button();
			this.tbMPEG2template = new System.Windows.Forms.TextBox();
			this.tbMPEG1template = new System.Windows.Forms.TextBox();
			this.tbTMPGEnc = new System.Windows.Forms.TextBox();
			this.label11 = new System.Windows.Forms.Label();
			this.butCancel = new System.Windows.Forms.Button();
			this.openTPR = new System.Windows.Forms.OpenFileDialog();
			this.butOK = new System.Windows.Forms.Button();
			this.openTMPGEnc = new System.Windows.Forms.OpenFileDialog();
			this.label13 = new System.Windows.Forms.Label();
			this.label12 = new System.Windows.Forms.Label();
			this.checkHideWindow = new System.Windows.Forms.CheckBox();
			this.label1 = new System.Windows.Forms.Label();
			this.SuspendLayout();
			// 
			// butMPEG2templ
			// 
			this.butMPEG2templ.AccessibleDescription = resources.GetString("butMPEG2templ.AccessibleDescription");
			this.butMPEG2templ.AccessibleName = resources.GetString("butMPEG2templ.AccessibleName");
			this.butMPEG2templ.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("butMPEG2templ.Anchor")));
			this.butMPEG2templ.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("butMPEG2templ.BackgroundImage")));
			this.butMPEG2templ.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("butMPEG2templ.Dock")));
			this.butMPEG2templ.Enabled = ((bool)(resources.GetObject("butMPEG2templ.Enabled")));
			this.butMPEG2templ.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("butMPEG2templ.FlatStyle")));
			this.butMPEG2templ.Font = ((System.Drawing.Font)(resources.GetObject("butMPEG2templ.Font")));
			this.butMPEG2templ.Image = ((System.Drawing.Image)(resources.GetObject("butMPEG2templ.Image")));
			this.butMPEG2templ.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("butMPEG2templ.ImageAlign")));
			this.butMPEG2templ.ImageIndex = ((int)(resources.GetObject("butMPEG2templ.ImageIndex")));
			this.butMPEG2templ.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("butMPEG2templ.ImeMode")));
			this.butMPEG2templ.Location = ((System.Drawing.Point)(resources.GetObject("butMPEG2templ.Location")));
			this.butMPEG2templ.Name = "butMPEG2templ";
			this.butMPEG2templ.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("butMPEG2templ.RightToLeft")));
			this.butMPEG2templ.Size = ((System.Drawing.Size)(resources.GetObject("butMPEG2templ.Size")));
			this.butMPEG2templ.TabIndex = ((int)(resources.GetObject("butMPEG2templ.TabIndex")));
			this.butMPEG2templ.Text = resources.GetString("butMPEG2templ.Text");
			this.butMPEG2templ.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("butMPEG2templ.TextAlign")));
			this.butMPEG2templ.Visible = ((bool)(resources.GetObject("butMPEG2templ.Visible")));
			this.butMPEG2templ.Click += new System.EventHandler(this.butMPEG2templ_Click);
			// 
			// butMPEG1templ
			// 
			this.butMPEG1templ.AccessibleDescription = resources.GetString("butMPEG1templ.AccessibleDescription");
			this.butMPEG1templ.AccessibleName = resources.GetString("butMPEG1templ.AccessibleName");
			this.butMPEG1templ.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("butMPEG1templ.Anchor")));
			this.butMPEG1templ.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("butMPEG1templ.BackgroundImage")));
			this.butMPEG1templ.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("butMPEG1templ.Dock")));
			this.butMPEG1templ.Enabled = ((bool)(resources.GetObject("butMPEG1templ.Enabled")));
			this.butMPEG1templ.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("butMPEG1templ.FlatStyle")));
			this.butMPEG1templ.Font = ((System.Drawing.Font)(resources.GetObject("butMPEG1templ.Font")));
			this.butMPEG1templ.Image = ((System.Drawing.Image)(resources.GetObject("butMPEG1templ.Image")));
			this.butMPEG1templ.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("butMPEG1templ.ImageAlign")));
			this.butMPEG1templ.ImageIndex = ((int)(resources.GetObject("butMPEG1templ.ImageIndex")));
			this.butMPEG1templ.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("butMPEG1templ.ImeMode")));
			this.butMPEG1templ.Location = ((System.Drawing.Point)(resources.GetObject("butMPEG1templ.Location")));
			this.butMPEG1templ.Name = "butMPEG1templ";
			this.butMPEG1templ.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("butMPEG1templ.RightToLeft")));
			this.butMPEG1templ.Size = ((System.Drawing.Size)(resources.GetObject("butMPEG1templ.Size")));
			this.butMPEG1templ.TabIndex = ((int)(resources.GetObject("butMPEG1templ.TabIndex")));
			this.butMPEG1templ.Text = resources.GetString("butMPEG1templ.Text");
			this.butMPEG1templ.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("butMPEG1templ.TextAlign")));
			this.butMPEG1templ.Visible = ((bool)(resources.GetObject("butMPEG1templ.Visible")));
			this.butMPEG1templ.Click += new System.EventHandler(this.butMPEG1templ_Click);
			// 
			// butTMPGEnc
			// 
			this.butTMPGEnc.AccessibleDescription = resources.GetString("butTMPGEnc.AccessibleDescription");
			this.butTMPGEnc.AccessibleName = resources.GetString("butTMPGEnc.AccessibleName");
			this.butTMPGEnc.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("butTMPGEnc.Anchor")));
			this.butTMPGEnc.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("butTMPGEnc.BackgroundImage")));
			this.butTMPGEnc.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("butTMPGEnc.Dock")));
			this.butTMPGEnc.Enabled = ((bool)(resources.GetObject("butTMPGEnc.Enabled")));
			this.butTMPGEnc.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("butTMPGEnc.FlatStyle")));
			this.butTMPGEnc.Font = ((System.Drawing.Font)(resources.GetObject("butTMPGEnc.Font")));
			this.butTMPGEnc.Image = ((System.Drawing.Image)(resources.GetObject("butTMPGEnc.Image")));
			this.butTMPGEnc.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("butTMPGEnc.ImageAlign")));
			this.butTMPGEnc.ImageIndex = ((int)(resources.GetObject("butTMPGEnc.ImageIndex")));
			this.butTMPGEnc.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("butTMPGEnc.ImeMode")));
			this.butTMPGEnc.Location = ((System.Drawing.Point)(resources.GetObject("butTMPGEnc.Location")));
			this.butTMPGEnc.Name = "butTMPGEnc";
			this.butTMPGEnc.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("butTMPGEnc.RightToLeft")));
			this.butTMPGEnc.Size = ((System.Drawing.Size)(resources.GetObject("butTMPGEnc.Size")));
			this.butTMPGEnc.TabIndex = ((int)(resources.GetObject("butTMPGEnc.TabIndex")));
			this.butTMPGEnc.Text = resources.GetString("butTMPGEnc.Text");
			this.butTMPGEnc.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("butTMPGEnc.TextAlign")));
			this.butTMPGEnc.Visible = ((bool)(resources.GetObject("butTMPGEnc.Visible")));
			this.butTMPGEnc.Click += new System.EventHandler(this.butTMPGEnc_Click);
			// 
			// tbMPEG2template
			// 
			this.tbMPEG2template.AccessibleDescription = resources.GetString("tbMPEG2template.AccessibleDescription");
			this.tbMPEG2template.AccessibleName = resources.GetString("tbMPEG2template.AccessibleName");
			this.tbMPEG2template.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("tbMPEG2template.Anchor")));
			this.tbMPEG2template.AutoSize = ((bool)(resources.GetObject("tbMPEG2template.AutoSize")));
			this.tbMPEG2template.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("tbMPEG2template.BackgroundImage")));
			this.tbMPEG2template.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("tbMPEG2template.Dock")));
			this.tbMPEG2template.Enabled = ((bool)(resources.GetObject("tbMPEG2template.Enabled")));
			this.tbMPEG2template.Font = ((System.Drawing.Font)(resources.GetObject("tbMPEG2template.Font")));
			this.tbMPEG2template.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("tbMPEG2template.ImeMode")));
			this.tbMPEG2template.Location = ((System.Drawing.Point)(resources.GetObject("tbMPEG2template.Location")));
			this.tbMPEG2template.MaxLength = ((int)(resources.GetObject("tbMPEG2template.MaxLength")));
			this.tbMPEG2template.Multiline = ((bool)(resources.GetObject("tbMPEG2template.Multiline")));
			this.tbMPEG2template.Name = "tbMPEG2template";
			this.tbMPEG2template.PasswordChar = ((char)(resources.GetObject("tbMPEG2template.PasswordChar")));
			this.tbMPEG2template.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("tbMPEG2template.RightToLeft")));
			this.tbMPEG2template.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("tbMPEG2template.ScrollBars")));
			this.tbMPEG2template.Size = ((System.Drawing.Size)(resources.GetObject("tbMPEG2template.Size")));
			this.tbMPEG2template.TabIndex = ((int)(resources.GetObject("tbMPEG2template.TabIndex")));
			this.tbMPEG2template.Text = resources.GetString("tbMPEG2template.Text");
			this.tbMPEG2template.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("tbMPEG2template.TextAlign")));
			this.tbMPEG2template.Visible = ((bool)(resources.GetObject("tbMPEG2template.Visible")));
			this.tbMPEG2template.WordWrap = ((bool)(resources.GetObject("tbMPEG2template.WordWrap")));
			// 
			// tbMPEG1template
			// 
			this.tbMPEG1template.AccessibleDescription = resources.GetString("tbMPEG1template.AccessibleDescription");
			this.tbMPEG1template.AccessibleName = resources.GetString("tbMPEG1template.AccessibleName");
			this.tbMPEG1template.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("tbMPEG1template.Anchor")));
			this.tbMPEG1template.AutoSize = ((bool)(resources.GetObject("tbMPEG1template.AutoSize")));
			this.tbMPEG1template.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("tbMPEG1template.BackgroundImage")));
			this.tbMPEG1template.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("tbMPEG1template.Dock")));
			this.tbMPEG1template.Enabled = ((bool)(resources.GetObject("tbMPEG1template.Enabled")));
			this.tbMPEG1template.Font = ((System.Drawing.Font)(resources.GetObject("tbMPEG1template.Font")));
			this.tbMPEG1template.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("tbMPEG1template.ImeMode")));
			this.tbMPEG1template.Location = ((System.Drawing.Point)(resources.GetObject("tbMPEG1template.Location")));
			this.tbMPEG1template.MaxLength = ((int)(resources.GetObject("tbMPEG1template.MaxLength")));
			this.tbMPEG1template.Multiline = ((bool)(resources.GetObject("tbMPEG1template.Multiline")));
			this.tbMPEG1template.Name = "tbMPEG1template";
			this.tbMPEG1template.PasswordChar = ((char)(resources.GetObject("tbMPEG1template.PasswordChar")));
			this.tbMPEG1template.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("tbMPEG1template.RightToLeft")));
			this.tbMPEG1template.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("tbMPEG1template.ScrollBars")));
			this.tbMPEG1template.Size = ((System.Drawing.Size)(resources.GetObject("tbMPEG1template.Size")));
			this.tbMPEG1template.TabIndex = ((int)(resources.GetObject("tbMPEG1template.TabIndex")));
			this.tbMPEG1template.Text = resources.GetString("tbMPEG1template.Text");
			this.tbMPEG1template.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("tbMPEG1template.TextAlign")));
			this.tbMPEG1template.Visible = ((bool)(resources.GetObject("tbMPEG1template.Visible")));
			this.tbMPEG1template.WordWrap = ((bool)(resources.GetObject("tbMPEG1template.WordWrap")));
			// 
			// tbTMPGEnc
			// 
			this.tbTMPGEnc.AccessibleDescription = resources.GetString("tbTMPGEnc.AccessibleDescription");
			this.tbTMPGEnc.AccessibleName = resources.GetString("tbTMPGEnc.AccessibleName");
			this.tbTMPGEnc.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("tbTMPGEnc.Anchor")));
			this.tbTMPGEnc.AutoSize = ((bool)(resources.GetObject("tbTMPGEnc.AutoSize")));
			this.tbTMPGEnc.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("tbTMPGEnc.BackgroundImage")));
			this.tbTMPGEnc.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("tbTMPGEnc.Dock")));
			this.tbTMPGEnc.Enabled = ((bool)(resources.GetObject("tbTMPGEnc.Enabled")));
			this.tbTMPGEnc.Font = ((System.Drawing.Font)(resources.GetObject("tbTMPGEnc.Font")));
			this.tbTMPGEnc.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("tbTMPGEnc.ImeMode")));
			this.tbTMPGEnc.Location = ((System.Drawing.Point)(resources.GetObject("tbTMPGEnc.Location")));
			this.tbTMPGEnc.MaxLength = ((int)(resources.GetObject("tbTMPGEnc.MaxLength")));
			this.tbTMPGEnc.Multiline = ((bool)(resources.GetObject("tbTMPGEnc.Multiline")));
			this.tbTMPGEnc.Name = "tbTMPGEnc";
			this.tbTMPGEnc.PasswordChar = ((char)(resources.GetObject("tbTMPGEnc.PasswordChar")));
			this.tbTMPGEnc.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("tbTMPGEnc.RightToLeft")));
			this.tbTMPGEnc.ScrollBars = ((System.Windows.Forms.ScrollBars)(resources.GetObject("tbTMPGEnc.ScrollBars")));
			this.tbTMPGEnc.Size = ((System.Drawing.Size)(resources.GetObject("tbTMPGEnc.Size")));
			this.tbTMPGEnc.TabIndex = ((int)(resources.GetObject("tbTMPGEnc.TabIndex")));
			this.tbTMPGEnc.Text = resources.GetString("tbTMPGEnc.Text");
			this.tbTMPGEnc.TextAlign = ((System.Windows.Forms.HorizontalAlignment)(resources.GetObject("tbTMPGEnc.TextAlign")));
			this.tbTMPGEnc.Visible = ((bool)(resources.GetObject("tbTMPGEnc.Visible")));
			this.tbTMPGEnc.WordWrap = ((bool)(resources.GetObject("tbTMPGEnc.WordWrap")));
			// 
			// label11
			// 
			this.label11.AccessibleDescription = resources.GetString("label11.AccessibleDescription");
			this.label11.AccessibleName = resources.GetString("label11.AccessibleName");
			this.label11.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label11.Anchor")));
			this.label11.AutoSize = ((bool)(resources.GetObject("label11.AutoSize")));
			this.label11.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label11.Dock")));
			this.label11.Enabled = ((bool)(resources.GetObject("label11.Enabled")));
			this.label11.Font = ((System.Drawing.Font)(resources.GetObject("label11.Font")));
			this.label11.Image = ((System.Drawing.Image)(resources.GetObject("label11.Image")));
			this.label11.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label11.ImageAlign")));
			this.label11.ImageIndex = ((int)(resources.GetObject("label11.ImageIndex")));
			this.label11.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label11.ImeMode")));
			this.label11.Location = ((System.Drawing.Point)(resources.GetObject("label11.Location")));
			this.label11.Name = "label11";
			this.label11.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label11.RightToLeft")));
			this.label11.Size = ((System.Drawing.Size)(resources.GetObject("label11.Size")));
			this.label11.TabIndex = ((int)(resources.GetObject("label11.TabIndex")));
			this.label11.Text = resources.GetString("label11.Text");
			this.label11.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label11.TextAlign")));
			this.label11.Visible = ((bool)(resources.GetObject("label11.Visible")));
			// 
			// butCancel
			// 
			this.butCancel.AccessibleDescription = resources.GetString("butCancel.AccessibleDescription");
			this.butCancel.AccessibleName = resources.GetString("butCancel.AccessibleName");
			this.butCancel.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("butCancel.Anchor")));
			this.butCancel.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("butCancel.BackgroundImage")));
			this.butCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.butCancel.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("butCancel.Dock")));
			this.butCancel.Enabled = ((bool)(resources.GetObject("butCancel.Enabled")));
			this.butCancel.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("butCancel.FlatStyle")));
			this.butCancel.Font = ((System.Drawing.Font)(resources.GetObject("butCancel.Font")));
			this.butCancel.Image = ((System.Drawing.Image)(resources.GetObject("butCancel.Image")));
			this.butCancel.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("butCancel.ImageAlign")));
			this.butCancel.ImageIndex = ((int)(resources.GetObject("butCancel.ImageIndex")));
			this.butCancel.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("butCancel.ImeMode")));
			this.butCancel.Location = ((System.Drawing.Point)(resources.GetObject("butCancel.Location")));
			this.butCancel.Name = "butCancel";
			this.butCancel.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("butCancel.RightToLeft")));
			this.butCancel.Size = ((System.Drawing.Size)(resources.GetObject("butCancel.Size")));
			this.butCancel.TabIndex = ((int)(resources.GetObject("butCancel.TabIndex")));
			this.butCancel.Text = resources.GetString("butCancel.Text");
			this.butCancel.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("butCancel.TextAlign")));
			this.butCancel.Visible = ((bool)(resources.GetObject("butCancel.Visible")));
			// 
			// openTPR
			// 
			this.openTPR.DefaultExt = "tpr";
			this.openTPR.Filter = resources.GetString("openTPR.Filter");
			this.openTPR.Title = resources.GetString("openTPR.Title");
			// 
			// butOK
			// 
			this.butOK.AccessibleDescription = resources.GetString("butOK.AccessibleDescription");
			this.butOK.AccessibleName = resources.GetString("butOK.AccessibleName");
			this.butOK.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("butOK.Anchor")));
			this.butOK.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("butOK.BackgroundImage")));
			this.butOK.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.butOK.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("butOK.Dock")));
			this.butOK.Enabled = ((bool)(resources.GetObject("butOK.Enabled")));
			this.butOK.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("butOK.FlatStyle")));
			this.butOK.Font = ((System.Drawing.Font)(resources.GetObject("butOK.Font")));
			this.butOK.Image = ((System.Drawing.Image)(resources.GetObject("butOK.Image")));
			this.butOK.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("butOK.ImageAlign")));
			this.butOK.ImageIndex = ((int)(resources.GetObject("butOK.ImageIndex")));
			this.butOK.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("butOK.ImeMode")));
			this.butOK.Location = ((System.Drawing.Point)(resources.GetObject("butOK.Location")));
			this.butOK.Name = "butOK";
			this.butOK.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("butOK.RightToLeft")));
			this.butOK.Size = ((System.Drawing.Size)(resources.GetObject("butOK.Size")));
			this.butOK.TabIndex = ((int)(resources.GetObject("butOK.TabIndex")));
			this.butOK.Text = resources.GetString("butOK.Text");
			this.butOK.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("butOK.TextAlign")));
			this.butOK.Visible = ((bool)(resources.GetObject("butOK.Visible")));
			this.butOK.Click += new System.EventHandler(this.butOK_Click);
			// 
			// openTMPGEnc
			// 
			this.openTMPGEnc.DefaultExt = "exe";
			this.openTMPGEnc.Filter = resources.GetString("openTMPGEnc.Filter");
			this.openTMPGEnc.Title = resources.GetString("openTMPGEnc.Title");
			// 
			// label13
			// 
			this.label13.AccessibleDescription = resources.GetString("label13.AccessibleDescription");
			this.label13.AccessibleName = resources.GetString("label13.AccessibleName");
			this.label13.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label13.Anchor")));
			this.label13.AutoSize = ((bool)(resources.GetObject("label13.AutoSize")));
			this.label13.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label13.Dock")));
			this.label13.Enabled = ((bool)(resources.GetObject("label13.Enabled")));
			this.label13.Font = ((System.Drawing.Font)(resources.GetObject("label13.Font")));
			this.label13.Image = ((System.Drawing.Image)(resources.GetObject("label13.Image")));
			this.label13.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label13.ImageAlign")));
			this.label13.ImageIndex = ((int)(resources.GetObject("label13.ImageIndex")));
			this.label13.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label13.ImeMode")));
			this.label13.Location = ((System.Drawing.Point)(resources.GetObject("label13.Location")));
			this.label13.Name = "label13";
			this.label13.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label13.RightToLeft")));
			this.label13.Size = ((System.Drawing.Size)(resources.GetObject("label13.Size")));
			this.label13.TabIndex = ((int)(resources.GetObject("label13.TabIndex")));
			this.label13.Text = resources.GetString("label13.Text");
			this.label13.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label13.TextAlign")));
			this.label13.Visible = ((bool)(resources.GetObject("label13.Visible")));
			// 
			// label12
			// 
			this.label12.AccessibleDescription = resources.GetString("label12.AccessibleDescription");
			this.label12.AccessibleName = resources.GetString("label12.AccessibleName");
			this.label12.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label12.Anchor")));
			this.label12.AutoSize = ((bool)(resources.GetObject("label12.AutoSize")));
			this.label12.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label12.Dock")));
			this.label12.Enabled = ((bool)(resources.GetObject("label12.Enabled")));
			this.label12.Font = ((System.Drawing.Font)(resources.GetObject("label12.Font")));
			this.label12.Image = ((System.Drawing.Image)(resources.GetObject("label12.Image")));
			this.label12.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label12.ImageAlign")));
			this.label12.ImageIndex = ((int)(resources.GetObject("label12.ImageIndex")));
			this.label12.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label12.ImeMode")));
			this.label12.Location = ((System.Drawing.Point)(resources.GetObject("label12.Location")));
			this.label12.Name = "label12";
			this.label12.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label12.RightToLeft")));
			this.label12.Size = ((System.Drawing.Size)(resources.GetObject("label12.Size")));
			this.label12.TabIndex = ((int)(resources.GetObject("label12.TabIndex")));
			this.label12.Text = resources.GetString("label12.Text");
			this.label12.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label12.TextAlign")));
			this.label12.Visible = ((bool)(resources.GetObject("label12.Visible")));
			// 
			// checkHideWindow
			// 
			this.checkHideWindow.AccessibleDescription = resources.GetString("checkHideWindow.AccessibleDescription");
			this.checkHideWindow.AccessibleName = resources.GetString("checkHideWindow.AccessibleName");
			this.checkHideWindow.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("checkHideWindow.Anchor")));
			this.checkHideWindow.Appearance = ((System.Windows.Forms.Appearance)(resources.GetObject("checkHideWindow.Appearance")));
			this.checkHideWindow.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("checkHideWindow.BackgroundImage")));
			this.checkHideWindow.CheckAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkHideWindow.CheckAlign")));
			this.checkHideWindow.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("checkHideWindow.Dock")));
			this.checkHideWindow.Enabled = ((bool)(resources.GetObject("checkHideWindow.Enabled")));
			this.checkHideWindow.FlatStyle = ((System.Windows.Forms.FlatStyle)(resources.GetObject("checkHideWindow.FlatStyle")));
			this.checkHideWindow.Font = ((System.Drawing.Font)(resources.GetObject("checkHideWindow.Font")));
			this.checkHideWindow.Image = ((System.Drawing.Image)(resources.GetObject("checkHideWindow.Image")));
			this.checkHideWindow.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkHideWindow.ImageAlign")));
			this.checkHideWindow.ImageIndex = ((int)(resources.GetObject("checkHideWindow.ImageIndex")));
			this.checkHideWindow.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("checkHideWindow.ImeMode")));
			this.checkHideWindow.Location = ((System.Drawing.Point)(resources.GetObject("checkHideWindow.Location")));
			this.checkHideWindow.Name = "checkHideWindow";
			this.checkHideWindow.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("checkHideWindow.RightToLeft")));
			this.checkHideWindow.Size = ((System.Drawing.Size)(resources.GetObject("checkHideWindow.Size")));
			this.checkHideWindow.TabIndex = ((int)(resources.GetObject("checkHideWindow.TabIndex")));
			this.checkHideWindow.Text = resources.GetString("checkHideWindow.Text");
			this.checkHideWindow.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("checkHideWindow.TextAlign")));
			this.checkHideWindow.Visible = ((bool)(resources.GetObject("checkHideWindow.Visible")));
			// 
			// label1
			// 
			this.label1.AccessibleDescription = resources.GetString("label1.AccessibleDescription");
			this.label1.AccessibleName = resources.GetString("label1.AccessibleName");
			this.label1.Anchor = ((System.Windows.Forms.AnchorStyles)(resources.GetObject("label1.Anchor")));
			this.label1.AutoSize = ((bool)(resources.GetObject("label1.AutoSize")));
			this.label1.Dock = ((System.Windows.Forms.DockStyle)(resources.GetObject("label1.Dock")));
			this.label1.Enabled = ((bool)(resources.GetObject("label1.Enabled")));
			this.label1.Font = ((System.Drawing.Font)(resources.GetObject("label1.Font")));
			this.label1.Image = ((System.Drawing.Image)(resources.GetObject("label1.Image")));
			this.label1.ImageAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label1.ImageAlign")));
			this.label1.ImageIndex = ((int)(resources.GetObject("label1.ImageIndex")));
			this.label1.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("label1.ImeMode")));
			this.label1.Location = ((System.Drawing.Point)(resources.GetObject("label1.Location")));
			this.label1.Name = "label1";
			this.label1.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("label1.RightToLeft")));
			this.label1.Size = ((System.Drawing.Size)(resources.GetObject("label1.Size")));
			this.label1.TabIndex = ((int)(resources.GetObject("label1.TabIndex")));
			this.label1.Text = resources.GetString("label1.Text");
			this.label1.TextAlign = ((System.Drawing.ContentAlignment)(resources.GetObject("label1.TextAlign")));
			this.label1.Visible = ((bool)(resources.GetObject("label1.Visible")));
			// 
			// Settings
			// 
			this.AcceptButton = this.butOK;
			this.AccessibleDescription = resources.GetString("$this.AccessibleDescription");
			this.AccessibleName = resources.GetString("$this.AccessibleName");
			this.AutoScaleBaseSize = ((System.Drawing.Size)(resources.GetObject("$this.AutoScaleBaseSize")));
			this.AutoScroll = ((bool)(resources.GetObject("$this.AutoScroll")));
			this.AutoScrollMargin = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMargin")));
			this.AutoScrollMinSize = ((System.Drawing.Size)(resources.GetObject("$this.AutoScrollMinSize")));
			this.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("$this.BackgroundImage")));
			this.CancelButton = this.butCancel;
			this.ClientSize = ((System.Drawing.Size)(resources.GetObject("$this.ClientSize")));
			this.Controls.Add(this.label1);
			this.Controls.Add(this.checkHideWindow);
			this.Controls.Add(this.label13);
			this.Controls.Add(this.label12);
			this.Controls.Add(this.butMPEG2templ);
			this.Controls.Add(this.butMPEG1templ);
			this.Controls.Add(this.butTMPGEnc);
			this.Controls.Add(this.tbMPEG2template);
			this.Controls.Add(this.tbMPEG1template);
			this.Controls.Add(this.tbTMPGEnc);
			this.Controls.Add(this.label11);
			this.Controls.Add(this.butCancel);
			this.Controls.Add(this.butOK);
			this.Enabled = ((bool)(resources.GetObject("$this.Enabled")));
			this.Font = ((System.Drawing.Font)(resources.GetObject("$this.Font")));
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.ImeMode = ((System.Windows.Forms.ImeMode)(resources.GetObject("$this.ImeMode")));
			this.Location = ((System.Drawing.Point)(resources.GetObject("$this.Location")));
			this.MaximizeBox = false;
			this.MaximumSize = ((System.Drawing.Size)(resources.GetObject("$this.MaximumSize")));
			this.MinimizeBox = false;
			this.MinimumSize = ((System.Drawing.Size)(resources.GetObject("$this.MinimumSize")));
			this.Name = "Settings";
			this.RightToLeft = ((System.Windows.Forms.RightToLeft)(resources.GetObject("$this.RightToLeft")));
			this.ShowInTaskbar = false;
			this.StartPosition = ((System.Windows.Forms.FormStartPosition)(resources.GetObject("$this.StartPosition")));
			this.Text = resources.GetString("$this.Text");
			this.Load += new System.EventHandler(this.Settings_Load);
			this.ResumeLayout(false);

		}
		#endregion

		static Settings()
		{
			data=new SettingsData();
			settingsXml=Path.Combine(Environment.GetFolderPath(Environment.SpecialFolder.ApplicationData),@"Cuttermaran\TMPGEncProvider.settings.xml");
			if (File.Exists(settingsXml))
			{
				data.ReadXml(settingsXml);
				data.AcceptChanges();
			}
		}

		private static string LocalPath
		{
			get
			{
				return Path.GetDirectoryName(Assembly.GetAssembly(typeof(TMPGEncProvider.Connector)).Location);
			}
		}

		private static SettingsData.ConfigurationValueRow GetValueRow(string name,string defaultValue)
		{
			SettingsData.ConfigurationValueRow row=data.ConfigurationValue.FindBykey(name);
			if (row==null)
			{
				row=data.ConfigurationValue.NewConfigurationValueRow();
				row.key=name;
				row.value=defaultValue;
				data.ConfigurationValue.AddConfigurationValueRow(row);
			}
			return row;
		}

		public static void CommitChanges()
		{
			if (data.HasChanges())
			{
				data.AcceptChanges();
				// Existiert Cuttermaran Folder?
				if (!Directory.Exists(Path.GetDirectoryName(settingsXml)))
					Directory.CreateDirectory(Path.GetDirectoryName(settingsXml));
				data.WriteXml(settingsXml,XmlWriteMode.IgnoreSchema);
			}
		}

		private static void SetValueRow(string name,string Value)
		{
			SettingsData.ConfigurationValueRow row=data.ConfigurationValue.FindBykey(name);
			if (row==null)
				data.ConfigurationValue.AddConfigurationValueRow(name,Value);
			else
				if (row.value!=Value)
				row.value=Value;
		}

		private void Settings_Load(object sender, System.EventArgs e)
		{
			tbTMPGEnc.Text=TMPGEncExe;
			tbMPEG1template.Text=TMPGEnc_Mpeg1Template;
			tbMPEG2template.Text=TMPGEnc_Mpeg2Template;
			checkHideWindow.Checked=SilentMode;
		}

		private void butOK_Click(object sender, System.EventArgs e)
		{
			SetValueRow("TMPGEncExe",            tbTMPGEnc.Text);
			SetValueRow("TMPGEnc_Mpeg1Template", tbMPEG1template.Text);
			SetValueRow("TMPGEnc_Mpeg2Template", tbMPEG2template.Text);
			SetValueRow("SilentMode", checkHideWindow.Checked.ToString());
			CommitChanges();
		}

		private void butTMPGEnc_Click(object sender, System.EventArgs e)
		{
			openTMPGEnc.FileName=tbTMPGEnc.Text;
			if (openTMPGEnc.ShowDialog(this)==DialogResult.OK)
			{
				tbTMPGEnc.Text=openTMPGEnc.FileName;
			}
		}

		private void butMPEG1templ_Click(object sender, System.EventArgs e)
		{
			openTPR.FileName=tbMPEG1template.Text;
			if (openTPR.ShowDialog(this)==DialogResult.OK)
			{
				tbMPEG1template.Text=openTPR.FileName;
			}
		}

		private void butMPEG2templ_Click(object sender, System.EventArgs e)
		{
			openTPR.FileName=tbMPEG2template.Text;
			if (openTPR.ShowDialog(this)==DialogResult.OK)
			{
				tbMPEG2template.Text=openTPR.FileName;
			}
		}

		public static string TMPGEncExe
		{
			get
			{
				return GetValueRow("TMPGEncExe","").value;
			}
		}

		public static string TMPGEnc_Mpeg1Template
		{
			get
			{
				return GetValueRow("TMPGEnc_Mpeg1Template",Path.Combine(LocalPath,@"Mpeg1Template.tpr")).value;
			}
		}

		public static string TMPGEnc_Mpeg2Template
		{
			get
			{
				return GetValueRow("TMPGEnc_Mpeg2Template",Path.Combine(LocalPath,@"Mpeg2Template.tpr")).value;
			}
		}

		public static bool SilentMode
		{
			get
			{
				return bool.Parse(GetValueRow("SilentMode","false").value);
			}
		}

	}
}
