/*
 * Cuttermaran - The Mpeg Cutter
 * 
 * Copyright (C) 2003,2004  Tobias Arnold (cuttermaran@gmx.net)
 * 
 * This file is part of cuttermaran, a free MPEG cut program.
 * See http://cuttermaran.kickme.to for updates.
 *
 * This program is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by the 
 * Free Software Foundation; either version 2 of the License, or 
 * (at your option) any later version. 
 * 
 * This program is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
 * GNU General Public License for more details. 
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software 
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _LIBMPEG2DLL_H
#define _LIBMPEG2DLL_H

#ifdef LIBMPEG2DLL_EXPORTS
   #define DECLSPEC    extern "C" __declspec(dllexport)
#else
   #define DECLSPEC    __declspec(dllimport)
#endif

struct TFrameInfo
{
	unsigned char *Y;
	unsigned char *U;
	unsigned char *V;
	int width;
	int height;
	int size;
	int type;
	int chroma_width;
	int chroma_height;
	int chroma_size;
};

enum ConversionType
{
	RGB24=1,
	RGB32=2,
	YV12=3
};

DECLSPEC int __stdcall libMpeg2_Open(const char *keyName,const char *filename,enum ConversionType ct);
DECLSPEC int __stdcall libMpeg2_Close(const char *keyName);
DECLSPEC struct TFrameInfo * __stdcall libMpeg2_GetCurrentFrame(const char *keyName);
DECLSPEC int __stdcall libMpeg2_GetCurrentFrameData(const char *keyName,void *data);
DECLSPEC int __stdcall libMpeg2_NextFrame(const char *keyName);
DECLSPEC int __stdcall libMpeg2_SkipFrames(const char *keyName,int count);
DECLSPEC int __stdcall libMpeg2_Seek(const char *keyName,__int64 sequenz_pos,int full_reset);

#endif //_LIBMPEG2DLL_H
